В этом файле отображаются только ключевые изменения между разными версиями Media Player Classic - BE.

1.6.9 - 2023-08-16
=============================
FLVSplitter
Добавлена поддержка HEVC, VP9, AV1 в "Enhanced flv".

MPCVideoDec
Добавлен экспорт метаданных Dolby Vision через интерфейс IMediaSideData.
Исправлено аппаратное декодирование D3D11 copyback на некоторых графических адаптерах Intel.
Исправлен выбор выходного формата при декодировании некоторых 10-битных HEVC.

YouTube
Улучшена поддержка YouTube во встроенном парсере.

Плеер
Проверка обновлений не будет производится, если плеер запускается с открытием файлов.

Инсталлятор
Добавлена возможность установки "MPC Video Renderer 0.6.9".

Обновлен корейский перевод (авторы Hackjjang).

Обновлены библиотеки:
	dav1d git-1.2.1-46-ge58afe4;
	ffmpeg git-n6.1-dev-1778-g0e9956a06e;
	Little-CMS git-lcms2.15-72-g6cabbce;
	MediaInfo git-v23.07-14-g993216d0d;
	ZenLib git-v0.4.41-5-g36c8e41;
	Detours git-v4.0.1-109-g4b8c659;
	rapidjson git-v1.1.0-737-g956063db.


1.6.8.5 - 2023-07-05
=============================
MpegSplitter
Исправлено определение аудиодорожек SMPTE 302M.

MatroskaSplitter
Исправлена навигация по аудиофайлам MKA/WebM. Всегда используем список индексов.

YouTube
Исправлена навигация по роликам в формате VP9+Opus.
Исправлено открытие некоторых Live-трансляций на YouTube.


1.6.8 - 2023-07-01
=============================
ShoutcastSource
Оптимизирована работа с внутренним буфером.

StreamReader
Улучшен парсинг HLS M3U8.

MpegSplitter
Исправлено воспроизведение некоторых MPEG-PS.

MP4Splitter
Улучшена поддержка звука PCM.
Исправлено получение языка дорожки.

MatroskaSplitter
Используем список индексов, только если имеется видеодорожка.

MpaDecFilter
Оптимизирована работа с внутренним буфером.

MPCVideoDec
Исправлено воспроизведение для WMV3.
Добавлена поддержка кодека "Dxtory".

Субтитры
Убрана неработающая загрузка субтитров из Online Subtitle Database.
Улучшено отображение субтитров с большим размером шрифта.

YouTube
Исправлен выбор предпочтительного языка аудиодорожки для встроенного парсера YouTube для форматов MP4 720p и MP4 360p. Когда языков несколько, будут использоваться только DASH потоки.
Обновлена поддержка yt-dlp.
Добавлена поддержка ссылок типа "youtube.com/live/".

Плеер
Добавлена возможность выбирать расположение окна плейлиста в меню плейлистов.
Теперь по умолчанию плейлист располагается справа.
Исправлена и ускорена отдача скриншотов при использовании Web-интерфейса.
Добавлена опция "Показывать заголовок для URL в последних файлах".
Добавлена возможность редактировать пункт плейлиста нажатием кнопки F2.
В окнах выборах и редактирования шейдеров изначально будет выбран DX11 если в настройках выбран MPC VR и используется Windows 8 или новее.
Добавлена возможность смотреть отчет MediaInfo для подключенных внешних аудиодорожек.
Увеличен максимальный размер шрифта OSD до 40.
Добавлен шаг 0,05 для изменения скорости воспроизведения.

Обновлены голландский и китайский (Traditional) переводы (автор beter).
Обновлен японский перевод (автор tsubasanouta).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен венгерский перевод (автор mickey).
Обновлен турецкий перевод (автор cmhrky).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен итальянский перевод (автор mapi68).
Обновлен корейский перевод (авторы Hackjjang и Potmarigold).
Обновлен украинский перевод (автор arestarh).
Обновлен испанский перевод (автор IPeluchito).

Обновлены библиотеки:
	dav1d git-1.2.1-8-g8b419c1;
	ffmpeg git-n6.1-dev-1426-g96d6990517;
	Little-CMS git-lcms2.15-64-gbbf77c6;
	MediaInfo git-v23.06-4-gbeaba12f3;
	ZenLib git-v0.4.41-2-g4f10e1b.


1.6.7 - 2023-05-05
=============================
Windows Vista больше не поддерживается.

Сплиттеры
Добавлена идентификация Atmos в EAC3 и TrueHD, а также DTS:X и DTS:X IMAX в звуковых дорожках.

MpaSplitter
Исключено случайное подключение к файлам .wtv (Windows Television).

Mp4Splitter
Устранено редкое падение при работе с потоками DASH.
Оптимизирована навигация по файлу.

MpegSplitter
Исправлено определение аудиодорожек для некоторых потоков HLS.

MPCVideoDec
Исправлено воспроизведение для VC-1.

AudioSwitcher
Добавлен пресет "Для аудио с шепотом и взрывами" для фильтров FFmpeg.
Добавлена возможность подключения к системному фильтру "Resampler DMO".

MPCAudioRenderer
Устранено падение при выводе в 24bit и изменении скорости воспроизведения.

VideoRenderers
Убрана поддержка PowerStrip и режима "Синхронизировать дисплей с видео" для Sync Renderer.
EVR-CP и Sync Renderer теперь отображают точное значение частоты обновления дисплея.
Опция "10-бит RGB вывод" теперь работает только для соответствующего режима дисплея.

Субтитры
Исправлено изменение стиля для простых текстовых субтитров (SubRip и др.).
Добавлена возможность отключать субтитры через "Приоритет дорожек".
Добавлена загрузка субтитров из подпапки ".\Subs\FILENAME_WITHOUT_EXT\".

YouTube
Добавлена возможность заранее выбрать только звук во встроенном парсере.
Добавлена поддержка ссылок "youtube.com/@".
Исправлена поддержка новых версий yt-dlp.
Добавлен выбор предпочтительного языка аудиодорожки.
Исправлено получение метаданных.

Плеер
Добавлено отображение единственной аудиодорожки в OSD при попытке переключении на следующую или предыдущую.
Добавлено отображение номера аудиодорожки в OSD.
Окно истории теперь не блокирует взаимодействие с основным окном плеера.
Исправлено запуск закладок из меню.
Улучшено открытие URL требующих авторизацию.
Исправлено сохранение пути к внешнему файлу субтитров в истории.
В плейлист добавлена опция "Пропускать ошибочные элементы".
Ускорено открытие и навигация для URL с редиректом.
Различные исправления интерфейса.

Инсталлятор
Добавлена возможность установки "MPC Video Renderer 0.6.7".

Обновлен немецкий перевод (автор Klaus1189).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен корейский перевод (авторы Hackjjang и Potmarigold).
Обновлен венгерский перевод (автор mickey).
Обновлен турецкий перевод (автор cmhrky).
Обновлен украинский перевод (автор arestarh).
Обновлен итальянский перевод (автор mapi68).
Обновлен испанский перевод (автор IPeluchito).
Обновлены голландский и китайский (Traditional) переводы (автор beter).
Обновлен японский перевод (автор tsubasanouta).

Обновлены библиотеки:
	dav1d git-1.1.0-33-g922bd82;
	ffmpeg git-n6.1-dev-518-ge3143703e9;
	Little-CMS git-lcms2.15-44-g2dec684;
	MediaInfo git-v23.04-gdd350156;
	zlib 1.2.13;
	rapidjson git-v1.1.0-727-g949c771b.


1.6.6 - 2023-02-10
=============================
MPCStreamReader
Добавлена поддержка перенаправления URL для HLS.
Улучшена работа с некоторыми трансляциями.

AudioSplitter 
Исправлено воспроизведение начальных сэмплов файлов FLAC.

MpaDecFilter
Исправлено декодирование некоторых потоков TrueHD.
Улучшена поддержка битсриминга при смене устройства.

FLVSplitter
Улучшена поддержка видео HEVC.

MpegSplitter
Исправлена навигация по времени для 3D Blu-ray.
Добавлена опция "Поддержка 3D MVC Extension".

MPCVideoDec
Исправлено декодирование некоторых MPEG-4 ASP.

MpcAudioRenderer
Устранено пропадание звука при изменение скорости в конце воспроизведения.

VideoRenderers
Рефакторинг и оптимизация.
EVR-CP теперь может быть использован в качестве рендерера предварительного просмотра.
Исправлен вывод некоторых субтитров Stereo 3D для EVR-CP.
Добавлена возможность преобразовывать Stereo3D из Half OverUnder в Interlace для MPC Video Renderer 0.6.4.1986 (393835e) или новее.
Экспериментальная опция MPCVRFullscreenControl теперь доступна из интерфейса плеера.

Субтитры
Улучшен парсинг параметров полигона в субтитрах SSA/ASS.
Небольшая оптимизация рендеринга субтитров PGS/DVB.
Устранено падение плеера на некоторых испорченных субтитрах.

YouTube
Значительно увеличена скорость сохранения роликов с YouTube.
Значительно увеличена скорость работы встроенных Фильтров источников при работе с YouTube.

Плеер
Добавлена опция выбора рендерера предварительного просмотра.
Исправлено размещение вытянутого по вертикали кадра в окне предварительного просмотра.
Дополнительные дорожки теперь не будут появляться в списке недавних файлов Windows.
Уменьшена вероятность ложных срабатываний при переносе окно за видеообласть.
Добавлено сохранение текущей позиции после 5 секунд паузы.
Добавлена возможность изменения максимального количества записей в истории.
Различные исправления интерфейса.

Инсталлятор
Добавлена возможность установки "MPC Video Renderer 0.6.5".

Обновлен корейский перевод (авторы Potmarigold и Hackjjang).
Обновлен итальянский перевод (автор mapi68).
Обновлен венгерский перевод (автор mickey).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен турецкий перевод (автор cmhrky).
Обновлен немецкий перевод (автор Klaus1189).
Обновлены голландский и китайский (Traditional) переводы (автор beter).
Обновлен испанский перевод (автор IPeluchito).

Обновлены библиотеки:
	dav1d git-1.0.0-112-g77b3955;
	ffmpeg git-n5.2-dev-2245-gab8cde6efa;
	Little-CMS git-lcms2.14-44-ge71aeb6;
	MediaInfo git-v22.12-17-gaa0dc68a2;
	nanosvg git-9da543e.


1.6.5.3 - 2022-11-14
=============================
Устранено падение при воспроизведении видео AVS3 на CPU без инструкций AVX.


1.6.5 - 2022-11-11
=============================
Сплиттеры
Исправлено чтение изображений из тэгов ID3v2.

MPCStreamReader
Фильтр не будет подключаться к завершившимся трансляциям.

MpaSplitter
Добавлена поддержка нескольких тегов ID3 в начале файла или потока.

OggSplitter
Добавлено обновление метаданных во время проигрывания радиотрансляций.

MpegSplitter
Неподдерживаемые аудиодорожки G.722.1 для файлов с камер Hikvision (IMKH) будут игнорироваться.
Добавлена поддержка видеокодека AVS3.

MatroskaSplitter
Устранено падение на некоторых MKV.
Добавлена поддержка видеокодека AVS3.

MP4Splitter
Добавлена поддержка MP4 с несколькими заголовками.

RawVideoSplitter
Добавлена поддержка цветового диапазона и расположения цвета для YUV4MPEG2.

MPCVideoDec
Исправлены свойства выходного медиатипа для RAW-видео, когда используется MPC Video Converter.
Исправлено переключение ракурсов для Stereo 3D.
Добавлена поддержка декодирования видео AVS3.

Плеер
Добавлена возможность указать "User agent". По умолчанию используется "Mozilla/5.0".
Устранено моргание окна предпросмотра.
Исправлено запоминание истории при открытии BD ISO.
Оптимизирован показ списка переводов плеера.
Исправлена работа плеера в случае невозможности изменения скорости воспроизведения.
Добавлена возможность временно отключать (и вновь включать) окно превью для текущего файла с помощью клика средней кнопки мыши.
Функция добавления всех файлов из папки теперь игнорирует плейлисты.
Исправлена ошибка декодирования некоторых файлов JPEG.
Исправлено обновление панели "Информация" для Ogg-радио.
Исправлено определение расширений файлов для URL.
Оптимизировано определение наличия CD/DVD для некоторых приводов.
Исправлено воспроизведение с веб-камеры после сброса настроек.
Различные исправления интерфейса.

Обновлен венгерский перевод (автор mickey).
Обновлен турецкий перевод (автор cmhrky).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлены голландский и китайский (Traditional) переводы (автор beter).
Обновлен японский перевод.
Обновлен итальянский перевод (автор mapi68).

Обновлены библиотеки:
	ffmpeg git-n5.2-dev-1381-g65f96a965a;
	Little-CMS git-lcms2.14rc1-3-g496293a;
	MediaInfo git-v22.09-8-gb4863b677.


1.6.4 - 2022-09-07
=============================
MPCStreamReader (MPC UDP/HTTP Reader)
Добавлена поддержка HLS Live.

MpegSplitter
Исправлено воспроизведение VOB-файлов с некорректным пустым блоком в начале.
Ускорена перемотка для файлов с Blu-ray, добавлена поддержка ключевых кадров.
Оптимизирован расчет неизвестной частоты кадров.

MpcDvdVideoDecoder (Mpeg2DecFilter)
Убрана опция чтения пропорций из видео потока. Опция не требуется при воспроизведении DVD-Video.

MPCVideoDec
Реализован корректный вывод форматов YUV 4:2:0 и 4:2:2, когда видеопотоке указаны нечетные размеры.
Улучшена работа декодеров D3D11 Copy Back и NVDEC в некоторых ситуациях.
Добавлена поддержка MEDIASUBTYPE_av01.

VideoRenderers
Дополнительное управление цветом теперь работает и для 10-битных поверхностей.

Субтитры
Задержка субтитров теперь применяется при паузе.
Исправлена отображение символов некоторых внешних шрифтов.

Youtube и другие онлайн сервисы
Исправлена работа с yt-dlp на некоторых сайтах.
Используем "ffmpeg.exe" для объединения отдельных видео и аудио файлов полученных при использовании команды "Сохранить как".
Отключаем проверку SSL сертификатов в yt-dlp.
Улучшена поддержка онлайн плейлистов.

Плеер
Исправлено отображение текста с символами "&" в панели "Информация".
Устранено зависание LAV Splitter при просмотре некоторых Live трансляций.
Исправлено определение режима "dxva2cb" при использовании LAV Video Decoder.
Устранено падение плеера при покадровой навигации в конце воспроизведения.

Инсталлятор
Для компиляции инсталлятора требуется InnoSetup 6.1.0 или новее.
Обновлены файлы переводов инсталлятора.
Добавлена возможность установки "MPC Video Renderer 0.6.3".
Добавлена возможность оффлайн установки скачанных ранее компонентов.

Обновлен немецкий перевод (автор Klaus1189).
Обновлен турецкий перевод (автор cmhrky).
Обновлен испанский перевод (автор pruebaz).
Обновлен каталанский перевод (автор pruebaz).
Обновлен японский перевод.
Добавлен хорватский перевод.

Обновлены библиотеки:
	dav1d git-1.0.0-45-ga029d68;
	ffmpeg git-n5.2-dev-506-g5c217119c8;
	Little-CMS git-lcms2.13.1-70-gf3f6b7b;
	MediaInfo git-v22.06-34-g90e59c5ed;
	ZenLib git-v0.4.39-12-gde2787a;
	nanosvg git-bd16c4e.


1.6.3 - 2022-06-15
=============================
MpaSplitter
Исправлена работа с онлайн потоками.
Улучшена поддержка встроенных изображений.

AudioSplitter
Улучшено воспроизведение FLAC по HTTP.
Исправлено чтение APE Tag в некоторых ситуациях.

MP4Splitter
Исправлено проигрывание файлов с дорожками с отрицательной задержкой.
Улучшена работа с PCM аудио.
Исправлено открытие некоторых поврежденных файлов.

MatroskaSplitter
Исправлено задание пропорций кадра для кодеков VFW.

MpaDecFilter
Добавлена поддержка декодирования звука AAC 22.2 с автоматическим микшированием в 7.1.
Добавлена поддержка ATRAC9.
Исправлена работа настройки "stereodownmix".

MPCVideoDec
Исправлена работа декодера D3D11 в некоторых ситуациях.
Добавлена поддержка аппаратного ускорения D3D11 от Intel для декодирования HEVC 4:2:0 12bit, 4:2:2 10/12bit, 4:4:4 8/10/12bit.
Исправлена поддержка аппаратного декодирования AV1 в режимах D3D11 Copy-Back и NVDEC.

VideoRenderers
Исправлен поворот кадра для SyncVR.
Удалена поддержка шейдеров PS 2.x для EVR-CP и SyncVR.

Субтитры
Добавлена поддержка вывода субтитров в режиме DirectX 11. Используется совместно с MPC Video Renderer 0.6.0.1896 или новее.
Различные оптимизации вывода субтитров в режиме DirectX 9.
Исправлено позиционирование субтитров в формате MicroDVD.

Youtube
Добавлена поддержка ссылок "youtube.com/clip/", "youtube.com/c/.../live" и "youtube.com/channel/.../live".

Плеер
Добавлена опция "Использовать Window Media Controls". По умолчанию отключена.
Добавлены шейдеры для преобразования стерео 3D в красно-голубой анаглиф для Direct3D9.
Добавлена возможность задавать цвет заголовка окна программы на Windows 11.
Исправлен баг EVR-CP с выводом ошибки "Failed to RegisterClass" для случая, когда воспроизведение принудительно завершается после первого кадра.
Исправлено запоминания стартового размера окна для некоторых ситуаций.
Перенос окна за видеообласть теперь работает и для развернутого окна.
При удалении из истории также удаляются записи из списка недавних файлов в панели задач.
Добавлена возможность открытия локальных файлов с длинным путем (более 260 символов).
Исправлено сохранение позиции в истории при завершении работы Windows.
Улучшена блокировка перехода компьютера в сон.
Добавлена возможность использовать закладки DVD с позицией на другом компьютере.
В группу форматов AC-3 добавлено расширение .ec3.
Разные исправления.

Обновлен турецкий перевод (автор cmhrky).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен украинский перевод (автор arestarh).
Обновлен японский перевод.
Обновлены голландский и китайский (Traditional) переводы (автор beter).
Обновлен венгерский перевод (автор mickey).
Обновлен испанский перевод (автор IPeluchito).

Обновлены библиотеки:
	dav1d git-1.0.0;
	Detours git-v4.0.1-97-g66d6f2d;
	ffmpeg git-n5.1-dev-1440-gaa0829d834;
	libflac git-1.3.3-93-ga2fe43f6;
	Little-CMS git-lcms2.13.1-23-gab22640;
	MediaInfo git-v22.03-g6d3271df;
	openjpeg git-v2.4.0-89-g6a29f5a9;
	rapidjson git-v1.1.0-685-ge4bde977;
	zlib 1.2.12;
	nanosvg git-3bcdf2f.


1.6.1 - 2022-01-30
=============================
Удалены MPC RealVideo Decoder и MPC RealAudio Decoder.

MPCVideoDec
Добавлена возможность выбирать графический адаптер для декодера D3D11 copy back.
Исправлено декодирование видео AV1.

Субтитры
Убрано отображение кода "&lrm;" для некоторых субтитров.
Исправлено рисование непрозрачной рамки.

Плеер
Добавлена возможность хранения файла настроек в профиле пользователя.
Добавлена возможность вызывать меню последних файлов, окна истории и окна выбора шейдеров нажатием клавиши.
Разные исправления.

MPCBEShellExt (расширение проводника)
Исправлена работа команды "Открывать файлы, используя".

Обновлен немецкий перевод (автор Klaus1189).
Обновлен португальский (бразильский) перевод (автор Siegfried Janke).
Обновлены голландский и китайский (Traditional) переводы (автор beter).
Обновлен турецкий перевод (автор cmhrky).
Обновлен венгерский перевод (автор mickey).
Обновлен украинский перевод (автор arestarh1986).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен японский перевод.

Обновлены библиотеки:
	dav1d git-0.9.2-85-g633c63e;
	ffmpeg git-n5.1-dev-188-gdcc9454ab9;
	Little-CMS git-lcms2.13rc1-6-ge090fcf;
	MediaInfo git-v21.09-72-ge481a58e7.


1.6.0 - 2021-12-27
=============================
MP4Splitter
Расширена поддержка PCM аудио ('ipcm').
Убран анализ среднего битрейта аудиодорожек. Это ускорит открытие некоторых файлов.
Улучшена поддержка файлов с дорожками со смещением временных меток.
Изменен формат выходных пинов и список аудиодорожек в плеере.
Устранены искажения пропорций кадра при использовании атома 'pasp' в некоторых случаях.

OggSplitter
Исправлено чтение метаданных в некоторых файлах.

MpegSplitter
Исправлено определение дорожек MPEG Audio.

AudioSplitter
Добавлена поддержка Cue Sheet внутри тега 'TXXX'.

RealMediaDecoders
Исправлена работа декодера RealAudio.
Убрана сборка декодеров x64. Декодеры не работали, т.к. не существует библиотеки RealMedia для x64.

MPCVideoDec
Устранена высокая нагрузка на систему при частой навигации на видео H.264 и MPEG-2 при использовании декодера D3D11.
Информации декодера MVC теперь доступна через интерфейс IExFilterConfig.
Добавлена поддержка режима "copy-back" для декодера D3D11.
Добавлена поддержка декодера NVDEC для видеокарт Nvidia.
Добавлена поддержка вывода в формате YUV444P16 ('Y3[0][16]').
Исправлено задание выходного формата для некоторых кодеков.

AudioSwitcher
Оптимизирован код автоматической регулировки громкости.
Добавлена возможность обработки звука с помощью аудиофильтра "compand" (входит FFmpeg).
Добавлен дитеринг при выводе в Int16, если перед этим звук был большей разрядности.

MpcAudioRenderer
Устранено зависание в конце проигрывания в некоторых случаях.
Скорректирован выбор формата сэмпла для режима WASAPI Shared, когда активен "Windows Sonic for Headphones" в Windows 10.
Уменьшен размер MpcAudioRenderer.ax.
Добавлен дитеринг при выводе в Int16, если перед этим звук был большей разрядности.
Добавлена кнопка сброса настроек.

VideoRenderers
EVR-CP и Sync Renderer больше не требуют d3dx9_43.dll для рендеринга текста статистики.
Удалена возможность отключения композиции рабочего стола (Aero) на Windows 7.
Используется более корректная блокировка D3DDevice из разных потоков для EVR-CP.

Субтитры
Размер текстуры 2560x1600 заменен на 2560x1440.

Youtube
Улучшено получение метаданных роликов.
Добавлен вывод ошибки для роликов с ограничениями.
Добавлено распознавание ссылок типа "youtube.com/shorts/".
Для видео VP9 и AV1 с размером кадра 360p и менее выбираем самое низкое качество звука, чтобы битрейт звука был не больше битрейта видео.
Добавлена сортировка форматов при открытии через youtube_dl.
Исправлено медленное проигрывание некоторых ссылок.
Улучшена поддержка субтитров.
Добавлена поддержка yt-dlp и других аналогов youtube-dl. В настройках можно указать имя исполняемого файла или полный путь. Добавлен поиск исполняемого файла в системном реестре в ветках "App Paths". Исправлен поиск исполняемого файла в папках, указанных в системной переменной PATH.

Плеер
Переделано сохранение многих настроек. Значения этих настроек не будут наследоваться при обновлении со старых версий плеера.
История открытых файлов и URL теперь сохраняется в файле history.mpc_lst. Добавлено окно для просмотра истории.
Закладки теперь сохраняются в файле favorites.mpc_lst.
Информацию в статистике теперь обновляется после перемотки на паузе.
Исправлено воспроизведение DVD-Video встроенными фильтрами.
Диалог открытия файла/URL теперь автоматически удаляет обрамляющие кавычки из прописанных путей.
Устранен сдвиг и увеличение основного окна при наведении на обложку аудиофайла, отображаемую над панелью задач.
Добавлена команда "Добавить в плейлист из буфера обмена" (Ctrl+V).
Удалена опция "Отключить эффекты рабочего стола (Aero)".
Реализована возможность вызывать свойства активного видеорендерера в панели настроек "Видео" во время воспроизведения.
Исправлена работа с Blu-ray плейлистами и главами.
Добавлена поддержка System Media Transport Controls.
Значения 33% и 67% для опции "После начала воспроизведения подогнать окно к экрану" теперь интерпретируются как 1/3 и 2/3.
Добавлено визуальное разделение внешних и внутренних субтитров в меню субтитров для VSFilter.
Устранено падение при выводе полосы прокрутки в эксклюзивном режиме при неизвестной длительности.
Другие мелкие исправления и внутренние оптимизации.

MPCBEShellExt (расширение проводника)
Улучшена работа для пользователей с ограниченными правами.

Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен венгерский перевод (автор mickey).
Обновлены голландский и китайский (Traditional) переводы (автор beter).
Обновлен турецкий перевод (автор cmhrky).
Обновлен португальский (бразильский) перевод (автор Siegfried Janke).
Обновлен японский перевод.
Обновлен украинский перевод (автор arestarh1986).

Обновлены библиотеки:
	dav1d git-0.9.2-69-g396122d;
	Detours git-v4.0.1-96-g45a76a3;
	ffmpeg git-n4.5-dev-2772-g6c45d34e50;
	libflac git-1.3.3-85-gb358381a;
	libpng git-v1.6.37-36-ga37d48365;
	Little-CMS git-2.12-39-gc07b7e3;
	MediaInfo git-v21.09-16-g6ce198a2;
	nanosvg git-ccdb199;
	rapidjson git-v1.1.0-665-g00dbcf2c.


1.5.8 - 2021-06-26
=============================
ShoutcastSource
Добавлена расшифровка HTML-кодов вида "&#NNNN;" в названии трека.

UDPReader
Добавлена расшифровка HTML-кодов вида "&#NNNN;" в названии трека для Shoutcast и Icecast радио.

AudioSplitter
Улучшена работа с DFF, DSF, DTD-HD и WAV.
Исправлено открытие некоторых файлов WAV.

MpcAudioRenderer
Исправлено проигрывание очень коротких файлов.

Субтитры
Исправлено отображение внешних субтитров при воспроизведении после нажатия "Стоп".

Youtube
Обновлена поддержка открытия роликов и плейлистов.
Исправлено получение метаданных.

Плеер
Добавлена опция "Разрешить двигать за видео область".
В меню плейлиста добавлена команда "Убрать несуществующие файлы".
Исправлена сортировка в плейлисте типа "Проводник".
Добавлены и значки для отображения в "плитках" меню Пуск.
Исправлено переключение режима дисплея в некоторых случаях.
Исправлено навигация при чередовании пошагового перемещения и перемещения на конкретное время.
Переделана панель настроек "Синхронизация кадров".
Расширена возможность воспроизведения DVD-Video с ограничение по региону на приводах с таким же ограничением.

Обновлен немецкий перевод (автор Klaus1189).
Обновлен венгерский перевод (автор mickey).
Обновлен турецкий перевод (автор cmhrky).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен украинский перевод (автор arestarh1986).
Обновлены китайский (Traditional) и голландский переводы (автор beter).

Обновлены библиотеки:
	dav1d git-0.9.0-24-gddbbfde;
	Detours git-v4.0.1-92-gfe7216c;
	ffmpeg git-n4.5-dev-1109-g604924a069;
	Little-CMS git-2.12-17-g79e8395;
	MediaInfo git-v21.03-14-gee8c3c17;
	Speex-1.2.0-25-g870ff84;
	rapidjson git-v1.1.0-630-gb557259f;
	ZenLib git-v0.4.39-g13b9d3db.


1.5.7 - 2021-04-15
=============================
VSFilter исключен из проекта.

AviSplitter
Добавлена поддержка кодека 'MPNG'(PNG).

MP4Splitter
Добавлена поддержка кодека 'MPNG'(PNG).
Добавлена поддержка кодека SpeedHQ.
Добавлена поддержка сдвига дорожек по времени с помощью атома 'elst'.
Добавлена возможность получение списка ключевых кадров из атома 'sbgp'.

MatroskaSplitter
Добавлена поддержка кодека 'MPNG'(PNG).

MPCVideoDec
Улучшено многопоточное декодирование AV1 с помощью библиотеки dav1d.
Улучшена поддержка Apple ProRes ('ap4h', 'ap4x').
Добавлена поддержка кодека SpeedHQ.
Добавлена поддержка аппаратного декодирования с помощью Direct3D 11.
Добавлена поддержка аппаратного декодирования AV1.
Добавлена поддержка переключение видео-потоков разных форматов с учетом наличия или отсутствия возможности аппаратного декодирования.
Улучшена поддержка MPEG-2 4:2:0.
Исправлено искажение цветов VideoTransferMatrix BT2020 для EVR на Intel Iris Xe.

Видеорендереры
Улучшено переключение режима дисплея для интерлейсных файлов при использовании MPC Video Renderer.

Субтитры
Добавлена поддержка MEDIASUBTYPE_WEBVTT.

Youtube
Добавлено кэширование функций декодирования сигнатур.
Добавлена возможность выбора формата "MP4-AV1" как предпочитаемый формат.
Добавлена поддержка AV1 10-bit HDR.
Улучшена поддержка получение списка глав.

Плеер
Некоторые параметры стандартного стиля субтитров теперь может задаваться нецелыми значениями.
Исправлено отображение регулятора громкости в темной теме при управлении мышью.
Добавлено сообщение об ошибке открытия DVD/Blu-ray папки в статусной строке.
Исправлена работа X-кнопок мыши в полноэкранном режиме.
Исправлено отображение символа '&' в плейлисте.
Добавлено отображение времени на полосе прокрутки в эксклюзивном полном экране.
Улучшена работа плеера в эксклюзивном полном экране MPC VR и madVR.
Добавлена возможность открыть файл из плейлиста в проводнике.
Добавлено отображение подсказки для значка GPU.
Добавлена кнопка для вызова окна свойств некоторых видеорендереров.
Дополнен функционал добавления похожих файлов.
Различные улучшение в интерфейсе плеера.

Инсталлятор
При удалении плеера настройки внешних фильтров больше не удаляются.

Обновлен японский перевод.
Обновлен португальский (бразильский) перевод (автор Siegfried Janke).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен венгерский перевод (автор mickey).
Обновлен турецкий перевод (автор cmhrky).
Обновлены китайский (Traditional) и голландский переводы (автор beter).

Обновлены библиотеки:
	dav1d git-0.8.2-0-gf06148e;
	Detours git-v4.0.1-87-g827b896;
	ffmpeg git-n4.4-dev-3576-gab5803553b;
	libflac git-1.3.3-70-g27c61570;
	Little-CMS git-2.12-1-gab54114;
	MediaInfo git-v20.09-125-gfb708c13;
	openjpeg git-v2.4.0-16-g0bda7188;
	rapidjson git-v1.1.0-588-g13dfc96c;
	ZenLib git-v0.4.38-37-gd0c6f5b.


1.5.6 - 2021-02-02
=============================
Сплиттеры
Улучшена работа по протоколу HTTP.
Удален фильтр MPC FLAC Source.
Игнорируем испорченные тэги 'APIC' и '\0PIC' в ID3v2.

UDP/HTTP Reader
Добавлена поддержка ShoutCast.
Добавлена поддержка потоков с content-type "video/mpeg".

VTSReader
Исправлено получения списка глав.

AudioSplitter
Добавлена поддержка глав для формата WAV.
Добавлена поддержка формата FLAC.
Добавлена базовая поддержка формата AIFF.

AviSplitter
Добавлена поддержка видео в формате AV1.
Улучшена совместимость с некоторыми внешними видеодекодерами H.264.

DVRSplitter
Добавлена поддержка формата файлов китайской камеры KKmoon CCTV.

RawVideoSplitter
Добавлена поддержка файлов AV1 OBU.

MatroskaSplitter
Исправлено воспроизведение некоторых видео типа VFW.
Исправлено поддержка HDR для VP9 кодека.
Добавлена поддержка элемента "ProjectionPoseRoll", в котором записан угол поворота кадра.

MP4Splitter
Определяем формат пикселя для DNxHD.
Исправлено проигрывание файлов с "edit list".
Исправлено получение размеров и пропорций кадра для некоторых файлов MOV.
Исправлено открытие файлов с пустым атомом 'ctts'.
Исправлено определение битрейта для некоторых звуковых дорожек.

MpaDecFilter
Исправлено кодирование в AC-3. Добавлена проверка возможности вывода SPDIF с частотой 44100 Гц.

MPCVideoDec
Улучшено многопоточное декодирование AV1.
Декодер DXVA2 будет подключаться только для совместимых медиатипов.

AudioSwitcher
Исправлено отключение микшера, когда он не требуется.

MpcAudioRenderer
Исправлено проигрывание DVD-Video у которых отсутствует звук в меню.

Видеорендереры
Исправлено отображение HLG для EVR-CP.
Исправлен показ первого кадра в некоторых ситуациях для EVR-CP.
Небольшая оптимизация EVR-CP и Sync.
Удалена поддержка VMR-7 ("Системный по умолчанию") и VMR-9.

Субтитры
Устранено мерцание некоторых субтитров.

Youtube
Страницы пользователей типа https://www.youtube.com/c/ теперь анализируются как плейлисты.
Добавлена проверка на доступность получаемой ссылки.
Исправлено открытие различных ссылок.
Улучшено меню выбора форматов YouTube.
Добавлена возможность открыть только звуковую дорожку для ролика YouTube.

Плеер
Для работы с изображениями теперь используется WIC вместо GDI+.
Исправлено сохранение миниатюр для видеофайлов у которых видеодорожки заметно короче аудиодорожек.
Внешние файлы изменения интерфейса (toolbar.png, gpu.png, flybar.png) теперь могут быть только в формате PNG.
Добавлена возможность загружать логотип и обложки в формате HEIF и WebP.
Уменьшаем размер больших картинок при просмотре в панели настроек "Логотип".
Ограничиваем размер окна размером рабочего стола при запуске плеера и в начале воспроизведения.
Устранена утечка объектов GDI при использовании плейлиста.
Переделаны настройки мыши. Добавлена панель настроек "Мышь".
Добавлена возможность задания модификаторов Ctrl, Shift и "Right button" для некоторых действий мыши.
Кнопки управления "Предыдущий" и "Следующий" дополнены действиями "Предыдущий файл" и "Следующий файл" при нажатии правой кнопки мыши.
Оптимизирована первичная отрисовка основного окна для Windows 7, 8, 8.1.
Исправлено состояние индикатора "GPU" после закрытия файла.
Оптимизирована отрисовка элементов плейлиста.
Добавлен функционал "Повтор A-B".
Добавлена возможность назначить горячую клавишу для открытия папки.
Немного оптимизирована работа с настройками.
Оптимизирован вывод текста в полях "Информация", "Статистика" и статусной строке.
Улучшен функционал OSD при выводе постоянных сообщений.
Устранены различные проблемы для эксклюзивного полного экрана.
Оптимизация вывода полосы перемотки для эксклюзивного полного экрана.
Добавлена возможность назначить горячую клавишу для вызова меню "По окончании воспроизведения".
Улучшена работа на системах с несколькими дисплеями и разным DPI.
В подменю "Положение и размер кадра" ("Pan&Scan") добавлены команды поворота и отражения.
Добавлена возможность добавлять все медиа-файлы в папке при добавлении одного файла.
Тулбар, флайбар, кнопки панели задач и другая графика теперь в формате SVG (спасибо Ivan Shatsky). Улучшено отображение элементов интерфейса при больших масштабах Windows. Добавлена возможность загрузки внешних toolbar.svg и flybar.svg.
Исправлено отображение глав на полосе поиска для некоторых DVD-Video.
Различные исправления в работе интерфейса плеера.

Инсталлятор
Добавлен путь к плееру в раздел реестра "App Paths".

Расширение оболочки
Устранено зависание при открытии файлов из qBittorrent.

Обновлен украинский перевод (автор arestarh1986).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен венгерский перевод (автор mickey).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен турецкий перевод (автор cmhrky).
Обновлены китайский (Traditional) и голландский переводы (автор beter).
Обновлен греческий перевод (автор George).
Обновлен португальский (бразильский) перевод (автор SIEGFRIED JANKE).
Обновлен польский перевод (автор maxoku).

Обновлены библиотеки:
	dav1d git-0.8.1-17-gb12229c;
	ffmpeg git-n4.4-dev-2373-ga7f9b3b954;
	Little-CMS git-2.11-42-g7dcc91f;
	MediaInfo git-v20.09-66-gacf041ac;
	openjpeg git-v2.3.1-59-g0f169867;
	ZenLib git-v0.4.38-25-g11a96d5.


1.5.5 - 2020-08-23
=============================
Для сборки в Visual Studio 2017 теперь требуется наличие Windows 10 SDK версии 10.0.17763.0.

AudioSplitter
Добавлена поддержка потоков DSD в файлах WavPack (.wv).
Добавлена поддержка MusePack 7/8.

FLVSplitter
Исправлено воспроизведение файлов с неправильными индексами.

MpegSplitter
Добавлено определение аудиопотоков AC-4 для того, чтобы их игнорировать.
Добавлена поддержка аудиопотоков SMPTE 302M AES3.
Улучшена поддержка 3D Blu-ray.
Добавлена информация о потоках MPEG-2 c раздельными полями в выходном пине.

MP4Splitter
Добавлена поддержка "AV1 Codec Configuration Box".
Добавлена поддержка кодека TSC2 (TechSmith Camtasia).
Исправлено чтение параметров некоторых дорожек в формате AAC.
Расширена поддержка дорожек в формате AC-3.
Добавлена поддержка UtVideo.
Добавлены дополнительные коды языка дорожки.
Исправлено проигрывание некоторых дорожек PCM.

MatroskaSplitter
Добавлена поддержка файлов с нетипичным расположением блоков в сегменте.
К названию языка дорожки добавлен код языка, если начальные буквы кода отличаются от названия.
Убрана надпись "Video N" для именованных видеодорожек.
Устранено падение при открытии файлов с видео HEVC и пустым CodecPrivate блоком.
Добавлена поддержка "AV1 Codec Configuration Box".
Улучшен поиск нужного блока.

MPCVideoDec
Добавлена поддержка "AV1 Codec Configuration Box".
Изменен расчет количества потоков для многопоточного декодирования.
Исправлено подключение к выходу Smart Tee Filter.
Исправлено название настройки "Деинтерлейс" на "Тип развёртки".
Добавлена поддержка UtVideo Pro с кодом UQY0.
Исправлен порядок выходных форматов для PNG48.
Улучшена обработка ошибки создания декодера DXVA.
Улучшена поддержка потоков Motion-JPEG после веб-камер.
Исправлена поддержка некоторых старых видео в формате H.264.
Запрещено использование декодера DXVA для потоках MPEG-2 c раздельными полями на видеокартах AMD.

AudioSwitcher
Исправлена поддержка скорости воспроизведения при применении задержки.
Добавлена проверка поддерживаемых выходных форматов.

MpcAudioRenderer
Добавлена возможность выбора режима работы с данными Event/Push.
Исправлена инициализации Shared режима для Windows Sonic.
Добавлена опция "Не заполнять каналы при апмиксе".

VideoRenderers
Добавлена поддержка PostScale шейдеров для MPC Video Renderer.
Добавлена поддержки шейдеров "ps_4_0" (Direct3D11) для MPC Video Renderer.
Устранены утечки памяти при использовании Direct3D9.
Исправлена ошибка создания EVR-CP при использовании режима Flip/FlipEx, когда основное окно свернуто.
Убран специальный приоритет YV12 относительно NV12 для видеокарт Intel.
Добавлена поддержка команды "lessRedraws" для MPC Video Renderer.
Добавлена возможность получения отображаемого изображения для MPC Video Renderer.
Исправлен сброс состояния кадра на паузе для случая поворота на 180 градусов и отражения кадра.
Исправлен поворот кадра на паузе для madVR.
Отключена поддержка эксклюзивного полного экрана для SyncRenderer.
Исправлена работа меню и команд для активного видеорендерера.

Субтитры
Улучшена поддержка Teletext субтитров.
Добавлена базовая поддержка субтитров TTML (Timed Text Markup Language).
Исправлено отсутствие субтитров при задании задержки и использовании XySubFilter.

Youtube
Обновлена поддержка Youtube.
Расширена поддержка потоков в формате AV1.
Плеер больше не использует Google API.
Добавлена возможность открытия некоторых страниц типа https://www.youtube.com/user/ и https://www.youtube.com/channel/ как плейлист.
Добавлен выбор возможных форматов, когда видео отрыто с помощью youtube-dl.
Добавлена поддержка глав (chapters).
Добавлена возможность открытия плейлиста Youtube при вставке из буфера обмена.
Исправлена загрузка некоторых плейлистов.
Добавлена информации о длительности элементов плейлиста.

Плеер
Добавлена команда "Скопировать изображение в буфер обмена".
Исправлено сохранение изображения с некоторыми субтитрами.
Максимальный масштаб PnS увеличен c 3x до 5x.
Исправлено перемещение при масштабировании.
Сдвиг кадра ограничен диапазоном 0.1..0.9, чтобы кадр совсем не пропадал из видимости.
Исправлено авто-скрытие курсора при переходе от одного файла к другому.
Добавлена возможность ручной ассоциации расширений .avs (AviSynth script) и .vpy (VapourSynth script).
Исправлено открытие DVD-Video из командной строки.
Различные изменения шейдеров в папке Shaders.
Добавлена шейдеры "ps_4_0" (Direct3D11) в папку Shaders11.
Добавлена поддержка шейдеров DX11 в окне "Комбинирование шейдеров".
Небольшие изменения Web-интерфейса.
Возвращена возможность переименования элементов в плейлисте.
Убрано ограничение добавления дубляжа только для локальных файлов.
Исправлена работа плейлиста с настройкой "В случайном порядке".
Настройка "В случайном порядке" теперь доступна для плейлиста типа "Проводник".
Оптимизация отрисовки панели управления и логотипа.
Системная регистрация фильтра по расширению (file extension) теперь не имеет особого приоритета перед системной регистрацией фильтра по сигнатуре (check bytes).
Улучшено управление плеером при активном плейлисте.
Добавлена фильтрация списка горячих клавиш.
Добавлена настройка "Не сбрасывать скорость для сессии".
Исправлены проблемы при переключении между плейлистами.
При падении плеера в дополнению к MiniDump будет создаваться файл .stacktrace.txt.
Исправлен размер окна после выхода из полноэкранного режима на мониторах с разным DPI.
Настройка "Запоминать плейлист" теперь работает только для основного плейлиста и переименована в "Запоминать основной плейлист".
Исправлена сортировка в диалоге загрузки субтитров, теперь учитывается "Приоритет дорожек".
Исправлено некорректное отображение подсказок "Панели управления поверх видео" в некоторых ситуациях.
Исправлена некорректная обработка нажатия левой кнопки мыши в главном окне в некоторых ситуациях.
Добавлена возможность включать показ миллисекунд в статусной строке в течении сессии.
Исправлена отрисовка плейлиста.
Нажатия сочетания клавиш "Alt+Key" в плейлисте теперь передается в главное окно.
Исправлено открытие URL внутри файлов M3U.
Исправлено открытие слишком длинных URL(более 2000 символов).
Увеличена ширина картинки с миниатюрами до 5120.
Улучшена поддержка MPC Video Renderer.
Исправлено открытие локальных плейлистов некоторых типов.
Добавлена поддержка MBSE MultiChannel ASIO Renderer.
При сохранении и копировании субтитров в буфер обмена учитываются заданная задержка.
Более не поддерживаются Morgan Stream Switcher и RatDVD.
Добавлена возможность отключать показ текущего кадра в Web-интерфейсе.
Исправлена отладка внешних фильтров с релизной версией плеера.
Исправлены команды skipback и skipforward в WEB-интерфейсе.
Убраны нежелательные темные рамки на некоторых системных меню при использовании темного меню в плеере.
Добавлена поддержка вставки из буфера обмена файлов и папок, скопированных в проводнике.
Увеличен лимит для плейлистов MPCPL до 10 МБ.
Изменен способ задания приоритета дорожек. Добавлена поддержка кавычек, символа "+" для нескольких совпадений и отрицания для Default и Forced.

MPCBEShellExt (расширение проводника)
Добавлена поддержка интерфейса IDropTarget.

Обновлен немецкий перевод (автор Klaus1189).
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлен турецкий перевод (автор cmhrky).
Обновлены китайский (Traditional) и голландский переводы (автор beter).
Обновлен украинский перевод (автор arestarh1986).
Обновлен венгерский перевод (автор mickey).
Обновлен греческий перевод (автор George).
Обновлен японский перевод.

Обновлены библиотеки:
	dav1d git-0.7.1-14-g5fe20ec;
	ffmpeg git-n4.4-dev-607-g1ead176d87;
	libflac git-1.3.3-62-gce6dd6b5;
	libogg git-v1.3.4-13-g0bbcba4;
	libpng git-v1.6.37-16-g6dd99ca9c;
	Little-CMS git-2.11-12-g29b0d79;
	MediaInfo git-v20.08-g84d951c0;
	rapidjson git-v1.1.0-549-g8f4c021f;
	ZenLib git-v0.4.38-13-g54d2f0d.


1.5.4 - 2019-12-27
=============================
Сплиттеры
Вместо интерфейса IBufferControl теперь используется более универсальный интерфейс IExFilterConfig.

ShoutcastSource
Улучшена поддержка метаданных в формате JSON.

FLACSource
Добавлена поддержка файлов с неуказанным количеством сэмплов.

AudioSplitter
Добавлена поддержка с ID3Tag для WavPack.

RawVideoSplitter
Устранено случайное подключение к "MPEG-TS".

RoQSplitter
Устранено зависание при открытии некоторых файлов.

OggSplitter
Исправлены ошибки открытия некоторых файлов.

FLVSplitter
Добавлена поддержка контейнера KUX.

MpegSplitter
Улучшена стабильность работы при работе с некорректными MPEG-PS.
Исправлено отображение дорожек для текущего плейлиста Blu-ray (.mpls).

MatroskaSplitter
Добавлена поддержка новых mime-type шрифтов.
Устранено падение на некоторых испорченных файлах.

MP4Splitter
Расширена поддержка DV Video.
Исправлен расчет соотношения сторон кадра для некоторых файлов.
Улучшена поддержка аудиодорожек Opus.
Исправлено открытия файлов с видео VC-1.
Добавлена поддержка аудио TrueHD.
Добавлена поддержка обложек в атоме 'covr'.

MpaDecFilter
Улучшена проверка возможности битстрима.
Улучшен битстрим DTS.
Улучшена поддержка AAC HE v2.

RoQVideoDecoder
Убрана поддержка вывода 'I420', 'IYUV', ARGB32, RGB565, RGB555.

RealVideoDecoder
Убрана поддержка вывода 'I420' и 'IYUV'.

Mpeg2DecFilter
Убрана поддержка вывода 'I420' и 'IYUV'.
Удалена устаревшая опция "Enable planar YUV media types (NV12, YV12)".

MPCVideoDec
Добавлены медиатипы для поддержки DV Video.
Исправлен расчет SAR видеокадра.
Улучшено декодирование AV1.
Реализовано обновление выходного формата в статусе после изменения настроек.

MPCVideoConverter
Добавлена поддержка видео 'b48r'.

MpcAudioRenderer
Исправлено воспроизведения аудио данных с задержкой по времени.
Исправлено воспроизведения DVD.
Размер внутреннего буфера теперь задается в зависимости от буфера устройства. Это улучшает воспроизведение на некоторых звуковых устройствах.
Улучшено переключение между аудиоустройствами.
Увеличена максимальная скорость воспроизведения до 16х.
Устройство теперь запоминается не только по идентификатору, но и по имени.
При недоступности режима Exclusive будет использован Shared режим.
Улучшена поддержка режима Shared на Windows 10. Добавлена поддержка виртуальных 7.1 динамиков при активации режима "Windows Sonic for Headphones".
Улучшена работа при возобновлении воспроизведения после паузы.

EVR-CP
Исправлена работа интерполяции DXVA2/DXVA-HD после пересоздания Direct3D9 устройства.
Добавлена возможность использовать режим Flip/FlipEx.
Исправлен отображение строки "Processing" в статистики.
Исправлено отображение кадра после остановки воспроизведения и последующей навигации.
Устранено переполнение при расчете Diplay Aspect Ratio.

Субтитры
Исправлена высокая нагрузка на CPU при выводе VobSub субтитров и активной опции "Только форсированные".
Улучшена поддержка субтитров PGS в неполных файлах .sup.

Youtube
Обновлена поддержка Youtube.
Добавлена поддержка многоканальных (5.1) аудиодорожек.
Добавлена опция "Выбрать максимальную частоту кадров или битрейт" при использовании youtube-dl.
Добавлена возможность не использовать доступный youtube-dl.

Плеер
Исправлена работа значка в панели задач.
Исправлено автопереключение частоты дисплея для интерлейса.
Убрана возможность запуска файлов из плейлиста с помощью клавиши "Пробел" ("Space").
Исправлено отображение подсказок в плейлисте.
Исправлен цвет фона строки поиска в плейлисте.
Плейлист типа "Проводник" по умолчанию больше не создается, т.к. он может сильно замедлить запуска плеера.
Нажатие средней кнопки мышки теперь перенаправляется в основное окно.
В начале воспроизведения плеер теперь посылает команду пробуждения дисплея или отключения заставки.
В контекстное меню плейлиста добавлена команда "Обновить".
Добавлена поддержка MPC Video Renderer.
Добавлена поддержка субтитров из внешних аудиофайлов.
После удаления файла в корзину в плейлисте произойдет переход на следующий файл.
Добавлена возможность выбрать несколько внешних аудиодорожек при открытии видеофайла.
Добавлено принудительное закрытие окна свойств фильтров после закрытия медиафайла.
Добавлена возможность выбрать приоритетный фильтр для UDP потоков.
Добавление субтитров методом Drag'n'drop теперь работает при активном отображении плейлиста.
Плейлист теперь сохраняется после каждого открытия медиафайла или ссылки.
Увеличен диапазон работы опции "Не масштабировать при малом уменьшении" до 6,3%.
Добавлена настройка "Скрывать курсор при воспроизведении в окне".
Добавлена панель настроек "Размер окна".
Улучшено обновление субтитров после изменения во внешнем редакторе.
Улучшена поддержка загрузки плейлистов .m3u(hls) с аудио-дорожками в отдельных потоках.
Добавлен параметр командной строки "/clipboard".
Добавлена опция "Перейти к следующему при ошибке" в меню плейлиста.
Добавлена опция "Запоминать выбранные дорожки в плейлисте".
Добавлена возможность открытия magnet-ссылок и файлов .torrent при наличии TorrServer.
Добавлена возможность указать адреса AceStream и TorrServer.
Улучшен функционал добавления похожих файлов.
Переработана настройка выбора видео рендерера. Добавлена информация о установленных, но недоступных рендерерах.
Добавлена настройка "Тайм-аут соединения" для проверки URL.
Добавлена возможность вставлять пути из буфера обмена в плейлист используя Ctrl+V.
Исправлен перенос папки "Shaders" из папки плеера в профиль пользователя.
Улучшен подсчет скорости сохранения онлайн потоков.
Исправлен переход по ярлыкам папок в диалоге открытия файлов.
Добавлена команда "Копировать список фильтров в буфер".
Пути в "последних файлах" теперь не проверяются перед отображением меню. Путь к DVD-Video теперь указывает на файл VIDEO_TS.IFO. Путь к BD теперь указывает на файл index.bdmv или выбранный *.mpls.
Добавлена опция "Не показывать 000xx.mpls короче, чем N мин".
Команда "Открыть диск" теперь может открывать "DVD-Audio". Если диск смешанный, то откроется "DVD-Video".
Улучшения темного меню.
Добавлено сообщение об ошибки открытия файла в OSD.
Увеличен диапазон размера шрифта OSD до 8...26 (было 10...25).
Исправлен выбор дисплеев для полноэкранного воспроизведения.
Исправлен размер шрифта OSD при использовании масштабирования Windows.
Добавлено запоминание отображения системного времени и имени (названия) файла.

Обновлен русский перевод.
Обновлен немецкий перевод (автор Klaus1189).
Обновлен украинский перевод (автор arestarh1986).
Обновлен японский перевод.
Обновлен китайский (Simplified) перевод (автор wushantao).
Обновлены китайский (Traditional) и голландский переводы (автор beter).
Обновлен турецкий перевод (автор cmhrky).
Обновлен венгерский перевод (автор mickey).

Обновлены библиотеки:
	dav1d git-0.5.1-1-g07dab8c;
	ffmpeg git-n4.3-dev-1770-g547b0c61af;
	Little-CMS git-lcms2.9-43-g9a30662;
	libflac git-1.3.3-44-gb02e1593;
	MediaInfo git-v19.09-34-gfa8cba8f;
	openjpeg git-v2.3.1-24-gac373737;
	rapidjson git-v1.1.0-508-gd67a69a9;
	ZenLib git-v0.4.37-50-gfef7392.


1.5.3 - 2019-04-01
=============================
ShoutcastSource
Добавлена поддержка метаданных записанных в формате json.

OggSplitter
Улучшена поддержка глав.
Исправлено воспроизведение очень мелких файлов.

FLVSplitter
Добавлена поддержка файлов Xunlei XV.

MpegSplitter
Добавлена поддержка смешанных потоков H.264 3D MVC.
Увеличен первоначальный размер считываемых данных для локальных файлов до 60 мегабайт в случае, если в PMT присутствует HEVC поток.
Добавлена поддержка MPEG-PS с потоками mu-law.
Улучшена навигация на файлах с испорченными блоками.

MP4Splitter
Добавлена поддержка видеокодека 'r210' для файлов MOV.
Добавлена поддержка обрезки кадра (атом 'clap').
Добавлена поддержка MP4 dash файлов, с отдельными сегментами для каждой дорожки.
Добавлена поддержка видео Avid DNxHR ('AVdh').
Добавлена поддержка цветового пространства (атом 'colr').
Добавлена поддержка HDR Light Level (атом 'clli').
Добавлена поддержка HDR метаданных (атом 'mdcv').

DVRSplitter
Добавлена полноценная поддержка DAV(DHAV) файлов.

MpaDecFilter
Всегда используем декодирование в PCM в случае проигрывания потока DTS Express.
Улучшена совместимость битстрима DTS-HD HRA.
Улучшен битстрим TrueHD+Atmos.
Добавлен битстрим MLP.

Mpeg2DecFilter
Изменен формат настроек яркости, контраста, оттенка и насыщенности.
Встроенный в плеер фильтр теперь подключается только для DVD-Video. В остальных случаях для MPEG-1 и MPEG-2 будет подключаться MPCVideoDec.

MPCVideoDec
Удалена опция "Метод отключения деблокинга H264".
Добавлена опция "Пропускать B-кадры".
Более корректно учитывается порядок строк при преобразовании RGR в RGB32.
Добавлена поддержка кодека AVrp (Avid 1:1 10-bit RGB Packer).
Улучшена поддержка получения цветового пространства от вышестоящего фильтра.
Добавлена поддержка кодека 'HYMT' (HuffYUV MT).
Добавлен патч, который определяет любой I-кадр в потоке H.264 как ключевой. Это ускоряет перемотку на некоторых файлах.
Добавлена поддержка видео "Mirillis FIC" ('FICV').
Обновлен декодер Intel MVC.
Ускорено декодирование AV1 за счет использования библиотеки dav1d v0.2.0.
Добавлена поддержка видео Avid DNxHR ('AVdh').

MPCVideoConverter
Добавлена поддержка 'Y1[0][16]' (16-битный серый).
Убрана прямая поддержка планарного RGB48, теперь планарные RGB поддерживаются только через MEDIASUBTYPE_LAV_RAWVIDEO.

MpcAudioRenderer
Исправлен вывода статуса при битстриме и переключении аудио-дорожки в проигрывателе.
Более корректно рассчитывается размера буфера при бистриме DTS-HD.
Расширена работа опции "Не проверять поддержку формата".

EVR-CP
Изменены механизм и настройки синхронизации.
Улучшено качество скриншотов анаморфных кадров.
При создании скриншотов и миниатюр используются шейдеры коррекции.

Субтитры
Ограничиваем размер очень больших субтитров, иначе они некорректно отображаются.

Youtube
Обновлена поддержка Youtube.
Корректируем вывод неподдерживаемых символов.
Улучшена работа с youtube-dl.
Улучшена работа с live-трансляций.

Плеер
Исправлена работа FlyBar при выборе Иврита в качестве перевода.
Улучшено определение выбора основного видео при открытии Blu-Ray структуры.
Добавлена возможность назначить горячую клавишу на команду "Открыть образ Iso".
Улучшено автоматическое переключение режима дисплея. Теперь при отключении дисплея, его настройки не теряются.
Доработана страница "variables.html" web-интерфейса.
Плейлист теперь поддерживает "темную" тему оформления. Улучшена отрисовка плейлиста при высоком DPI.
Исправлена работа кнопки сброса списка медиатипов для фильтров, загружаемых по пути, а не из системы.
Исправлена работа опции "Эксклюзивный полный экран" при переключении через "FlyBar".
Добавлено "темное" меню.
Исправлен расчет размеров окна при активной опции "Соотнош. сторон как у видеокадра" и активном плейлисте, закрепленном слева или справа.
Добавлена возможность по увеличению размера шрифта в плейлисте.
В меню плейлиста добавлена команда для получения данных MediaInfo.
Улучшена работа shuffle алгоритма.
Группа форматов "AC3/DTS" и группа фильтров "DTS/AC3" разделены на группы "AC3" и "DTS/DTS-HD".
Добавлена поддержка расширения ".dtsma", ".eac3" и ".weba".
Возвращена возможность сохранять до 1000 закладок для медиафайлов.
Добавлена поддержка опции "Разрешить Windows исправлять размытость в приложениях", которая появилась в Windows 10.
Пункт настроек "Null (compressed)" переименован в "Null (any)".
Реализовано получение названия диска из файла "BDMV\META\DL\bdmt_eng.xml".
Увеличен размер буфера для диалога открытия файлов.
Добавлена возможность использовать несколько плейлистов. Добавлен новый тип плейлиста - проводник.
Добавлена возможность поиска в плейлисте.
Добавлена поддержка формата BMP для аудио обложек.

Обновлен немецкий перевод (автор Klaus1189).
Обновлен японский перевод (автор не назвал себя).
Обновлены китайский (Traditional) и голландский переводы (автор beter).
Обновлен украинский перевод (автор arestarh1986).
Обновлен китайский (Simplified) перевод (автор wushantao).

Обновлены библиотеки:
	ffmpeg git-n4.2-dev-1150-g391f884675;
	dav1d git-0.2.1-12-gbd12b1e;
	libflac git-1.3.2-98-g421961f0;
	libpng git-v1.6.36-805-g8439534da;
	Little-CMS git-lcms2.9-29-gb5b36cd;
	MediaInfo git-v18.12-100-ga0d9b962;
	rapidjson git-v1.1.0-461-gbfdcf491;
	ZenLib git-v0.4.37-34-g641e243.


1.5.2 - 2018-10-29
==============================
Сборка в Visual Studio 2015 больше не поддерживается.

VTSReader
Исправлено падение на некоторых DVD-Audio с пустыми Title.

UDP/HTTP Reader
Добавлена возможность подключаться к потокам с "Content-Type: None", такое встречается на некоторых трансляциях IPTV.

DTSAC3Source
Добавлена поддержка файлов с AC3 core + EAC3 dependent streams.

Сплиттеры
Улучшена работа с плохими тегами ID3м2, добавлена поддержка чтения Extended header.
Откорректировано заполнение extradata для H.264 и HEVC.
Улучшен механизм восстановления доступа к проигрываемому файлу (после переподключения флешки, сетевого диска и т.д.).
Улучшена совместимость с StreamBuffRe.
Добавлен MPC DVR Splitter для работы с записями некоторых китайских камер DVR/IP ('HXVS').
Улучшена поддержка глав и изображений в тегах ID3v2.
Оптимизировано чтение данных.
Максимальный размер буфера увеличен до 15 секунд. Это должно решить проблему с DVD-приводами, у которых скорость вращения нарастает с большой задержкой.

MPEGSplitter
Улучшена поддержка DVD-Audio.
Улучшена поддержка онлайн-стримов.
Исправлено проигрывание некоторых MPEG-TS потоков.
Исправлена перемотка некоторых MPEG-PS потоков.
Улучшено чтения PSI (Program-specific information).
Добавлена поддержка отображения нескольких языков в названиях дорожек (такое встречается в субтитрах).
Улучшена поддержка DTS-HD.
Добавлена поддержка файлов с AC3 core + EAC3 dependent streams.
Исправлено падение при открытии "неполной" Blu-ray структуры.
Добавлена поддержка MPEG-4 ASP.
Откорректировано окно настроек для больших масштабов.
Уменьшено время открытия некоторых файлов с потоками AVC и HEVC.

MP4Splitter
Улучшена поддержка потоков Vorbis.
Устранено падение при открытии файлов DASH, у которых временные метки первого сегмента начинались со значения больше нуля.
Исправлена перемотка фрагментированных (dash) файлов не по индексам.
Добавлена поддержка видео "Vidvox Hap".
Устранено падение при открытии некоторых MP4 файлов.
Улучшена поддержка VP8.
Добавлена поддержка Opus в MP4.
добавлена поддержка MPEG Audio Layer 2.
Добавлена поддержка AV1.

MatroskaSplitter
Добавлена поддержка параметров "ROTATE" и "ROTATION".
Улучшена перемотка для неполных файлов.
Откорректировано отображение битрейта для AC3 и DTS дорожек.
Исправлено падение при открытии файлов с более чем одной видео-дорожкой.
Добавлена поддержка AV1.
Расширена поддержка дорожек E-AC3.
Откорректирована работа с пропорциями и обрезкой видеокадра.
Исправлена статистика сплиттера (IBufferInfo).
Оптимизировано чтение ближайших субтитров после перемотки при наличии в файле данных CueRelativePosition и CueDuration.

FLVSplitter
Добавлена поддержка тегов в формате UTF-8, добавлена поддержка тега "author".

OggSplitter
Исправлено открытие файлов, у которых временные метки начинаются не с нуля.
Добавлена поддержка чтения комментариев для FLAC дорожек, добавлена поддержка тегов "CUESHEET" и "METADATA_BLOCK_PICTURE".
Улучшено проигрывания live трансляций и записей.
Исправлена перемотка, ранее работала неверно и могла приводить к расхождению аудио и видео.

BinkSplitter
Исправлен расчет временных меток для аудио-дорожек.

RawVideoSplitter
Добавлена поддержка файлов IVF ('DKIF').
Расширена поддержка файлов RAW MPEG4 (DivX5 и других).

MpaSplitter
Исправлено открытие некоторых маленьких файлов.

AudioSplitter
Добавлена поддержка ID3v2 в заголовке APE файлов.
Откорректирована поддержка ID3v2 в WAV файлах.

MpaDecFilter
Исправлено декодирование 16bit BD LPCM.
Добавлена поддержка декодирования PCM A-law и mu-law.
Переработана и исправлена передача E-AC3 по битстриму через HDMI.
Переработана обработка временных меток, что должно сделать воспроизведение некоторых форматов (например RealAudio) более ровным.
Добавлена поддержка декодирования DVD-Audio с двумя группами каналов, у которых частота или разрядность отличаются.
Улучшен битстрим TrueHD.

MPCVideoDec
Исправлен вывод перевернутого изображения RGB при совместной работе с VSFilter.
Если не указаны параметры YUV видео, то задаем BT.601 или BT.709 исходя из разрешения для более корректного преобразования в RGB.
Исправлено проигрывания потоков H.264 с высоким значением ReFrames.
Откорректирован размер кадра для режима "Вертикальная стереопара".
Теперь флаг о типе интерлейса и цветовом пространстве из вышестоящего фильтра (контейнера) имеет больший приоритет.
Добавлена поддержка для RGBP16, который выдает Avisynth+ совместно с FFVideoSource.
Улучшена проверка на совместимость потока с аппаратным декодированием.
Добавлена возможность аппаратного декодирования видео с разрешением 720x1280 для старых версий Intel HD.
Убрана поддержка режима DXVA2_VP9_VLD_Intel.
Добавлена поддержка видео "Vidvox Hap".
Расширена поддержка UtVideo.
Улучшена поддержка VC-1, MPEG-1/2, MPEG-4.
Декодер теперь получает дополнительную информацию от встроенных сплиттеров.
Добавлена поддержка кодека FMP4 (разновидность MPEG-4).
Добавлена поддержка AOMedia Video 1 (AV1).
Исправлено зависание после остановки при декодировании 3D MVC и выводе через madVR.
Исправлена неработоспособность декодера ffvhuff.
Устранены артефакты при перемотке видео H.264 на видеоадаптерах AMD.
Различные изменения в декодере HEVC.

AudioSwitcher
Исправлено некорректное отображение названия дорожек в некоторых случаях.
Исправлено воспроизведение звука 8 бит моно.
Добавлена возможность регулировки уровня центрального канала и окружающего звука.

MpcAudioRenderer
Исправлена работа при выводе 24bit и изменении скорости проигрывания.
Улучшено изменение настроек и устройств вывода при воспроизведении.
Добавлена функция стерео crossfeed (для наушников), используется библиотека bs2b с параметрами 700 Hz, 6 dB.
Полностью переписан метод синхронизации, теперь сам аудио-рендерер выполняет роль "часов".
Опция "UseWasapi" переименована в "DeviceMode".
По умолчанию теперь используется режим WASAPI Shared, как наиболее дружелюбный к пользователю.
Переработано окно статуса, добавлена возможность перевода.
Добавлена настройка буфера устройства, доступны значения "По умолчанию"(что выдает драйвер), 50 и 100 мс.

EVR Custom Presenter
Исправлена работа с параметром NominalRange входного видео.
По умолчанию для уменьшения используем шейдерный метод "PS: Simple averaging", а для увеличения "PS: Catmull-Rom spline4".
Добавлены показания загрузки GPU и использование GPU Memory для адаптеров Intel и AMD.
Добавлена поддержка интерполяции DXVA-HD (имеет смысл для адаптеров Intel).
Добавлено определение режимов "d3d11 native" (LAV Video) и Intel H.264 (MVC 3D).
Убрана поддержка текстур "32-bit Floating Point" (D3DFMT_A32B32G32R32F), т.к. не дает заметных преимуществ по сравнению с "16-bit Floating Point" (D3DFMT_A16B16G16R16F), но при этом вызывает различные проблемы (падение производительности, глюки интерфейса, вылеты плеера).
Исправлена работоспособность опций "Не масштабировать кадр при малом увеличении/уменьшении" для эксклюзивного полного экрана.
Исправлена загрузка неправильного ICC-профиля для неосновного дисплея.
Исправлено определение поддержки шейдеров PS 2.0b.
Переработана статистика рендерера (Ctrl+J).

Субтитры
Устранено падение после неверного результата функциях CWord::Transform().
Исправлено работа опции "Позиционировать относительно кадра" для текстовых субтитров.
Исправлено отсутствие или некорректный вывод некоторых эффектов при уменьшении изображения для текстовых субтитров.
Улучшена поддержка субтитров формата WebVTT.
Добавлена поддержка формата LyRiCs (.lrc).
Файлы с расширением .txt более не рассматриваются как файлы субтитрами.
Корректно отображаем внешние субтитры при изменении скорости проигрывания.
Исправлена работа с субтитрами PGS. Теперь нет необходимости выделять большие буферы в сплиттерах.
Улучшена поддержка субтитров из телетекста.

YouTube
Улучшена работа со списком dashmpd.
Улучшена поддержка Youtube live stream.
Игнорируем субтитры созданные автоматически.
Улучшен парсер субтитров.
Добавлено автоматическое сохранение внешней звуковой дорожки, в случае сохранения видео в формате DASH.
Добавлена поддержка Youtube 1440p и 2160p live streams.
Добавлена поддержка разрешений 5k и 8k.
Используем google api для парсера плейлистев. Это позволит загружать плейлисты с более чем 200 элементами.
Добавлена поддержка youtube-dl. Файл youtube-dl.exe должен находиться в папке плеера или по пути указанном в переменной "PATH".
Панель настроек "YouTube" переименована в "Online media services".
При наличии отображаем потоки AV1 в меню "Навигация->Перейти".
Исправлено имя файла для сохранения после изменения разрешения в меню "Навигация->Перейти".
Добавлена поддержка форматов 134 и 136, если отсутствуют 18 и 22.
Исправлены проблемы с субтитрами после смены качества роликов Youtube.

Шейдеры
Откорректирован шейдер "grayscale.hlsl".
Добавлен шейдер "treshold.hlsl".
Добавлен шейдер "LumaSharpen.hlsl" (спасибо JNW).

Инсталлятор
Добавлена обработка случая недоступности libmfxsw32/64.dll.zip во временной папке.
Деинсталлятор теперь может быть подписан цифровой подписью.

MPCBEShellExt
Уменьшен размер, более не используем MFC.

Плеер
Откорректирована запись истории.
Исправлена работа кнопки "Применить" в настройках.
Исправлена ссылка на сайт uICE.
Исправлена неактиность кнопки выборка субтитров для некоторых DVD-Video.
Исправлены размеры окон настроек внешних фильтров.
Улучшения работы плейлиста. Исправлена команда "Сортировать по имени". Добавлена "Обратная сортировка".
Список MPCAPI_COMMAND синхронизирован с проектом MPC-HC. Исправлены некорректно работающие команды, добавлена команда CMD_OPENFILE_DUB. Рефакторинг MPCTestAPI.
Добавлена поддержка горизонтального ролика или клавиш мыши (Mouse Wheel Left/Right).
Устранено падение при попытке просмотра данных MediaInfo на некоторых файлах matroska.
Добавлена обработка параметра /open без указания пути, в таком случае будет открыт последний запомненный файл.
Корректировка вывода OSD.
Исправлено чтение поля "INDEX" в Cue sheet.
Исправлен некорректный выход из полноэкранного режима в некоторых случаях.
Удалено бесполезное "EDL window" и связанный с ней функционал.
Исправлен неверный вывод сообщения о несоответствии версии языковых .dll в случае отсутствия этих самых .dll
Исправлено удаление файлов из плейлиста и перемещение нескольких пунктов.
Исправлена обработка вложенных папок при Drag'n'Drop.
Доработан поиск похожих файлов.
Опция "Полноэкранный Direct3D" переименована в "Эксклюзивный полный экран".
Добавлена возможность открытия .url и .website файлов(по аналогии с .lnk).
Отображаем главного меню взамен контекстного, когда само главное меню скрыто.
Горячие клавиши основного окна теперь работают при активном плейлисте (кроме тех которые используются в самом плейлисте).
Добавлена возможность открытия ссылок AceStream (acestream://).
Улучшена работа с плейлистами M3U. Исправлено сохранение плейлистов M3U, в поле #EXTINF была пропущена длительность.
Добавлена команда "По окончании воспроизведения: всегда закрыть файл".
Исправлено падение при нажатии "Предыдущий" и включенной опции "По окончании воспроизведения -> Перейти к след. в каталоге (зациклить)".
Скорректированы стандартные диапазоны для переключения режима дисплея.
Исправлена регулировка контрастности на значениях близких к минимальному на рендерарах типа EVR на картах Nvidia (баг Nvidia).
MPC Audio Renderer перемещен в начало списка аудиорендереров и теперь имеет номер 0.
Добавлена опция управления выводом текста в полосе прокрутки. Изменено управление вывода текста в заголовке окна.
Добавлена возможность подключить фильтр Acon Digital Media EffectChainer.
Корректно обрабатываем случай, когда файл внешнего LOGO отсутствует.
Изменена логика работы команд "Предыдущий" и "Следующий" при открытии Bly-ray структуры. Теперь они используются для перехода между плейлистами (если таковых больше чем один).
В окне "О программе..." добавлено отображение версии компилятора MSVC.
Опции "Default Style" и "Forced only" в меню ""Subtitles" теперь всегда активны, теперь их можно изменить до начала воспроизведения.
Выбор аудиодорожек и субтитров перенесен из "Навигации" в "Воспроизведение".
Добавлена поддержка Drag'n'Drop текста(UNICODE/ANSI). Если в тексте содержаться онлайн-ссылки или существующие пути к файлам, то они будут открыты (попадут в плейлист). Ticket #333.
Исправлено некорректное отображение выбранных элементов меню "Режим 3D стерео".
Из web-интерфейса убраны дублирующие и неработающие команды для выбора аудиодорожек и субтитров.
Подменяем некоторые эмодзи на другие символы для Win7 и Win8.
Добавлена возможность удаления файлов из плейлиста в Корзину.
Переработано работа с закладками. Закладки теперь сохраняются в секции "Favorites2". Исправлено сохранения закладок для путей с символом ';'. Исправлено сохранения закладок DVD-Video открытых из образов
Исправлено отслеживание изменений во внешних субтитрах.
Исправлен порядок перехода по клавише "Tab" в разных диалогах.
Исправлена ширина меню глав, субтитров и аудиодорожек при повторном вызове для другого медиафайла.
Исправлен захват видео с веб-камеры при изменении формата видео.
Исправлено построение DirectShow графа при записи захваченного видео.
Не используем DMO-энкодеры и сплиттер OGM при захвате видео.
Из меню "Навигация->Перейти" убрано отображение плейлиста.
Исправлено ограничение минимальной высоты для прикрепляемых окон.
Многие прикрепляемые окна теперь меняют язык перевода без перезагрузки.
Корректируем частоту экрана при эксклюзивного полного режима на Windows 8 и выше.
Добавлен параметр командной строки "/randomize". Ticket #366.
В группу видеоформатов "Прочие" добавлено расширение .nut.
Изменено отображение Fourcc с нестандартными символами.

Обновлены китайские (Traditional и Simplified), голландский и японский переводы (автор beter).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен украинский перевод (автор arestarh1986).

Обновлены библиотеки:
	ffmpeg git-n4.1-dev-1425-g7a6d88ee62;
	libaom git-v1.0.0-748-g8048e8c0b;
	libflac git-1.3.2-84-g452a4477;
	libpng git-v1.6.35-29-ga54a0562c;
	Little-CMS git-lcms2.9-23-g768f70c;
	MediaInfo git-v18.08.1-15-gb3540b07;
	openjpeg git-v2.3.0-9-gd9f8f7ba;
	rapidjson git-v1.1.0-415-g73063f50;
	Speex-1.2.0-6-g0c02121;
	soxr git-0.1.3-0-g945b592;
	ZenLib git-v0.4.37-23-g4255a20;
	ResizableLib v1.5.1.


1.5.1 - 2017-10-10
==============================
Теперь для работы требуется процессор с поддержкой SSE2.
Теперь выкладываются архивы с файлами .pdb, которые необходимы разработчикам для работы с дампами. Пользователям скачивать файлы .pdb не надо.

DTSAC3Source
Добавлена возможность открытия TrueHD raw файлов (длительность может определяться некорректно).

Сплиттеры
Добавлена поддержка чтения глав из тегов ID3v2.
Добавлена возможность открытия ссылок с именем пользователя и паролем (http://user:pass@url).
Добавлена возможность передачи информации о режиме интерлейса для MOV, MKV и YUV4MPEG2.

AudioSplitter
Добавлена поддержка потоков DST (Digital Stream Transfer).

AviSplitter
Расширена поддержка видео в формате MagicYUV.
Более корректно определяем дельта-кадры для Xvid и DivX 5 при перестройке индекса.

MpegSplitter
Улучшена работа с дорожками в формате AAC.
Улучшена поддержка Teletext субтитров.
Улучшена перемотка Blu-Ray.

FLVSplitter
Улучшено открытие некоторых файлов.
Улучшена работа с дорожками в формате AAC.
Добавлена поддержка чтения мета-данных.
Используем список ключевых кадров при перемотке.

MP4Splitter
Исправлена перемотка в самое начало на фрагментированных (DASH) файлах.
Расширена поддержка видео в формате H.264.
Расширена поддержка видео в формате MagicYUV.
Улучшена поддержка DTS/DTS-HD, добавлена поддержка DTS Express.
Добавлена поддержка флага forced для субтитров tx3g.
Заполняем extradata для потоков H.264 и HEVC, если оно отсутствует в заголовке.
Добавлена поддержка Apple ProRes 4444 XQ.
Исправлено открытие некоторых старых QT файлов.
Добавлена поддержка видео JPEG2000 с идентификатором 'AVj2'.
Добавлена поддержка VP8 и VP9.

MatroskaSplitter
Улучшено определение частоты кадров для MPEG-1 видео.
Исправлено отображение субтитров при перемотке на некоторых файлах.
Улучшена поддержка AC3.
Добавлена поддержка FFV1.
Заполняем extradata для потоков H.264 и HEVC, если оно отсутствует в заголовке.
Добавлена поддержка чтения и экспорта дополнительных HDR метаданных.
Улучшена поддержка субтитров WebVTT.

RawVideoSplitter
Добавлена поддержка DAV формата.

MPCVideoDec
Расширена поддержка декодирования видео в формате MagicYUV.
Исправлено воспроизведение потоков VC-1 и MPEG2 с флагом 3:2 pull-down.
Исправлено декодирование MPEG2 в режиме DXVA.
Исправлена синхронизация после перемотки для MSDKDecoder.
Добавлена поддержка GoToMeeting2 и GoToMeeting3.
Добавлена поддержка Apple ProRes 4444 XQ.
Добавлена поддержка получения и экспорта дополнительных HDR метаданных.
Автоматически заполняем неизвестные DXVA2_VideoTransferMatrix, делаем это более корректно, чем системные рендереры.
Улучшена поддержка Lagarith, Apple Prores и FFV1.
Корректировка работы CFHD декодера.
Устранено падение на некоторых Apple ProRes.
Добавлена поддержка вывода в RGB48, который может принимать madVR. По умолчанию отключено.
Уменьшено потребление памяти DXVA2 декодером.

MPCVideoConverter
Добавлена поддержка RGB48 и RGB64 из AviSynth+.
Для "rawvideo" в статусе указываем исходный FourCC видеопотока.

Mpeg2DecFilter
Исправлено падение на некоторых DVD.
Откорректировано масштабирование окна настроек.

MpaDecFilter
Добавлена поддержка декодирования аудио QDesign Music Codec (QDMC).
Добавлена поддержка декодирования DST (Digital Stream Transfer).
Для встроенного декодера убрано преобразование формата сэмпла.
Улучшено работа с AAC LATM.
Добавлена опция для отключения корректировки A/V синхронизации.

AudioSwitcher
Задержка звука теперь работает и в режиме SPDIF/HDMI passthrough.
Исправлена работа Bass Redirect для звука в формате Int24.
Добавлено преобразование формата сэмпла.

MpcAudioRenderer
Устранена потеря сэмплов после снятия с паузы.
Добавлена опция "Разблокировать устройство во время ожидания"из монопольного режима после 3 секунд бездействия. По умолчанию выключена.

VideoRenderers
Исправлен вывод субтитров в режиме стерео 3D.
Исправлена работа опции отключения Aero.
Добавлен формат P010 в качестве формата EVR-микшера.
Добавлена возможность сохранить отображаемый кадр (Shift+F5).
Добавлено преобразование HDR в SDR.
Добавлены новые методы интерполяции при уменьшение менее 50%.
Помечены методы изменения размера кадра, которые требуют поддержки PixelShaders 3.0.
Доработан обход бага для Nvidia для видео шириной 1088 при использовании текстур 16/32-bit floating.
Учтена возможность принятия UYVY на вход EVR-CP.
Исправлена проблема отображения YUV 4:2:2 (YUY2, UYVY) на видеокартах Nvidia (вероятно баг драйвера).
Формат текстуры "32-bit Floating Point" помечен как нерекомендуемый (вызывает очень большое потребление видеопамяти).
Исправлены пояснения для видеорендереров.
В статистике изменен вывод информации о режиме работы видеодекодеров, добавлена более подробная информация для LAV Video Decoder.
Добавлен хак для правильного задания частоты экрана для эксклюзивного режима для Windows 8.1 и 10.

DirectVobSubFilter
Обновлен черный список приложений (список взят из MPC-HC).

Субтитры
Устранено падение на некоторых анимированных субтитрах.
Режим "Только форсированные" теперь работает и с текстовыми субтитрами.
Добавлена команда "Скопировать отображаемые субтитры в буфер обмена".
Передаем информацию о глубине 3D субтитров рендереру.
Автоматическое переоткрытие файлов с субтитрами в случае их изменения.
Оптимизация рендеринга субтитров SSA/ASS.
Корректно масштабируем растровые субтитры с прозрачностью.

YouTube
Обновлена поддержка открытия ссылок YouTube.
Добавлена возможность открытия ссылок вида www.youtube.com/embed/.
Возвращена поддержка открытия видео качества 240p.

Плеер
Различные корректировки интерфейса.
Автоматическая вставка ссылок в команде "Открыть Файл/URL" теперь опциональная.
Улучшена работа с файлами CUE.
При открытии папки более правильно игнорируем плейлисты и очищаем текущий.
Исправлен сброс настроек (некоторые настройки могли не сброситься).
Для опции "Автомасштаб" добавлен вариант "Вписать большие".
Исправлено некорректное восстановление положения и размера окна при запуске, если включена опция "Значок в панели задач".
В PinInfo для параметра VIDEOINFOHEADER->AvgTimePerFrame дополнительно показываем эквивалентный FPS.
Убрана возможность заливки субтитров на www.opensubtitles.org, которая не работала.
Изменен расчет размеров окна при изменении масштаба для случая, когда окно не помещается на экране.
Доработан хак для "невидимых рамок" в Windows 10.
Исправлено позиционирование окна предпросмотра.
Исправлено сохранение в плейлист и закладки для BD, DVD и ISO.
Полная переработка редактора шейдеров.
Стандартные шейдеры теперь доступны для всех пользователей.
Убрана поддержка шейдеров "ps_2_sw" и "ps_3_sw".
Исправлено отображение всплывающих подсказок при больших масштабах (DPI).
Добавлена возможность сохранение миниатюр с субтитрами.
Добавлена возможность открытия онлайн плейлистов в различных UTF кодировках.
Устранен "джиттер" ширины кадра с правой стороны видеообласти в ±1 пиксель при изменении окна и включенной опции "Соотнош. сторон окна как у видеокадра".
Добавлена поддержка открытия UHD Blu-Ray.
Увеличено максимальное значение истории открытых файлов до 100.
Часть настроек из панели "Аудио" перенесена в новую панель "Обработка звука". Добавлена опция "Запросить стерео у декодера"
Оптимизация ресурсов.
Добавлена команда "Перейти к началу" (клавиша "Home").
Добавлено запоминание текущего элемента в плейлисте.
Запоминание позиции в файле теперь работает не только для локальных файлов.
Перенос настроек "Управление цветом" из панели настроек "Видео"  в панель настроек "Коррекция цвета".
Улучшена поддержка HiDPI.
Добавлена возможность вызова меню "Закладки" с помощью горячей клавиши.
Изменено окно "Параметры командной строки".
Режим кадрирования теперь можно сохранить только из панели настроек "Видео". Изменения режима из меню работают только для текущей сессии. Добавлены опции "Не масштабировать кадр при малом увеличении" и "Не масштабировать кадр при малом уменьшении".
Добавлена возможность открытия ссылок "acestream://".
Добавлена возможность брать название из плейлиста при включенной опции "имя файла заменить названием".
В полосе прокрутки отображаем название, если оно отсутствует - имя файла.
В диалоге настроек "Клавиши" выделяем цветом значения, которые дублируются.
Добавлена возможность отображать метки глав для светлой темы.
Убрано запоминание позиции для онлайн-трансляций и источников с неизвестной длительностью.
Для YouTube и онлайн ссылок по возможности отображаем название вместо ссылки.
Исправлено сохранение миниатюр, когда миниатюра больше исходного кадра.
Добавлен режим "Вертикальная стереопара" для вывода стерео 3D.
Добавлена возможность получения отображаемого кадра (команда Shift+F5) для madVR v0.92.3.

Обновлен турецкий перевод (автор cmhrky).
Обновлен японский перевод (автор Socket774).
Обновлен украинский перевод (автор arestarh1986).
Обновлены китайские (Traditional и Simplified) и голландский переводы (автор beter).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен баскский перевод (автор Azpidatziak).

Обновлены библиотеки:
	ffmpeg git-n3.4-dev-2207-geea64ef4cf;
	libflac git-1.3.2-63-gf7cd466c;
	libpng git-v1.6.31beta04-5-gcd3721018;
	Little-CMS git-lcms2.8-96-gaeaaa78;
	MediaInfo git-v0.7.99-2-g19ec4c30;
	openjpeg git-v2.2.0-102-g28094e1e;
	Speex-1.2.0-1-gcae5026;
	rapidjson git-v1.1.0-242-g4c0f0036;
	ZenLib git-v0.4.36-10-g6f187cb;
	zlib 1.2.11.


1.5.0 - 2016-12-05
==============================
Windows XP больше не поддерживается.
Сборка в Visual Studio 2013 больше не поддерживается.
Вместо d3dcompiler_43.dll теперь используется d3dcompiler_47.dll.

CHTTPAsync
Увеличен таймаут на соединение 10 секунд, убраны таймауты при чтении данных.
Улучшена работа с некоторыми видами потоков.

UDPReader
Добавлена обработка типа "video/unknown" для лучшей совместимости с livestreamer.

CDDAReader
Добавлена опция включения-выключения чтения текстовых данных (CD-TEXT).

Сплиттеры
Добавлен сплиттер для Bink Video.
Убраны лишние проверки по расширению, где достаточна проверка по сигнатуре.

AudioSplitter
Улучшена работа по HTTP-протоколу.
Добавлена поддержка ID3V2 для WAV файлов.
Исправлено открытие WAV файлов с нечетным размером области данных.

MpaSplitter
Улучшена работа по HTTP-протоколу.
Добавлена поддержка чтения ApeTag в файлах MP3.
Игнорируем файлы IFF (ANIM).

RawVideoSplitter
Добавлена поддержка открытия HTTP и stdin потоков.
Добавлена упрощенная поддержка H.264 RAW, записанных видеорегистраторами Polyvision PVDR, LTV-DVR и другими.

MpegSplitter
Устранены артефакты при проигрывании 3D Blu-ray.

MP4Splitter
Добавлена поддержка чтения названия глав в формате UTF16.
Улучшена поддержка Dash файлов.
Добавлена поддержка RAW-видео 'b64a'.
Устранены падения на некоторых файлах.
Исправлено открытие некоторых файлов, в которых индекс начинается не с начала данных.
Добавлена экспериментальная поддержка FLAC в MP4.

MatroskaSplitter
Добавлена поддержка считывания тэга "3d-plane" и экспорт свойства "stereo_subtitle_offset_ids".
Добавлен парсинг и экспорт Colour Format и SMPTE 2086(HDR) mastering data.

Muxers
Обновлен код муксеров (спасибо проекту MPC-HC).

MPCVideoDec
Удален декодер DXVA1.
Добавлена поддержка Ut Video 'UQY2', 'ULH0', 'ULH2', 'UQRG' и 'UQRA'.
Улучшено отображение информации о входном формате в статусе.
Добавлена поддержка RAW-видео 'b64a'.
Добавлена поддержка MPEG2 потоков без I-кадров.
Устранено падение при преобразовании NV12->YUY2.
Добавлен декодер H.264 MVC 3D на базе Intel Media SDK (с поддержкой аппаратного декодирования на адаптерах Intel).
Добавлена возможность вывода стерео 3D в разных режимах.
Передаем нестандартные DXVA2_ExtendedFormat вышестоящему фильтру.
Оптимизировано преобразование YUV в RGB (спасибо проекту LAV Filters). Исправлена конвертации YCgCo в RGB.
Более корректно определяем пиксельный формат в начале воспроизведения для JPEG2000, FFV1, Motion-JPEG.
Для поддержки декодирования 4k на видеокартах Intel (Ivy Bridge и новее) теперь необходимо установить драйвер-пак не ниже v15.33.32.4061.
Для полноценной поддержки декодирования 4k на видеокартах AMD теперь необходимо установить драйвер не ниже v16.9.1.
Обход бага в функции IDrect3D9::GetAdapterIdentifier(), замеченного на системах Win8.1 и Win10.
Исправлено преобразование YUV 12 bit 444 -> RGB.
Добавлена поддержка DXVA VP9 10-bit Profile 2.

AudioSwitcher
Заполняем канал LFE при преобразовании 2.0 -> 5.1/7.1.
Добавлена опция для перенаправления баса из фронтальных каналов в LFE.
Добавлена возможность использовать CyberLink TimeStretch Filter (PDVD10).

MpcAudioRenderer
Обновляем список поддерживаемых форматов при смене устройства.
Устранены зависания в некоторых ситуациях.
Добавлена поддержка вывода в "настоящий" 32bit.
Используем библиотеку swresample вместо avresample.
Для изменения частоты звука используем библиотеку SoXR.
Добавлена оптимизация SSE2 для функций смены формата сэмпла.

VideoRenderers
Прекращена поддержка VMR-7 (windowed и renderless), VMR-9 (renderless).
Видеорендереры теперь сообщают более подробное имя рендерера.
Предварительно компилируем все шейдеры интерполяции.
Используем двухпроходные шейдеры интерполяции.
Добавлены методы интерполяции Lanczos2 и Lanczos3, удален метод Perlin Smootherstep.
В статистике добавлена отображении частоты GPU и потребление видеопамяти.
Максимальное количество буферов EVR уменьшено до 30.
Исправлено отображение YCgCo-видео на EVR (custom presenter) и Sync Renderer.
Добавлена возможность преобразования вертикальной анаморфной стереопары в режим чередования строк.
Убраны повороты по осям X и Y. По оси Z поворачиваем с шагом 90 градусов.
Добавлена команда "Отразить по горизонтали".
Исправлено воспроизведение в полном экране на дополнительном дисплее после перехода на новый Windows SDK.
Добавлена независимая опция для управлением интерполяцией при уменьшении ниже 50%.
Задаем размер BackBuffer достаточный для отображения на всех подключенных дисплеев. Теперь опция "Реинициализация при смене монитора" по умолчанию выключена.
Исправлено некорректное отображение YUV full range на видеокартах Nvidia (помогает в зависимости от настроек драйвера).
Исправлено аппаратное декодирование HEVC 8bit на видеокартах Radeon RX4xx.
Исправлена работа EVR (custom presenter) при переключении дисплея на большее разрешение.

Субтитры
При выводе стереоскопических субтитров добавлен эффект "объемности".
Добавлена поддержка диапазона яркости (TV/PC).
Для PGS/DVB субтитров добавлена поддержка информации о цвете (BT.601/BT.709, TV/PC).
Оптимизирована обработка анимированных субтитров.
Исправлено переключение субтитров VobSub с несколькими индексами.

Youtube
Исправлено открытие live-ссылок (вещаний в реальном времени, формат hls).
В меню "Навигация->Перейти" добавлен список доступных форматов Youtube.
Изменен выбор формата и разрешения YouTube роликов.
Исправлено определение расширения имени файла для полученной ссылки.
Добавлена возможность открытия плейлистов Youtube методом Drag'n'Drop.
При сохранении Youtube ссылок добавляем суффикс разрешения видео (720p/1080p и т.д.).
Добавлена поддержка WebM VP9 10bit.

Плеер
Откорректирован расчет минимального размера окна.
Максимальное количество глав увеличено до 300.
Заблокирован AssFilterMod из-за некорректной работы.
Добавлена возможность переключать каналы на аналоговом TB-тюнере кнопками Предыдущий и Следующий.
Добавлено отображение номера и частоты канала на аналоговом TB-тюнере при переключении, при запуске и выходе из паузы или стопа.
Добавлена опция выбора приоритета фильтров для http/https протоколов.
Используем высококачественный ресайзер изображения при создании миниатюр (оригинальный код - http://www.geisswerks.com/ryan/FAQS/resize.html).
Добавлено окно процесса сохранения миниатюр. Теперь этот процесс можно прервать.
Добавлена возможность сохранять некоторые потоки получаемые по http/https и UDP.
Уменьшено количество повторных соединений при открытии http/https ссылок.
Не сбрасываем настройку перевода на английский, если файл перевода недоступен.
Исправлено запоминание аналогового устройства захвата в окне настроек "Захват".
Отображаем тип аудиокодеков (ACM) в окне захвата.
Исправлено падение при изменении настроек захвата.
В группу форматов Matroska добавлено расширение .mk3d.
Улучшена поддержка .asx плейлистов.
Добавлена возможность открытия "ссылок" на локальные файлы начинающихся с "file://"
Восстановлена работа клавиши "DVD меню - активировать".
Запоминаем текущее состояние отображения оставшегося времени в OSD.
Минимальное количество последних файлов уменьшено до 5.
Добавлены команды "Переход назад" и "Переход вперед" при управлении с помощью тач-скрина.
Исправлено сохранение некоторых числовых настроек при одновременном завершении ввода и закрытии панели настроек.
Исправлен переход в полный экран по нажатию соответствующей кнопки в превью на панели задач.
Корректировка описания параметров командной строки.
Добавлены команды для переключения режима вывода стерео 3D.
Добавлена поддержка выключения компьютера с последующим быстрым включением (для Windows 8/10).
Разрешаем смотреть и менять настройки в подменю "Видеокадр" без предварительного запуска видеофайла.
Улучшена работа с закладками, запоминание позиции в файле/DVD, добавлено запоминание текущей аудиодорожки и субтитров.
Изменен способ хранения данных об последних файлах и DVD.
Изменены идентификаторы команд "Subtitle Delay -", "Subtitle Delay +", "After Playback: Do Nothing", "After Playback: Play next in the folder" для совместимости со сторонними утилитами.
В панели настроек "Внешние фильтры" расшифровываем большее количество медиатипов.

MPCBEShellExt
Исправлена ошибка когда в системе не открывались прикрепленные ссылки в проводнике.

Обновлен украинский перевод (автор arestarh1986).
Обновлены китайские (Traditional и Simplified) и голландский переводы (автор beter).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен японский перевод (автор Socket774).
Обновлен польский перевод (автор Volfield).
Обновлен греческий перевод (автор Lampros Zouloumis).

Обновлены библиотеки:
	ffmpeg git-n3.3-dev-485-g42ae9c6;
	jsoncpp git-1.7.7-2-ga1db52b;
	libflac git-1.3.1-223-g55fba7e;
	libpng git-v1.6.27beta01-2-gd65a92b;
	Little-CMS git-lcms2.8-27-g5d91cf4;
	MediaInfo git-v0.7.90-72-ge8ae8f6;
	openjpeg 2.1.2 git-7113c4e;
	soxr git-0.1.2-22-g5fa7eeb;
	ZenLib git-v0.4.33-50-g586a518.


1.4.6 - 2016-06-13
==============================
Сплиттеры и фильтры источников.
Добавлена поддержка многострочных тегов в ID3v2.
Исправлено чтение тегов ID3v2.4.
Встроенные фильтры источников теперь могут работать с HTTP/HTTPS самостоятельно.

ShoutcastSource
Исправлено воспроизведение потоков MPEG Version 2 Layer 3.
Добавлена поддержка открытия M3U и XSPF плейлистов. Улучшена работа с PLS плейлистом.

DTSAC3Source
Добавлена поддержка DTS Express.

UDP/HTTP Reader
Добавлено воспроизведение со стандартного входа (stdin).
Откорректировано завершение работы фильтра.
Снижено потребление памяти и уменьшены задержки ожидания.
Добавлена поддержка открытия источников с "content-type = video/mp2t".
Исправлена ошибка, из-за которой воспроизведение могло остановится.

AviSplitter
Добавлена поддержка AAC аудио-дорожек с идентификатором 0x706D.

AudioSplitter
Исправлено проигрывание TAK файлов.
Добавлена поддержка файлов .dtshd (с меткой 'DTSHDHDR' в начале файла).

MPEGSplitter
Добавлена фильтрация неподдерживаемых форматов с целью ускорения анализа файла.
Улучшена работа с некорректными данными в начале MPEG-файлов.
Отображаем имя сервиса в названии программ.
Оптимизация открытия файлов.
Исправлено и оптимизировано воспроизведение DVB и HDMV субтитров.
Добавлена поддержка Teletext субтитров.
Улучшена работа с файлами, которые закачиваются, и, соответственно, их размер и длительность увеличиваются.
Добавлена поддержка Opus.
Улучшена работа с .ssif файлами.
Добавлена поддержка H.264 MVC потоков для 3D Blu-ray дисков (для просмотра 3D требуются LAV Video Decoder и madVR).
Исправлено некорректное определение длительности на длинных записях.
Добавлена поддержка дорожек DTS Express.

MatroskaSplitter
Добавлена поддержка тега "DESCRIPTION".
Добавлена поддержка EBML элементов с неизвестной (не указанной) длиной.
Включена поддержка открытия файлов с HTTP ресурсов в связке с File Source (URL).
Добавлена поддержка H264 MVC потоков.
Улучшен алгоритм нахождения актуального fps.
Добавлена поддержка экспорта свойства "STEREOSCOPIC3DMODE" 
Добавлен поддержка WebVTT субтитров.
Расширена поддержка форматов "A_QUICKTIME", теперь доступен 'ima4' и др.
Добавлена поддержка звука QDM2.
Улучшена поддержка RV20 для FFmpeg-совместимых декодеров.
Исправлена перемотка(некорректно работала на некоторых файлах).
Добавлена поддержка тегов "ALBUM" и "RATING".
Исправлено и оптимизировано воспроизведение DVB и HDMV субтитров.
Добавлена поддержка дорожек DTS Express.
Оптимизирован механизм поиска после перемотки.

MP4Splitter
Исправлено отсутствие звука после перемотки некоторых файлов.
Исправлено воспроизведение некоторых ALS-дорожек.
Улучшена работа с сетевыми потоками.
Добавлена поддержка видеопотоков Windows Media Video 7 (WMV1), Canopus HQ, Canopus HQX, CineForm, Sorenson H263(FLV1) и MagicYUV.
Исправлено определение обложек в формате JPEG без 'JFIF' и 'EXIF' сегментов.
Оптимизировано чтение данных.
Улучшена поддержка DTS-HD дорожек.
Исправлена работа с RAW AAC данными.
Оптимизирована работы с очень короткими блоками звука.

OggSplitter
Добавлена поддержка тега "ALBUM".
Добавлена поддержка видеопотокa VP8.
Исправлено чтение тегов Vorbis.

MpaSplitter
Увеличена длина поиска ADTS заголовка.

RawVideoSplitter
Добавлена поддержка RAW MPEG-4 Visual. Фильтры "MPC MPEG4 Video Splitter" и "MPC MPEG4 Video Source" удалены как нерабочие и более ненужные.
Добавлена поддержка формата C420p10 для Y4M-файлов.

RealMediaSplitter
Устранены падения на некоторых файлах.

MPCVideoDec
Добавлена дополнительная проверка профиля HEVC (старые версии x265 записывали некорректную информацию в заголовке).
Исправлено преобразование YUV420P10/16->NV12.
В статусе добавлена информация о входном формате.
Добавлена поддержка декодирования Canopus HQ и HQX.
Добавлена поддержка VP9 DXVA2.
Добавлена поддержка MEDIASUBTYPE_LAV_RAWVIDEO.
Для madVR заполняем в DXVA2_ExtendedFormat информацию о BT.2020.
Добавлена возможность передачи HEVC HDR metadata в рендерер.
Удалены опции "Standard" и "Preset".
Улучшена совместимость с WM ASF Reader.
Добавлена частичная поддержка декодирования CineForm и MagicYUV (FFmpeg поддерживает эти кодеки частично).
Корректировка работы декодера DXVA1.
Изменены приоритетов для выходных форматов. Теперь сохранение цветового разрешения важнее глубины цвета. Для Intel GPU приоритет YV12 теперь выше, чем NV12.
В список 4k видеокарт Intel добавлены новые идентификаторы для графики Intel Skylake.

MpaDecFilter
Добавлена возможность переключения с устройства с поддержкой SPDIF/Bitstream на устройство без такой поддержки.
Исправлена работа с режиме ускорения и замедления.
Устранены проблемы с воспроизведением в случае кодирования в AC3 источника с частотой отличной от 44100/48000 Гц.
Откорректированы приоритеты выбора подходящего выходного формата.
Улучшена работа с DTS-HD при выводе данных по битстрим.

AudioSwitcher
Не ограничиваем частоты дискретизации в Аудиопереключателе, если используется MpcAudioRenderer или SanearAudioRenderer.
Добавлена возможность подключения к MultiChannel ASIO Renderer.
Для Windows XP ограничиваем максимальную частоту 96 кГц.
Исправлено выделение начального буфера, что устраняет проблемы с воспроизведением некоторых WMA файлов.
Исправлена ошибка при подключении к AC3Filter.
Устранено редкое зависание при переключении дорожек.

MpcAudioRenderer
Добавлен интерфейс IAMStreamSelect, с помощью которого можно быстро и без изменения настроек (только для текущей сессии) поменять текущее аудиоустройство.
Оптимизация и корректировка реинициализации устройства. Добавлен механизм для восстановления проигрывания в случае потери устройства.

VideoRenderers
Немного снижена нагрузка при уменьшении кадра с использованием шейдерной интерполяции ("Simple averaging").
Используем шейдер "Simple averaging" для сильного уменьшения кадра в SyncRenderer.
Заполняем DXVA2_ExtendedFormat только при работе с EVR/madVR.
Исправлен расчет размера видео в VMR9 renderless.
Корректировка масштаба графика в статистике.
Улучшена работа с madVR, добавлена возможность отключения Aero.
Улучшено определения подключения и отключения устройств вывода в мульти-мониторной конфигурации.
В статистику добавлен вывод информации о количестве потребляемой оперативной памяти проигрывателем и загрузки Video Engine(VID Usage).
Изменено отображение в статистике форматов 3D поверхностей.
Для EVR-Custom добавлена поддержка микширования в формате D3DFMT_A2R10G10B10 для входного формата P010 (работает на Win8.1 и новее).
Переделана поддержка флага "Rotation", теперь поворот кадра выполняется независимо от остальных деформаций.
Встроенные видеорендереры больше не поддерживают интерфейс ISubPicAllocatorPresenter и ISubPicAllocatorPresenter2.
Исправлена обработка изменения размера и соотношение сторон видео-кадра в EVR-Custom и Sync рендерерах.
Исправлено падение EVR-mixer на видеокартах Nvidia на float поверхностях при размере кадра 1920x1088 ('Integer division by zero' in nvd3dumx.dll).

VSFilter
Исправлено ошибочное применения стиля по умолчанию.
Откорректировано отображение диалога выбора шрифта.
Откорректировано отображения диалога выбора цвета.
Исправлен вывод PGS/DVB субтитров в случае если разрешение субтитров меньше, чем разрешение видео.

Subtitles
При открытии файла сбрасываем задержки субтитров не только для ISR, но и для VSFilter/XySubFilter.
Небольшая оптимизация.
Добавлена базовая поддержка WebVTT субтитров.
При принудительном использовании стиля по умолчанию переписывается не только сам стиль, но и игнорируются эффекты, прописанные в строке субтитров.

YouTube
Добавлена поддержка ссылок типа "youtube.com/v/".
Добавлена поддержка формата WebM с отдельными потоками видео и звука.
Добавлена возможность отключения встроенного парсера YouTube-страниц (требуется для фильтра 3DYD YouTube Source).
Добавлена поддержка фильтра 3DYD YouTube Source.
Доработано заполнение данных о ролике в плейлисте.
Убран старый встроенный механизм скачивания файлов, теперь фильтры источников самостоятельно скачивают данные без создания временного файла.

Плеер
Исправлена работа команд меню "Видеокадр -> Установить пропорции".
Добавлена возможность изменять размер окна предпросмотра ("превью").
Добавлена поддержка High DPI и DPI Per Monitor.
Устранено падение при вызове окна файловых ассоциаций с административными правами.
В режиме D3D FS используем переключение режима дисплея с записью в реестр.
Поправлено отображение доступных рендереров субтитров.
Добавлена возможность загружать шрифты из папки "fonts", находящейся рядом с воспроизводимым видеофайлом.
Добавлена опция "Добавить в плейлист похожие файлы".
Для Windows XP отключен выбор DXVA2 интерполяции, как неподдерживаемой.
В окно поиска и скачивания субтитров добавлена сортировка по языку и имени файла.
Добавлена опция "Приостанавливать воспроизведении видео при сворачивании окна".
Добавлена поддержка "Press and Hold" для устройств с тачскрином для быстрого доступа к контекстному меню.
Добавлена поддержка управления жестами.
Добавлена возможность использования "*" в последней папке в путях субтитров и аудиодорожек.
Добавлена клавишная команда "Повторять бесконечно".
Исправлено отображение медиатипа для RLE8 и RLE4 в окне PinInfo.
Улучшена работа с файловыми ассоциациями в Windows 8/10.
Исправлено состояние кнопки "Воспроизведение/Пауза" после нажатия кнопки "Boss" в состоянии паузы.
Добавлена поддержка изменения активности кнопок AUD/SUB на тулбаре.
Не переводим окно на передний план при использовании ключа /add (при условии что в текущем плейлисте проигрывателя уже есть файлы).
Исправлено отсутствие пункта "Other PCM/ADPCM" в списке форматов встроенного аудиодекодера.
Убраны группы форматов "Real Script", "RatDVD" и "Indeo Video Format".
В группу "Raw Video" добавлено расширение .y4m (YUV4MPEG2).
В группу "Прочее" добавлено расширение .mxf и .ivf.
Расширение .divx перенесено в группу "AVI".
Из группы "Плейлист" убраны расширения .wvx, .wax, .wmx как неподдерживаемые.
Исправлено поведение опций окна настроек "Видео".
В панели "Информация" в поле "Описание" показываем только первую строку (в свойствах файла полностью).
Добавлена поддержка плейлистов WPL (Windows Media Player Playlist).

Обновлен немецкий перевод (автор Klaus1189).
Обновлен японский перевод (автор Socket774).
Обновлены голландский и китайские (Traditional и Simplified) переводы (автор beter).
Обновлен украинский перевод (автор arestarh1986).
Обновлен баскский перевод (автор Azpidatziak).

Обновлены библиотеки:
	ffmpeg git-n3.1-dev-1426-g9486de5;
	jsoncpp git-1.7.2-16-g43203f1;
	libflac git-1.3.1-186-gfdc1ccf;
	libpng git-v1.6.23rc02-1-gee3c4e4;
	Little-CMS git-2.7-60-ge342f44;
	MediaInfo git-v0.7.85-25-g993690e;
	Speex-1.2rc2-9-g9172c7e;
	ZenLib git-v0.4.33-11-g4bdc103.


1.4.5 - 2015-09-24
==============================
ShoutcastSource
Передаем AAC поток без ADTS заголовка в соответствии выходным MEDIASUBTYPE_RAW_AAC1.

FLACSource
Заполняем extradata выходного формата метаданными.

VTSReader
Опция "Read All Program Chains (calculate duration)" удалена как некорректная.
Исправлен расчет полной длительности.

UDP/HTTP Reader
Исправлена функция отдачи данных сплиттеру, теперь ридер сам ожидает недостающие данные. Это уменьшает количество артефактов при просмотре IPTV.

Сплиттеры
Убран механизм очереди измеряемый в количестве пакетов и объеме данных. Теперь длина очереди задается в секундах.
Улучшена обработка обрыва связи.
Добавлена функция для изменения размера буфера от 1 до 10 секунд. По умолчанию 3 секунды.

AviSplitter
Добавляем поддержка MJPEG потока с fourcc 'MSC2'.
Добавлена поддержка задержки времени потока (AVISTREAMHEADER::dwStart).
Добавлена поддержка тега 'vprp'(VideoPropHeader) для получения данных об соотношении сторон.

AudioSplitter
Добавлена возможность работы совместно с File Source (URL) в режиме скачивания файла.

MPEGSplitter
Добавлена поддержка MPEG-PS + G.711 A-law (такие файлы создают Hikvision CCTV камеры).
Улучшена работа с MPEG-TS.
Передаем AAC поток без ADTS заголовка в соответствии выходным MEDIASUBTYPE_RAW_AAC1.
Откорректирован расчет длительности.
Улучшена поддержка AAC-LATM.
Удалена опция "Альтернативный метод расчета длительности".
Улучшена точность перемотки при подключении к VTSReader.
Улучшена поддержка HEVC потоков.
Переработан алгоритм поиска ключевого кадра.
Добавлена возможность работы совместно с File Source (URL) в режиме скачивания файла и потокового вещания.
Оптимизирован алгоритм поиска дорожек.
Определяем изменение размера файла в течении 10 секунд.
Исправлена и улучшена работа с PGS субтитрами.

MatroskaSplitter
Откорректировано работа с Theora видео.
Корректировка и оптимизация расчета частоты кадров при ее отсутствии.
Улучшена работа с VP9 видео.
Исправлена и улучшена работа с PGS субтитрами.

MP4Splitter
Устранены падения на некоторых испорченных файлах.
Добавлена поддержка тега "Album".
Добавлена поддержка кодеков VC-1 и Windows Media Audio.
Улучшена работа с фрагментированными файлами.

MpaSplitter
Улучшен алгоритм расчета длительности для VBR потоков без VBR заголовка (теперь время в статусной строке более стабильное).
Исправлено открытие коротких MP3-файлов.
Исправлен расчет длительности одного пакета AAC ADTS.

RawVideoSplitter
Уменьшено потребление памяти при работе с H.264 потоками.

RealMediaSplitter
Устранено падение на некоторых файлах.

FLVSplitter
Корректно открываем файлы, в которых одна из дорожек начинается с большой задержкой.

MPCVideoDec
Улучшена работа с нестандартным порядком B-кадров.
Исправлено декодирование VP9 потоков.
Заполняем DXVA2_ExtendedFormat для YUV форматов.
Обновлен список видеокарт с поддержкой декодирования 4k. Добавлены AMD Radeon R9 285/380, AMD R9 FURY Series, Intel Skylake HD Graphics и Intel Atom Z8000 Series.

Mpeg2DecFilter
Опция "Передать флаг чересстрочности в вывод" теперь по умолчанию включена.
Исправлена работа с 2:2 pulldown и 2:3 pulldown.
Откорректирована работа методов деинтерлейса Weave и Blend. Исправлена работа Bob деинтерлейса.
Удалены методы деинтерлейса Field Shift и ELA как нерабочие.
Устранено зависание по окончании воспроизведения некоторых анимированных DVD меню.
Декодер теперь рисует DVD-субтитры только в DVD-режиме.
Оптимизация отрисовки элементов DVD-меню.

MPC Audio Decoder
В статус добавлена расшифровка каналов для многоканального звука.
Используем FLAC extradata для корректного задания расположения каналов.

MPC Audio Renderer
Исправлена некорректная отмена регистрации фильтра.
Громкость по умолчанию 100%.
Помимо синхронизации по временным меткам добавлен выбор режима синхронизации по длительности звука ("Синхронизировать видео по аудио"), который включен по умолчанию. Если видеопоток отсутствует, то звук всегда синхронизируется по длительности.
Исправлена работа Shared режима в случае получения некорректных данных от драйвера.
Добавлена возможность регулировки баланса для PCM потока.

VideoRenderers
Исправлены и оптимизированы расчеты джиттера и текущей частоты кадров.
Добавлен режим интерполяции "DXVA2 (experimental)", который доступен при выборе "8-bit Integer Surfaces".
В статистику добавлена информация о типе интерполяции.

VSFilter
Заполняем DXVA2_ExtendedFormat для YUV форматов.

Subtitles
Устранена проблема рендеринга субтитров после использования кода из MPC-HC (a74db2a6c1b2e710afbd35abbe0c7271c9651b06).
Коррекция пропорций для встроенного рендеринга субтитров используется только для встроенных в контейнер стилизованных субтитров с заполненным размером кадра, пропорции которого отличаются от пропорций видеокадра.
Исправлена поддержка fade in/out для VobSub субтитров.
Исправлено отображение последнего сегмента VobSub субтитров.

YouTube
Добавлена поддержка google api V3 для получения информации о ролике.

Плеер
Исправлено отображение названия видео-кодека, выводимое в PinInfo.
Добавлена поддержка интерфейса IMadVRSubclassReplacement для передачи событий в madVR.
Исправлено отображение маркеров глав на полосе прокрутки в DVD режиме.
Исправлена работа кнопки "Применить" в окне настроек для различных случаев.
Исправлен порядок выбора опций с помощью "Tab" в окне настроек и диалоговых окнах.
Исправлено отображение превью для 10 и 16-битного видео на некоторых драйверах Intel и Nvidia.
В панель настроек "Frame synchronization" добавлена опция "Enable frame time correction".
Исправлено открытие дополнительных файлов при использовании File Source.
Исправлена работа с списком "Избранное".
Улучшена работа в режиме полноэкранного Direct3D.
При открытии .ifo файлов с помощью MediaInfo игнорируем информацию для vob-файлов с меню (VTS_XX_0.VOB).
Пункт меню субтитров "Включить" теперь всегда активен.
Улучшена работа с флагом поворота в медиафайлах. Теперь видеокадр корректно вписывается в окно.
Исправлена работа основного окна в развернутом режиме.
Исправлено нажатие кнопок "Развернуть/Восстановить" на FlayBar в полноэкранном режиме.
Удалены специальные команды для смены аудиодорожек и субтитров для DVD (теперь используются общие команды для смены дорожек).
Команды переключения DVD ракурса теперь могут переключать видеопотоки в других форматах.
Исправлено определение активного монитора на некоторых конфигурациях.
Добавлено расширение .ismv в группу MP4.
В стандартный список папок с субтитрами добавлена папка ".\sub"
Добавлен шейдер Adaptive sharpen (автор bacondither). Доп. информация - http://forum.doom9.org/showthread.php?t=172131
Используем системный диалог копирования для команды "Файл->Сохранить как...".
Активирована поддержка Closed captions для режима DVD при использовании MPC MPEG-2 Video Decoder.
Добавлена поддержка Windows 10.
Добавлена поддержка Robust DirectShow audio renderer и Surodev ASIO Renderer.
Добавлена возможность монтирования образов с помощью Virtual CloneDrive (http://www.slysoft.com/en/virtual-clonedrive.html).
Исправлено прилипание к границам экрана в Windows 10.
Удалена панель настроек Performance.
Исправлено чтение ID3TagV2.
В случае отсутствия описания но наличие ID3 тега 'LYRICS'(текст песни) выводим его содержимое.
Исправлена проблема с зависшим OSD после скрытия и последующего разворачивания окна в случае, если тайм-аут OSD закончился в свернутом состоянии.
Исправлена возможность вновь начать воспроизведение файла после окончания проигрывания.
Блокируем все соединения к MEDIATYPE_AUXLine21Data, если Line 21 Decoder 2 был заблокирован во внешних фильтрах, иначе можно получить зависание графа.
Добавлена опция для изменения размера буфера сплиттеров от 1 до 10 секунд. По умолчанию 3 секунды.
Добавлена опция изменения окна при воспроизведении аудиофайлов.
Добавлена опция задержки воспроизведения после смены разрешения экрана.
Добавлена иконка для контекстного меню проводника.

Обновлены голландский и китайские (Traditional и Simplified) переводы (автор beter).
Обновлен японский перевод (автор Socket774).
Обновлен украинский перевод (автор arestarh1986).
Обновлен немецкий перевод (автор Klaus1189).

Обновлены библиотеки:
	ffmpeg git-n2.8-dev-2658-g01770bf
	libdcadec;
	MediaInfo 0.7.74+ svn rev.6843;
	ZenLib 0.4.31+ svn rev.514;
	speex-1.2beta2-293-gecc63b3;
	openjpeg 2.1.0 git-f6843d5;
	libpng 1.6.19beta03 git-g33a97c5.


1.4.4 - 2015-04-05
============================
AviSplitter
Исправлено работа с RGB555 видео.

MatroskaSplitter
Исправлен расчет TimeStamp для субтитров.
Уменьшено потребление памяти.
Исправлена обработка субтитров (слишком длительные субтитры могли отображаться со значительной задержкой).
Исправлено работа с RGB555 видео.
Корректируем некорректно заполненный параметр biSize структуры BITMAPINFOHEADER после mkvmerge v7.7.0 для форматов RGB8 и RGB565.

MP4Splitter (Bento4)
Исправлено проигрывание файлов, в которых разные дорожки имеют одинаковый TrackId.
Добавлена поддержка 'R10k' и 'R10g'.

MPEGSplitter
Добавлен вывод информации о DTS-HD дорожках.

ShoutcastSource
Исправлена обработка команды "Стоп".
Улучшена работа c MPEG Audio.

MPCVideoDecoder
Добавлен HEVC DXVA декодер (спасибо автору LAV за его код), 10bit декодирование работает только с EVR Custom/Sync.
Обновлен список Nvidia и Intel видеокарт с поддержкой аппаратного декодирования 4k.
Небольшая корректировка в расчете временных меток.
Устранено зависание после "паузы", включения H.264 DXVA и "стопа".
Устранено падение в режиме H.264 DXVA 2.0 при закрытии файла.
Устранено падение при декодировании VC1 на Intel в режиме DXVA на некоторых файлах.
Исправлено отображение последних кадров для DXVA 2.0 декодера.
Откорректирован расчет временных меток.
Если параметры видео были определены неточно, то после декодирования первого кадра обновляем параметры до актуальных и делаем реконект выходного пина.
Больше не используем таблицу видеокарт Nvidia с поддержкой декодирования 4k. Теперь для поддержки декодирования 4k необходимо установить драйвер v320.18 (v9.18.13.2018) или новее.

MPCVideoConverter
Видеодекодер для несжатых форматов теперь работает в режиме конвертера.
Добавлена поддержка r210, R10k, R10g, YVU9, IYUV, UYVY, YUY2, NV12, YV12, YV16, YV24.

MpaDecFilter
Исправлен ошибочный коннект к PCM потоку.
Оптимизация проверки поддержки вывода SPDIF/Bitstream.
Исправлено проигрывание некоторых BINK аудио.
Исправлено некорректное (ускоренное) проигрывание на WinXP.
Скорректирован расчет временных меток.
Для декодирования DTS используем libdcadec. Добавлена поддержка декодирования DTS 96/24 и DTS-HD MA.

AudioSwitcher
Уменьшаем частоту звука, если она более 192000 Гц.
Добавлена корректировка временных меток с учетом работы ресэмплера.
Разрешаем подключение XySubFilter AutoLoader (он нужен для подключения XySubFilter).

MPC Audio Renderer (WASAPI)
Исправлен механизм A/V синхронизации.

VSFilter/ISR
Исправлено падение при условии, что временные метки (rtStart и rtStop) у входного сэмпла совпадают.
Исправлено некорректное отображение VobSub субтитров при ускоренном воспроизведении.
Исправлена работа с очередью субтитров.
Откорректирована компенсация размеров шрифта для анаморфного видео.
Исправление падения на некоторых субтитрах.
Откорректирована автоматическая загрузка внешних субтитров.

VideoRenderers
Обновляем кадр в режиме паузы после отключения шейдеров.
Оптимизирована компиляция шейдеров.
Добавлена поддержка XySubFilter.
Исправлен и дополнен вывод статистики рендереров.
Убрана шейдерная билинейная интерполяция.
Для видеокарт с поддержкой ps_3_0 и выше при размере картинки менее 50% используем простое усреднение пикселей.
Более корректный выбор формата микшера для EVR-custom.
Оптимизация вывода субтитров.
Исправлен выбор формата видеобуфера на Intel картах.
Исправлена поддержка входных форматов.
Обновляем статистику (Ctrl+J) на паузе.

Плеер
Исправлено открытие BD структуры из избранного после переименования.
Исправлено зависание при вызове "Перезагрузка субтитров".
Исправлена проверка обновлений.
Исправлено воспроизведение анимированных GIF файлов.
Корректировка вывода текущего значения угла поворота.
Удалена команда "Reset to default renderer settings".
Удалена поддержка фреймворков QuickTime и RealMedia.
Улучшен переход из развернутого окна в полный экран и обратно.
Добавлена возможность выбора конкретного рендерера субтитров.
Исправлено открытие .bdmv файлов.
Исправлено открытие HLS ссылок, в которых указан относительный путь.
Добавлена возможность отображения меню по нажатию клавишы Alt.
Улучшен получение fps с помощью MediaInfo для автопереключения частот.
Кнопка "Rename" в Закладках переименована в "Edit" с выводом диалогового окна, в котором добавлена возможность редактировать путь.
Исправлена регулировка цвета при крайних значениях.
Панель настроек "EVR Sync Settings" переименована в "Frame synchronization".
Расширенные настройки рендерера переработаны и перенесены в панель настроек "Video" и "Frame synchronization".
Исправлено открытие некоторых .m3u плейлистов.
Исправлена автозагрузка субтитров при открытии файлов с сетевого пути (путь начинается с "\\").
Улучшен механизм работы с Drag'n'Drop.
Восстановлено и доработано открытие ссылок Youtube. Теперь необязательно наличие префиксов http, https и www.
Добавлен кэширующий механизм сохранения в .ini файл (спасибо команде MPC-HC за код и идею).
Настройка сохранения в .ini файл будет "недоступной" в случае отсутствия разрешения записи в директорию.
Улучшена логика применения настроек файловых ассоциаций и контекстного меню проводника.
Исправлен вывод информации для RGB8 и RGB565. Не меняем регистр при отображении FourCC. 
Корректно восстанавливаем звук после воспроизведения ShockwaveGraph на системах Vista и новее.
Добавлена опция "Auto fit factor".
Не запоминаем состояние полного экрана, если были активны опции "RememberWindowPos" и "RememberWindowSize".

Обновлены голландский и китайский (Traditional) переводы (автор beter).
Обновлен украинский перевод (автор arestarh1986).
Обновлен японский перевод (автор Socket774).
Обновлен немецкий перевод (автор Klaus1189).
Обновлен китайский (Simplified) перевод (авторы beter и insolo).
Обновлен итальянский перевод (автор Lord Maius).

Обновлены библиотеки:
	jsoncpp 1.0.0-212 git-gc1e834a.
	MediaInfo 0.7.72+ svn rev.6720;
	ffmpeg git-g399e314.


1.4.3 - 2015-01-17
============================
Удален AMRSplitter.
Удален WVSplitter.

VTSReader
Добавлено диалоговое окно с настройкой, позволяющей выбирать из IFO файла все программы или только первую (Program Chain).
Добавлена поддержка открытия IFO-файлы вида ATS_XX_0.IFO (DVD-Audiо). Фильтр будет загружать главы с одинаковым форматом (LPCM или MLP) и расположение каналов из соответствующих AOB-файлов.

ShoutcastSource
Добавлена поддержка UTF8 в названии и описании.

DTSAC3Source
Исправлено переполнение при поиске на больших файлах.

FLACSource
Добавлена поддержка ID3 тэгов V2.
Исправлен пропуск данных в конце файла, косметика.

AudioSplitter
Добавлена поддержка WavPack, AMR, AMR-WB, DSF, DFF.
Предотвращено возможное падение при воспроизведении TAK.

MpaSplitter
Устранены некорректные подключения к другим типам файлов.
Разрешено изменение заголовка блока при проигрывании (встречается при записи онлайн-трансляций).
Улучшена работа с потоковыми данными.
Улучшена синхронизация (поиск заголовка) после перемотки.

AVISplitter
Дополнен список ID кодеков, являющимися H.264 видео (список взят в ffmpeg).
Корректно формируем выходной MediaType для H.264.
Дополнена и улучшена поддержка Matrox MPEG2 codecs, добавлены fourcc M701-M705.

MatroskaSplitter
Добавлена поддержка CueDuration и CueRelativePosition для предварительного считывания субтитров.
Добавлена опция "Рассчитывать длительность на основе видеоданных".
Более корректное заполнение данных для MPEG1 Layer 1/2, TrueHD/MLP и HEVC.
Исправлено проигрывание H.264 interlaced видео.
Загружаем встроенные шрифты, даже если в файле отсутствуют субтитры.
Улучшен механизм получения вычисления временных меток пакетов, это улучшило совместимость с некоторыми внешними видео-декодерами.

MPEGSplitter:
Добавлена поддержка файлов с изменяющимся размером (запись/скачивание файла в реальном времени).
Добавлена возможность переключения программ в MPEG-TS, при этом будет происходить переключение всех дорожек программы.
Добавлена поддержка SEGA CRI ADX ADPCM аудио-дорожек, но в виду ограничения самого формата после перемотки звука не будет.
Улучшена перемотка и проигрывание MPEG-TS + H.264.
Улучшена обработка HDMV LPCM (PCM в MPEG-TS) пакетов.
Добавлена поддержка MPEG-TS с некооректным PES так и без него
Добавлена поддержка расчета длительности/битрейта на основе PCR(Program Clock Reference).
Исправлена работа с AC3 данными в TrueHD потоке.
Исправлено определение AC3 дорожек на некоторых файлах.
Исправлено падение при открытии файлов .mpls, ссылающихся на несуществующие .m2ts файлы.
Добавлена поддержка H.264 данных в формате Annex B.
Исправлена работа с MLP дорожками в .aob файлах.
Добавлена возможность работы с изменяющимися AC3 потоками.

RawVideoSplitter
Если частота кадров не указана, то принимаем ее равной 25.
Добавлена поддержка H.264 потоков в формате Annex B.
Улучшена поддержка HEVC потоков начинающихся с Nalu AUD.

MP4Splitter(Bento4)
Добавлена поддержка атома 'elst', что позволило обрабатывать задержки при проигрывании.
Добавлена поддержка фрагментированных файлов.
Добавлена поддержка HEVC видео с тэгом 'hev1'.
Улучшен механизм расчета соотношения сторон, теперь учитываются данные, которые находятся в атоме 'tkhd' и они имеют высший приоритет.
Оптимизация и корректировка построения списка индексов.
Обрабатываем (а не игнорируем) атомы, в которых некорректно указан его размер. Это позволит открывать файлы, в которых такое встречается.
Исправлено вычисление fps для видео, теперь по возможности используются данные из 'stts' atom.
Исправлен поиск на файлах, у которых атом 'stss' (список ключевых кадров) содержит только одну запись.
Исправлено некорректное отображение главы в некоторых случаях.
Исправлено проигрывание некоторых MOV-файлов с PCM дорожкой, когда наблюдалось ускоренное воспроизведение.	 
Исправлена обработка некоторых VobSub субтитров.
Исправлен код по работе с временными метками данных, теперь корректно обрабатываются отрицательные смещения и задержки.
Улучшена (ускорена) перемотка по ключевым кадрам для обычных, так и для фрагментированных файлов.

FLVSplitter
Добавлена поддержка H.264 в формате AnnexB.
Корректировка расчета fps видео.
Улучшена поддержка "битых" файлов.

OggSplitter
Улучшена перемотка, если в файле присутствует видеодорожка.
Откорректировано чтение заголовка Theora.

MPCVideoDec
Исправлено декодирование H.264 потоков с нестандартным порядком В-кадров
Обновлен список NVidia и Intel видеокарт с поддержкой аппаратного декодирования 4k.
Устранено переполнение DXVA 2.0 буфера. 
Исправлено чтение данных для MPEG2.
Добавлены OpenHEVC оптимизации.
Улучшено отображение последних кадров в конце проигрывания.
Исправлено падение при проигрывании WMV3IMAGE и VC1IMAGE.
Добавлен конвертер для преобразования 4:2:0 8bit -> NV12 (код взят из LAV Filters).
Улучшен механизм определения длительности кадра.
Исправлен вывод видео 4:2:0 8bit -> YV12.

Mpeg2DecFilter
Устранено падение при BOB и ELA-деинтерлейсе на некоторых DVD-Video.
Разрешен коннект с ffdshow raw video filter при воспроизведении DVD-Video.
Устранено зависание на некоторых DVD с анимированным меню на паузе.

MpaDecFilter
Добавлена поддержка декодирования Opus, ATRAC3plus, SEGA CRI ADX ADPCM, Shorten, DSD.
Переписан PS2ADPCM декодер, теперь он полностью на целочисленной арифметике.
Исправлено воспроизведение конца данных (их не было слышно).
Устранена утечка памяти при использовании "Encode to AC-3".
Битрстрим E-AC3, DTS-HD и TrueHD доступен только в Windows Vista и выше.
Добавлена поддержка определения SPDIF/Bitstream вывода для Windows Vista и выше.
Удален микшер каналов.
Добавлено уменьшение частоты для звуков с частотой дискретизации более чем 192 кГц.

AudioSwitcher
Удалено "Пользовательское распределение каналов".
Удален старый алгоритм "нормализации".
"Boost" переименован в "Gain" и теперь имеет диапазон от -3 дБ до +10 дБ.
Добавлен микшер каналов.
Добавлена "Автоматическая регулировка громкости".
Настройки аудиопереключателя перенесены в панель "Audio".
Теперь между аудиопереключателем и аудиорендерером можно подключать AC3Filter, ffdshowAudioProcessor и DC-DSP Filter.
Аудиопереключатель теперь всегда активный. Это нужно для правильной работы плеера.

MPC Audio Renderer (WASAPI)
Добавлена поддержка изменения скорости проигрывания.
Улучшена работа опции "Использовать побитовый вывод".
Улучшена A/V синхронизация.
Устранены падения по различным причинам.
Показываем в статусе информацию при использовании Bitstream.
Добавлена возможность в случае "потери"/отключения устройства вывода переключиться на устройство по умолчанию и обратно.

VSFilter
Добавлена поддержка получения типа субтитров: встроенные/внешние.
Добавлена новая опция "Allow drop some subpicture"
Исправлен вывод анимированных субтитров (движение субтитров происходило рывками).
Блокируем подключение Lentoid HEVC Decoder и входного типа IYUV, т.к. декодер выдает "неверные" данные.
Исправлено падение при применении настроек и активном воспроизведении.
Исправлено отображение значка в трее (иногда значок не отображался).
Исправлено некорректное изменение шрифта.
Возвращено переопределение цветов вместо палитры по умолчанию для VobSub-а без палитры.

Исправлена обработка тегов "\fs+" и "\fs-".
Коды '&#xx' преобразуются в соответствующий символ.
Исправлено отображение субтитров на паузе с madVR.
Исправлено отображение некоторых PGS субтитров.
Улучшена поддержка SAMI субтитров (.smi).

VideoRenderers
EVRCustom: улучшено обновление изображения после перемотки на паузе.
VMR7 Renderless недоступен под х64 битной системой, а так же если высота/ширина рабочего стола больше чем 2048.
Переписан и оптимизирован механизм DX9RenderingEngine, добавлены шейдеры Perlin Smootherstep, B-spline, Mitchell-Netravali, Catmull-Rom.
Исправлен вывод текстовых субтитров на VMR7 Renderless.
Исправлена работа VMR7 Renderless в режиме VMR Mixer Mode.

Плеер
Добавлена поддержка монтирования образов оптических дисков средствами Windows 8/8.1.
Добавлена поддержка монтирования образов оптических дисков с помощью DAEMON Tools Lite для Windows XP, Vista и 7.
Добавлена команда "Восстановить позицию субтитров".
Добавлена опция для изменения количества последних открытых файлов.
Добавлена возможность множественной ручной загрузки внешних субтитров и аудио-файлов.
Исправлено с некорректное отображение '&' в статусной строке.
При открытии внешнего аудио добавлена возможность открывать любой файл/контейнер, а не только аудио-файлы.
При использовании опции "Перейти к след. в каталоге" добавлена возможность проигрывания зациклено (по кругу).
Не показываем "Отчет об ошибках рендеринга потоков" при использовании полноэкранного Direct3D режима.
Убрана клавишная команда "Toggle custom channel mapping".
Клавишная команда "Toggle normalization" переименована в "Toggle аuto gain control".
Ограничена возможность выбор портов для Web server от 1 до 65535.
Оптимизации и корректировка вывода информации в PinInfo.
Добавлено расширение .awb в группу "AMR", .sfd - в "MPEG".
Группа "Matroska" переименована в "Matroska/WebM", "FLI/FLC" - в "FLIC animation".
Добавлена группа DSD и расширения .dsf и .dff.
Расширение .rmvb перенесено из группы "Other" в группу "RealMedia".
Изменены некоторые панели настроек и их расположение.
Удалена опция "Round up to power of two" для субтитров.
Убрана опция "D3D Fullscreen GUI Support".
Откорректирован и оптимизирован код работы с настройкой авто-переключателя режима мониторов.
Если скорость воспроизведение отлична от стандартной, то пишем это в статусной строке.
Исправлена проблема засорения ветви реестра HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts при открытии URL.
Откорректирован механизм изменения скорости. Изменен список шагов изменения скорости на 0.1, 0.2, 0.25, 0.5, 1.0.
Откорректирована работа регулятора громкости.
Исправлена обработка настройки прозрачности OSD.
Исправлен показ превью на таскбаре Win7 и выше.
Удалена расширенная поддержка открытия графических форматов.
Удалена возможность сохранения скриншотов и миниатюр в форматах webp/psd/tga.
Исправлено создание default.mpcpl.
Исправлено отображение SeekBar при проигрывании Flash-файлов.
Откорректировано получение частоты кадров для авто-переключателя частот с помощью MediaInfo.
Исправлено заполнение поля "Создан" в свойствах проигрываемого файла.
Добавлена проверка обновлений.

Улучшена работа с YouTube, добавлено получение информации об авторе, названии, описании и даты публикации.
Добавлена поддержка YouTube live streaming (требуется LAVSplitter).
Удалена поддержка VIMEO (т.к не работало).
Изменено открытие плейлистов с YouTube, после открытия начинается проигрывание текущего ролика.
Плейлист с YouTube теперь загружается только при включенной опции "Загружать плейлист" ("Load playlist").
Исправлено автоматическое сохранение скриншотов для YouTube.
Добавлена поддержка субтитров при открытии роликов YouTube.

Обновлен Русский перевод.
Обновлен Баскский перевод (автор Azpidatziak).
Обновлен Голландский перевод (автор beter).
Обновлен Китайский (Traditional) перевод (автор beter). 
Обновлен Итальянский перевод (автор Lord Maius).
Обновлен Немецкий перевод (автор Klaus).
Добавлены новые авторы переводов.
В инсталлятор добавлены DirectX DLL: D3DCompiler_43.dll и d3dx9_43.dll.

Обновлены библиотеки:
	ffmpeg git-g843d93d;
	libpng 1.7.0 b35 git-f3b1eb68;
	MediaInfo 0.7.70+ svn rev.6511;
	Little-CMS 2.7 beta git-a41d62ee;
	ZenLib 0.4.29+ svn rev.489;
	jsoncpp 1.0.0.


1.4.2 - 2014-04-02
============================
Добавлено (+):
	+ MPCVideoDec - Добавлено декодирование 'VP7';
	 ... и многое другое.

Изменения (*):
	* MPCVideoDec - добавлена поддержка MP4 H264 files with avcC atoms without any SPS/PPS, автор LAV;
	* MP4Splitter - подкорректировано выставление соотношения сторон для видео-дорожек, более высокий приоритет имеет значение из заголовка(атом 'tkhd');
	* После закрытия Плейлиста/Редактора шейдеров/Редактора "Синхронизация субтитров" - устанавливаем фокус на основное окно;
	* В свойство "FileVersion" проставляем версию, включая номер SVN ревизию;
	* ffmpeg 2.2 git-cecb6d6f;
	* libwebp 0.4.0 git-af444608;
	* MediaInfo 0.7.67+ svn rev.6177;
	 ... и многое другое.

Исправления (!):
	! Исправлен парсер .ASS субтитров, приводящий к зависанию при загрузке субтитров;
	! OSD отображался поверх всех окон;
	 ... и многое другое.


1.4.1 - 2014-03-26
============================
Изменения (*):
	* Изменена нумерация версий - теперь она состоит из трех цифр (MAJOR.MINOR.PATCH);
	* MPCVideoDec - отключен DXVA для WMV3 Complex profile;
	* libpng 1.7.0 b35 git-3ac960f1;
	 ... и многое другое.

Исправления (!):
	! Исправлено падение при закрытии окна настроек файловых ассоциаций при вызове из под UAC;
	! Некоторые пункты меню не отмечались как активные;
	! Исправлено изменение настроек интерфейса;
	 ... и многое другое.


1.4.0.3 - 2014-03-24
============================
Добавлено (+):
	+ Добавлена поддержка открытия *.CUE;
	+ Добавлен обновленный декодер DXVA2;
	+ Добавлена поддержка вывода субтитров для стереоскопического изображения;
	+ AudioSplitter - Добавлена поддержка Monkey's Audio (.APE) и APE Tag, DTS-CD и AC3-CD, TTA, WAV и  Wave64;
	+ AviSplitter - Добавлена поддержка 'RPZA', 'RV24' (RGB24 c перевернутым кадром), малораспространенных YUV-форматов;
	+ MatroskaSplitter - Добавлена поддержка Microsoft MPEG4 V3, M-Jpeg, Prores, SNOW, и некоторых типов несжатого видео ('V_UNCOMPRESSED');
	+ MP4Splitter - Добавлена поддержка '2Vuy', 'DVOO', 'yuvs', 'yuv2', DNxHD, FFV1, 'v308', 'v408', 'V410', Vorbis audio;
	+ MpaDecFilter - Добавлена поддержка декодирования MEDIASUBTYPE_SIPR_WAVE - SIPR в .wmv, Voxware MetaSound;
	+ MPCVideoDec - Добавлены выходные форматы 'AYUV', 'YV16', 'YV24', 'P010', 'P210', 'P016', 'P0216', 'Y410' и 'Y416';
	+ MPCVideoDec - Добавлена поддержка 'Avid DNxHD', HuffYUV, FFVH, FFV1 (FFmpeg video codec #1), QuickTime 8BPS video, 'RPZA', 'cyuv', 'yuv2', 'Y41B', 'Y42B', '444P', 'Y800', 'I420', 'V410'
	+ MPCVideoDec - Добавлено декодирование Windows Media Video 9.1 Image и Windows Media Video 9.1 Image V2 (WMVP, WVP2);
	+ MPCVideoDec - Добавлено поле Status с подробной информацией о работе декодера;
	+ MPCVideoDec - Обработка изменения входного медиатипа в режиме DXVA1, что позволяет выполнять переключение видео-дорожек в этом режиме;
	+ MPCVideoDec - Добавлена кнопка сброса настроек;
	+ MPEGSplitter - Добавлена поддержка файлов с заголовком 'IMKH'(записи с видеорегистратора в формате MPEG-PS);
	+ Null Video Renderer (Uncompressed) - Добавлена поддержка 'NV12', 'AYUV', 'YV16', 'YV24';
	+ RawVideoSplitter - Добавлена поддержка 'YUV4MPEG2';
	+ RawVideoSplitter - Добавлена частичная поддержка черно-белых y4m-файлоов и частичная поддержка 4:1:1 y4m файлов;
	+ VSFilter - Добавлена поддержка AV Source/AV Splitter для auto-load опции;
	+ VSFilter - Добавлена поддержка NV12;
	+ VSFilter - Добавлена поддержка масштабирования PGS/DVB субтитров;
	+ VSFilter - Добавлена поддержка интерлейсного видео;
	+ Аудиомикшер - Добавлена поддержка микширования в 5.0;
	+ Встроенный MPEG/DVD Decoder - Добавлена поддержка NV12 выходного формата;
	+ Добавлена опцию 'Всегда использовать внешние аудиофайлы как основные';
	+ Добавлена опция 'Use Subresync/Использовать редактор <Синхронизация субтитров>';
	+ Статистика видеорендерера - Добавлена поддержка отображения загрузки GPU 'GPU Load';
	 ... и многое другое.

Изменения (*):
	* AudioParser - Минимальная частота звука в AAC-LATM 8000 Гц (по английской Википедии);
	* AudioSplitter - Source-фильтр теперь понимает TTA с ID3v2-тегами в начале файла;
	* AviSplitter - Добавлена проверка корректности блоков супер индекса;
	* AviSplitter - Добавлено сопоставление для 'P422';
	* AviSplitter - Убрано сопоставление для 'cyuv';
	* Blu-ray плейлисты вновь ассоциируются как видеофайлы;
	* DTSAC3Source - Убрана поддержка DTS-CD и AC3-CD, используем для этого AudioSplitter;
	* EVR Custom/VMR9 Renderless -> GPUUsage, более корректная работа с библиотекой NvAPI (Nvidia);
	* FLVSplitter - При открытии файла и поиске дорожек игнорируем 'левые' тэги;
	* FormatConverter - Для 8 и 10-битных источников P016 следует сразу после P010, P216 следует сразу после P210;
	* Line 21 Decoder - Разрешен для Microsoft DTV-DVD Video Decoder и EVR-CP;
	* MatroskaSplitter - Улучшен механизм построения списка ключевых кадров;
	* MKVSplitter - Когда нет возможности вычислить FPS видео - проставляем 23.976 как дефолтное;
	* MP4Splitter - Поддержка чтения палитры для видеодорожек;
	* MpaDecFilter - Изменен способ проверки на поддержку Bitstream/SPDIF вывода;
	* MPCVideoDec - В окне настроек добавлены надписи '8-bit', '10-bit' и '16-bit';
	* MPCVideoDec - Включаем/выключаем опции преобразования форматов в зависимости от того, происходят ли преобразования YUV->RGB или RGB->YUV;
	* MPCVideoDec - Вывод в 'YUY2' теперь возможен, если ширина и высота не кратны 2;
	* MPCVideoDec - Выходные форматы 'P010', 'P210', 'P016', 'P0216' по умолчанию включены;
	* MPCVideoDec - Для Apple ProRes принимаем выходной формат YUV 4:2:2 10 бит;
	* MPCVideoDec - Для Avid DNxHD определяем выходной формат YUV 4:2:2 8 бит;
	* MPCVideoDec - Для Motion-JPEG принимаем выходной формат YUV 4:2:2;
	* MPCVideoDec - Доработано определение выходного формата для ProRes;
	* MPCVideoDec - Игнорируем AVCOL_RANGE_JPEG только для H.264;
	* MPCVideoDec - Изменен интерфейс и алгоритм построения списка выходных форматов для декодирования в программном режиме;
	* MPCVideoDec - Менять настройки опций 'Пресет' ('Preset') и 'Стандарт' ('Standard') теперь можно в любой момент. Опция 'Выходные уровни RGB' ('RGB Output levels') становиться активной только в том случае, если включена опция 'RGB32';
	* MPCVideoDec - Обновлен список VP5 и VP6 видеокарт;
	* MPCVideoDec - Опции 'VMR Mixer mode' + 'YUV Mixing' по умолчанию отключены для OS Windows XP;
	* MPCVideoDec - Опция 'Выходные уровни' ('Output levels') переименована в 'Выходные уровни RGB' ('RGB Output levels').
	* MPCVideoDec - Откорректирован выбор первого выходного формата для 9, 12 и 14-битных входных форматов;
	* MPCVideoDec - Откорректированы размеры GroupBox-ов для различных случаев масштабирования;
	* MPCVideoDec - Переделан механизм изменения выходного медиа-типа, для разных пост-процессов;
	* MPCVideoDec - Переделан способ переключения выходного формата. Так же - добавлено автоматическое переключение выходного формата, при изменении входного;
	* MPCVideoDec - Сделано разделение DXVA1/DXVA2 при заполнение выходных медиатипов, в зависимости от системы - DXVA1 для Windows XP, DXVA2 для Windows Vista и выше;
	* MPCVideoDec - Убраны лишние проверки для выходной форматов;
	* MPCVideoDec - Удалена опция 'Входные уровни' ('Input levels');
	* MPCVideoDec - Формат AV_PIX_FMT_PAL8 определяем, как RGB;
	* MPCVideoDec/FormatConverter - Добавлена проверка на валидность выходного формата;
	* Mpeg2DecFilter - Возвращен рендеринг DVD субтитров и для одиночных VOB-файлов;
	* MPEGSplitter - Для TrueHD аудио потока убран параметр для вывода AS-IS;
	* MPEGSplitter - Изменен механизм обработки AC3 пакетов;
	* MPEGSplitter - Когда нет возможности вычислить FPS видео - проставляем 23.976 как дефолтное;
	* MPEGSplitter - Немного переделана (унифицирована) обработка AAC пакетов;
	* MPEGSplitter - Оптимизация перемотки, используем для поиска нужного временного фрагмента только основной трек. В случае присутствия видеодорожки - используем только видео, если видео отсутствует - то используем аудиодорожки;
	* MPEGSplitter - Переделан механизм определения AAC/MPA дорожек;
	* MPEGSplitter - Подкорректировано отображение Profile@Level для MPEG2@4:2:2;
	* MPEGSplitter - При нахождении и обработке Program Stream Map (MPEG-TS) добавлена обработка и добавление DVB субтитров (без поиска самих данных в потоке);
	* MPEGSplitter - При открытии .ifo файла (с использованием VTSReader) поиск делаем всегда только по временным меткам;
	* MPEGSplitter - Сделан быстрый поиск на 'любых' MPEG-PS файлах
	* MpegSplitter - Убрана опция 'Быстрое переключение дорожек';
	* MPEGSplitter - Улучшена перемотка Blu-ray;
	* MPEGSplitter - Унифицирован механизм по предварительной обработке потоков;
	* 'Overlay Mixer Renderer' доступен только для Windows XP;
	* RawVideoSplitter - Множественные улучшения для корректной работы с 'LAV Video Decoder', а также с 'madVR';
	* VSFilter - Добавлена автозагрузка при подключении ко встроенному MPEGSplitter/MPEGSource;
	* VSFilter - Изменен механизм работы со входными/выходными форматами. Теперь при построении списка выходных форматов учитывается список и приоритет входных форматов от нижестоящего фильтра;
	* VTSReader - Для корректного расчета длительности DVD, учитываем все Program Chains при открытии .ifo файлов;
	* WASAPI Renderer - Добавлен механизм синхронизации;
	* EVR Custom/VMR9 Renderless - при сохранении скриншотов учитывается соотношение сторон исходного видео;
	* Youtube - Временно убрана поддержка форматов 1080 и выше;
	* Youtube - При открытии url обрабатываем редирект(location);
	* Аудиомикшер - Расширяем моно до стерео;
	* Вернули отображение имени объекта (файл/DVD/BD) в OSD при открытии;
	* Внешние/standalone фильтры в списке фильтром помечаются суффиксом 'external'/'внешний';
	* Графопостроитель - Внешний standalone фильтр имеет более высокий приоритет над встроенным;
	* Данные MediaInfo - Добавлена кнопка 'Copy to Clipboard'(скопировать в буфер обмена);
	* Для декодирования видео VP9 используем декодер ffmpeg;
	* Для сохранения плейлистов выбираем папку последнего открытия файлов;
	* Добавлена возможность сдвига субтитров при просмотре;
	* Кнопки ассоциации расширений теперь не влияют на настройки автовоспроизведения;
	* Меню 'Перейти...', 'Фильтры', 'Видеокадр', 'Установить пропорции', 'Поверх всех окон', 'По окончанию воспроизведения' - более современный вид выделенных элементов;
	* Многочисленные улучшения механизма OpenMedia/CloseMedia;
	* 'Настройки' -> 'Вывод' -  в списке 'Аудиоустройств', убрали отображение мерита (приоритета);
	* Парсинг MPEG заголовка (sequence header) - добавлена поддержка sequence display extension, для корректного выставления Aspect ratio;
	* Переопределена палитра для DVD-субтитров без палитры;
	* При закрытии плеера сначала закрываем файл и только потом прячем главное окно;
	* При нажатии правой кнопки мыши на полосе прокрутки (SeekBar) вызывается диалог 'Перейти...', для перехода на нужное время/кадр;
	* При открытии файла устанавливаем директорию с файлом как текущую;
	* Рендеринг субтитров - Значительно увеличена скорость отрисовки субтитров, а так же уменьшено время загрузки;
	* Рендеринг субтитров - Увеличено стандартное значение количества фрагментов в буфере до 10;
	* Убран 'Old Video Renderer';
	* Удален DTSSplitter;
	* Удален TTASplitter;
	* Улучшен механизм поведения при закрытии файла из меню/Ctrl+C, и по нажатию правой кнопки на кнопке Stop|Close на тулбаре;
	* Улучшено открытие http-live-streaming ссылок (в .m3u/.m3u8 формате), не обрабатываем их как плейлист;
	* Режимы VMR Mixer Mode и YUV Mixing теперь работают для любого VMR рендерера;
	* Обновлен Баскский перевод (автор azpidatziak);
	* Обновлен Итальянский перевод (автор Lord Maius);
	* Обновлен Голландский перевод (автор beter);
	* Обновлен Китайский (Traditional) перевод (автор beter);
	* Обновлен Китайский (Simplified) перевод (автор insolo);
	* Обновлен Корейский перевод (автор kuh3h3);
	* Обновлен украинский перевод (автор Arestarh1986);
	* ffmpeg 2.2 git-c8246d37;
	* libwebp 0.4.0 git-59daf083;
	* libopus 1.1 git-253e15f7;
	* libpng 1.7.0 b34 git-8ebdaa07;
	* MediaInfo 0.7.67+ svn rev.6173;
	* Little-CMS 2.6 git-08bbb31f;
	* VirtualDub 1.10.4;
	* ZenLib 0.4.29+ svn rev.456;
	 ... и многое другое.

Исправления (!):
	! DXVA декодер - Исправлен вылет при закрытии/окончании проигрывания на VC1/MWV3;
	! FLACSource - Исправлен парсер тэгов Vorbis;
	! FLVSplitter - Восстановлено открытие/проигрывание файлов с HEVC потоками;
	! FLVSplitter - Исправлен парсинг строковых метаданных;
	! FLVSplitter - исправлена перемотка и проигрывание файлов;
	! FLVSplitter - Исправлена работа Speex аудиокодека;
	! FLVSplitter - Исправлено зависание при перемотка в конец файла;
	! MP4Splitter - Исправлена и дополнена поддержка видео Apple XDCAM;
	! MpaDecFilter - Восстановлено перекодирование в AC3;
	! MPCVideoDec - FormatConverter, исправлено преобразование входных YUV форматов с full scale (JPEG) color_range;
	! MPCVideoDec - Исправлен порядок добавления схожих форматов в список выходных медиатипов;
	! MPCVideoDec - Исправлена активность опции 'Выходные уровни RGB' ('RGB output levels') после нажатия кнопки 'Сбросить настройки' ('Reset');
	! MPCVideoDec - исправлена обработка timestamp H.264 формата, используем логику ffmpeg для этого;
	! MPCVideoDec - Исправлена проверка на активные преобразования YUV->RGB или RGB->YUV;
	! MPCVideoDec - исправлена ситуация, когда декодер пытался подцепиться к LAV Video Decoder при открытии DVD;
	! MPCVideoDec - Исправлено падение в графстудии, при попытке изменить настройки выходных форматов, при условии, что к выходному пину не подключен ни один фильтр;
	! MPCVideoDec - Исправлено перевернутое изображение при выводе в RGB32 и коннекте к VMR7 рендереру с активированными опциями VMR Mixer Mode + YUV Mixing;
	! MPCVideoDec - исправлено появление артефактов при проигрывание некоторого H.264 видео на Intel в режиме DXVA;
	! MPCVideoDec - Не обрабатывались флаги интерлейс в режиме софтового декодирования;
	! MPCVideoDec- Исправлено декодирование RAW Video с размерами кадра некратными 32;
	! MPCVideoDec/FormatConverter - исправлено падение после реинициализации;
	! MPEG парсер (sequence header) - исправили механизм вычисление AR;
	! MPEGSplitter - Исправлен парсер AAC header;
	! MPEGSplitter - исправлен парсинг PSM (Program Stream Map);
	! MPEGSplitter - Исправлен расчет fps для MPEG-PS (обычно для H.264);
	! MPEGSplitter - Исправлено заполнение extradata для MPEG2;
	! MPEGSplitter - Исправлено подключение/воспроизведение TrueHD дорожек;
	! MpegSplitter - Исправлено чтение Program Stream Map (PSM), которое могло приводить к очень длительному открытию файлов MPEG-PS;
	! MPEGSplitter - Не отображались субтитры на некоторых .VOB;
	! OggSplitter - Исправлены ошибки, приводившие к некорректному воспроизведению файлов DIRAC и FLAC;
	! RawVideoSplitter - восстановлено открытие HEVC;
	! RawVideoSplitter - исправлена перемотка формата 'YUV4MPEG2';
	! RawVideoSplitter - Исправлены ошибки, приводившие к ложным срабатываниям и неправильной работе;
	! RealMediaSplitter - Исправлено проигрывание файлов, у которых в заголовке отсутствует значение пакетов (равно 0);
	! RoQ видеодекодер некорректно добавлялся в граф;
	! VSFilter - Восстановлен показ субтитров при выводе NV12/P010/P016 и Flipped изображении;
	! VSFilter - исправлен вывод DVB субтитров;
	! WASAPI Renderer - Избавились от dead-lock (подвисания) при закрытии;
	! WASAPI Renderer - Иногда некорректно отрабатывался конец файла в случае перемотки;
	! EVR Custom - Исправлено моргание/черный экран в связке с Microsoft DTV-DVD Video Decoder при проигрывании некоторых DVD(на меню и при выводе субтитров) и видео;
	! В OS Vista и новее, для VMR-9 renderless вновь активна опция 'YUV mixing'. При включенной опции 'YUV mixing', теперь активируется опция 'Dynamic switch to BOB';
	! Восстановлено/исправлено отображение подсказок на странице "Вывод";
	! Исправлен механизм состояние кнопки Play/Pause;
	! Исправлена загрузка плейлистов в формате UTF8 без заголовка;
	! Исправлено открытие DVD из закладок, при условии сохранения позиции DVD;
	! Исправлено открытие субтитров в ANSI кодировке;
	! Исправлено переключение VobSub субтитров, когда один файл включает несколько субтитров;
	! Исправлены ошибки в работе опции 'Перемотать в конце';
	! Исправлены ошибки, которые приводили к зависанию процесса mpc-be.exe в момент закрытия плеера/файла;
	! Исправлены ошибки, приводившие к неправильной работе выбора аудиодорожек;
	! Исправлены пропорции кадра при сохранении миниатюр;
	! Меню 'Открыть DVD/Blu-ray' не работало, если был запущен полноэкранный D3D режим;
	! Окно 'Свойства Файла' -> 'Ресурсы' - исправлено сохранение вложений;
	! Парсер AVC не обрабатывал level 5.2;
	! Страница настроек 'Youtube' - некорректно запоминались настройки форматов;
	! Страница настроек 'Полный экран' - кнопка 'Применить' не всегда меняла свое состояние;
	 ... и многое другое.


1.3.0.3 - 2013-11-03
============================
Добавлено (+):
	+ Добавлена возможность загрузки субтитров из внешних .mks файлов;
	+ Добавлена проверка валидности .ini файла перед его использованием (открытием);
	+ Добавлено запоминание активной закладки окна свойств файла;
	+ Добавлена поддержка двойного аудио вывода;
	+ Добавлена поддержка Win 8.1;
	+ Добавлено автовоспроизведение Blu-ray дисков. Временно опция совмещена с DVD;
	+ Добавлена опция "Автоматическое переоткрытие файлов с субтитрами в случае изменения". По умолчанию отключена;
	+ Полная интеграция меню управления субтитрами c VSFilter/XySubFilter;
	+ Добавлено сохранение истории для Blu-ray и DVD;
	+ Добавлена возможность автоматического подключения внешних аудиофайлов и субтитров. Для поиска используется имя Blu-ray - название корневой папки либо метка диска (при открытии с диска);
	+ MPC Audio Renderer - Внедрен алгоритм выбора оптимального аудиоформата для вывода. При необходимости используется конвертация;
	+ FLVSplitter - добавлена поддержка Speex дорожек;
	+ FLVSplitter - добавлена поддержка HEVC видео (нужен внешний декодер);
	+ FLVSplitter - добавлена поддержка получения данных FrameRate, AudioSampleRate из метаданных;
	+ EVR-CP - добавлен вывод глав на сикбаре в D3D FullScreen режиме;
	+ MP4Splitter - добавлена поддержка AIC icod (Apple Intermediate Codec);
	+ MP4Splitter - добавлена поддержка HEVC/H.265;
	+ MatroskaSplitter - добавлены окно настроек и опция "Load Embedded Fonts";
	+ MatroskaSplitter - добавлена поддержка идентификатора "A_OPUS";
	+ MatroskaSplitter - добавлена поддержка HEVC/H.265;
	+ MatroskaSplitter - добавлена поддержка VP9;
	+ DTSAC3Source - добавлена простая поддержка .dtshd/DTSHDHDR;
	+ AviSplitter - добавлена поддержка 'avc1' FOURCC;
	+ AviSplitter - добавлена поддержка HEVC/H.265;
	+ MpaDecFilter - добавлена поддержка декодирования TAK;
	+ MpegSplitter - добавлена поддержка HEVC/H.265;
	+ MPCVideoDec - включено декодирование для MJ2C видео (семейство j2k видео);
	+ MPCVideoDec - добавлена поддержка "Microsoft Video 1" (CRAM);
	+ MPCVideoDec - добавлен HEVC/H.265 декодер;
	+ MPCVideoDec - добавлен VP9 декодер на основе libvpx;
	+ MPCVideoDec - добавлена поддержка AIC icod (Apple Intermediate Codec);
	+ UDP/HTTP Reader - добавлена поддержка IPTV (udp multicast);
	+ Добавлен TAKSplitter;
	+ Добавлен MPC RAW Video Splitter, с поддержкой открытия raw данных (MPEG/H.264/VC-1/HEVC/H.265);
	 ... и многое другое.

Изменения (*):
	* Откорректировано включение внешних субтитров;
	* Не переходим в полный экран при старте (с опцией "Launch files in FullScreen"), если файл не имеет видео;
	* Отключено изменение скорости в проигрывателе при использовании MPC Audio Renderer;
	* CShockwaveGraph - добавлена поддержка получения реального размера видео. Корректно работает Zoom;
	* Улучшена обработка относительных путей для файлов и плейлистов;
	* Улучшена и обновлена работа с Youtube;
	* Убрано отображение DirectX SDK в статистике рендерера;
	* Игнорируем тэги из внешних аудиофайлов и не отображаем их как название, альбом и т.д.;
	* Убраны опции : "Automatically set speaker count for the ivideo AC3 decoder" и "Switch from madVR to another renderer";
	* Настройки DVD - язык Меню, Аудио, Субтитров - теперь по умолчанию выставляется язык пользователя из системы (при установленном MUI), либо язык системы;
	* Улучшена поддержка URL плейлистов. Добавлено открытие "application/vnd.apple.mpegurl". Добавлена поддержка относительных ссылок в плейлистах;
	* Генерируется допустимое имя файла при сохранении сетевых потоков;
	* Реализовано запоминание главного фильтра во время построения DirectShow графа. Это устраняет неверные определения при добавлении внешних дорожек и ускоряет переключение дорожек плеера;
	* Добавлена возможность остановить попытки открытие "плохих" элементов плейлиста с помощью клавиши Esc;
	* Шрифт окна MediaInfo теперь масштабируется согласно настройкам системы. Для Windows 7 предпочтительным шрифтом теперь является "Consolas";
	* Опция "Сохранять настройки в .ini файле" переименована в "Хранить настройки в папке плеера" ("Store settings to .ini file" -> "Store settings in the player folder");
	* Увеличен размер кнопок для настройки фильтров. "MPEG-2 decoder configuration" -> "MPEG-2/DVD decoder configuration";
	* Окно свойств фильтра: вместо pbFormat показываем лишь extradata;
	* Изменено сохранение избранного при проигрывании Blu-ray;
	* Изменена проверка на блокировку VSFilter, теперь блокируем так же при наличии XySubFilter + madVR. XySubFilter разрешаем только при выборе madVR как рендерера;
	* Загрузка субтитров теперь работает с VSFilter;
	* Поменяли местами содержимое панелей "Субтитры" ("Subtitles") и "Субтитры->Дополнительно" ("Subtitles->Misc");
	* "Субтитры->Дополнительно" ("Subtitles->Misc") переименованы в "Субтитры->Отрисовка" ("Subtitles->Rendering");
	* Опция "Автозагрузка субтитров" ("Auto-load subtitles") перенесена из панели "Воспроизведение" ("Playback") в панель "Субтитры" ("Subtitles");
	* Для загрузки субтитров берется путь от текущего проигрываемого файла;
	* При добавление субтитров в проигрыватель методом Dran'n'Drop, теперь поддерживается несколько файлов сразу;
	* Откорректировано масштабирование субтитров со стилем по умолчанию;
	* Настройка стиля по умолчанию для субтитров - теперь изменения применяются на лету, добавлена кнопка для сброса настроек на дефолтные;
	* При открытии и проигрывании DVD/Blu-ray корневая папка отображается как название;
	* Чтение структуры HDMV (Blu-Ray) - пропускаем данные для отсутствующих файлов. Это позволяет открывать "обрезки/куски" от Blu-Ray;
	* Появилась возможность считывать информацию о названии диска из файла disc.inf при открытии Blu-ray структуры;
	Blu-ray/DVD - Улучшена/ускорена перемотка;
	* Удален D2VSource;
	* MPC Audio Renderer - переделан способ получения списка поддерживаемых форматов, сделаны доп. проверки. Теперь исключены вылеты при отсутствии поддержки того или иного формата;
	* MPC Audio Renderer - реализовано кэширование, что повысило стабильность воспроизведения звука;
	* MPC Audio Renderer - при подборе выходных параметров за основу берем частоту дискретизации, а не битность. Так же - при отсутствии поддержки частоты, берем не максимальное значение, а ближайшее;
	* FLVSplitter - обновлен парсер метаданных, добавлена поддержка ключевых кадров (в случае наличии тэга "keyframes"). В этом случае значительно увеличивается скорость перемотки;
	* WVSplitter - убрана поддержка streaming потоков;
	* WVSplitter - подкорректировано начальное открытие и проверка данных на валидность (проверка сигнатуры) - убрана проверка только в самом начале файла, и ограничен размер проверяемых данных 1 мегабайтом. это позволяет открывать и проигрывать iso.wv;
	* Mpeg2DecFilter - обрабатываем субтитры только при просмотре DVD, для обычных файлов используем стандартные средства;
	* EVR-CP - добавлен вывод загрузки процессора в статистике рендерера;
	* EVR-CP - статистика: минимальная высота шрифта 6, минимальная ширина 4;
	* EVR-CP - улучшено обновление статистики при смене входящего медиа типа;
	* MP4Splitter - убран вывод "лишних" субтитров в формате MEDIASUBTYPE_ASS2, оставлен только вывод как MEDIASUBTYPE_UTF8;
	* MatroskaSplitter - улучшена перемотка MKV, в которых ключевые кадры (CuePoints) расположены очень редко;
	* MatroskaSplitter - при открытии/чтении битых/недокачанных файлов в случае непрерывного мусора в размере 10Mb считаем, что все дальше полезной информации нет и прекращаем чтение. Это ускорит открытие скачиваемых файлов, к пример, с помощью torrent клиентов;
	* AviSplitter - улучшена работа с AVC1/H.264 видео;
	* OggSplitter - откорректирована обработка пакетов с меняющимся TimeStamp, улучшено проигрывание записей с livestream;
	* OggSplitter - оптимизирована работа с онлайн источниками. Теперь открытие будет занимать меньше время;
	* OggSplitter - переписан механизм поиска, значительно ускорена перемотка файлов с Theora видео;
	* AudioSwitcher - добавлена функция для исправления некорректных WAVEFORMATEX структур и преобразование их в WAVEFORMATEXTENSIBLE;
	* MpegSplitter - добавлена возможность открытия потоков с видео без временных меток (бывает на спутниковое TV и IPTV);
	* MpegSplitter - оптимизирована работа с IPTV;
	* MpegSplitter - улучшено определение AAC/MpegAudio;
	* MpegSplitter - ускорено открытие BD структуры, исправлено проигрывание сшитых BD;
	* MpaSplitter - при проигрывании ссылок на файл отображаем длительность;
	* MPCVideoDec - улучшен VC1 DXVA декодер;
	* MPCVideoDec - удалена опция "Resize Method";
	* MPCVideoDec - опция "Chroma to RGB" переименована в "Preset", добавлен режим "Fastest";
	* MPCVideoDec - опция "Colorspace" переименована в "Standard";
	* MPCVideoDec - убраны RGB16 и RGB15 в качестве выходных форматов. Опция "SwOutputFormats" заменена на "SwFormats";
	* MPCVideoDec - изменен способ сохранения списка активных кодеков для внешнего декодера;
	* MPCVideoDec - изменены размеры вкладок настроек декодера;
	* UDP/HTTP Reader - фильтр UDP Reader переписан и добавлена поддержка чтения HTTP;
	* UDP/HTTP Reader - во время паузы и стопа перестаем принимать данные;
	* Обновлен китайский (Simplified) перевод (автор insolo, beter);
	* Обновлен голландский перевод (автор beter);
	* Обновлен китайский (Traditional) перевод (автор beter);
	* Обновлен итальянский перевод (автор Lord Maius);
	* Обновлен баскский перевод (автор azpidatziak);
	* Обновлен греческий перевод (автор beter);
	* Обновлен румынский перевод (автор beter);
	* Обновлен турецкий перевод (автор Thingol);
	* Обновлен корейский перевод (автор kuh3h3);
	* Обновлен украинский перевод (автор Arestarh1986);
	* Обновлен перевод скрипта инсталлятора - Голландский, Китайский Упрощенный и Китайский Традиционный. (автор beter);
	* MediaInfo 0.7.64+ svn rev.5964;
	* Little-CMS 2.5 git-69ecafd3;
	* ffmpeg 2.1 git-0610d6e8;
	* libwebp 0.3.1 git-6d0cb3de;
	* libpng 1.7.0 b21 git-fe6e6cf1;
	* libopus 1.1 git-8f466274;
	* libvpx 1.2 git-b26ce8b1;
	* ZenLib 0.4.29+ svn rev.447;
	 ... и многое другое.

Исправления (!):
	! Исправлено отображение файлов по маске (*.*), если был выбран Китайский (Simplified) языковой ресурс;
	! Исправлена ошибка при открытии файлов с сетевых ресурсов;
	! Исправлен размер (расположение) диалога в окне настроек;
	! Устранена утечка памяти в графопостроителе, из-за некорректного удаления аудио-рендерера их списка фильтров;
	! Исправлено падение после перехода на следующий файл, если предыдущий отсутствовал;
	! Исправлена потеря регистр символов при открытии файлов через Drag-and-drop;
	! Исправлено поведение прогресса в Win7/8 таскбаре для потокового проигрывания и файлов, на которых не удалось определить продолжительность;
	! Исправлено вложение вызовов OpenMediaPrivate() в случае нахождения в плейлисте инвалидных элементов;
	! Исправлено некорректное запоминание позиции файла при открытии вместе со внешним аудиофайлом;
	! Исправлено открытие (парсинг) вложенных локальных .m3u файлов;
	! Исправлена ошибка, приводящая к невозможности засыпания/выключения экрана после закрытия файла;
	! Исправлено отображение дерева в меню настроек для некоторых языков;
	! Исправлено падение при использовании DivX Demux Filter + DivX H.264 Decoder;
	! Исправлено очищение плейлиста при загрузке внешнего аудиофайла при проигрывании;
	! Исправлена проблемы с пропаданием кнопки Mute при переключении тем и с позиционированием кнопки Mute в классической теме;
	! Парсинг HDMV (PGS) субтитров - исправлено чтение и хранение палитры;
	! Исправлено подключение внешних субтитров при использовании XySubFilter;
	! Исправлена и оптимизирована работа со списком и меню субтитров в связке с Haali Media Splitter;
	! Исправлен парсер .sup файлов;
	! Исправлено чтение "кусочных" Blu-ray;
	! Исправлено открытие неполных Blu-ray;
	! MPC Audio Renderer - устранены шумы и треск в начале воспроизведения;
	! FLVSplitter - получаем данные fps, AudioSampleRate(nSamplesPerSec) из заголовка самого файла. AudioSampleRate имеет больший приоритет, чем данные из заголовка самого потока. Так же исправлено определение fps используя TimeStamp видео-пакетов, в случае отсутствия в заголовке;
	! WVSplitter - откорректировано время начала и общая длительность (теперь нет паузы в начале воспроизведения).
	! WVSplitter - исправлено отсутствие звука после плей->стоп->плей.
	! WVSplitter - исправлен пропуск данных при открытии;
	! MP4Splitter - исправлено чтение списка глав;
	! MpaDecFilter - исправлена проблема совместимости с системным фильтром MPEG-I Stream Splitter;
	! MpaDecFilter - исправлено integer overflow для RealMedia;
	! FLACSource - исправлен парсер тегов в формате Vorbis Comment;
	! MPCVideoDec - исправлено падение при софтовом декодировании MPEG2;
	! MPCVideoDec - исправлено проигрывание H.264 потока в режиме DXVA без временных меток;
	! MPCVideoDec - исправлено сохранение настроек преобразования форматов в INI файл;
	 ... и многое другое.


1.2.0.3 - 2013-06-18
============================
Добавлено (+):
	+ Декодер SPEEX (Speex Audio);
	+ MPC Audio Renderer - полностью переработан, полноценно поддерживается WASAPI Exclusive/Shared режимы. Используется event mode для рендера данных. Добавлен встроенный регулятор громкости. Mute - так же работает и для Bitstream;
	+ MPC Video Decoder - поддержка смены видеопотоков, динамической смены AR (соотношение стороны) и размера видео-кадра во время проигрывания, для DXVA декодера;
	+ MP4Splitter - поддержка Speex (Speex Audio);
	+ MPEGSplitter - добавлена (улучшена) поддержка Blu-ray с Seamless branching;
	+ Декодер G2M video (Go2Webinar);
	+ LCDShader, автор JanWillem32;
	+ Поддержка XSPF (XML Shareable Playlist Format);
	+ Поддержка VMware Video ('VMnc');
	+ Обработка плейлистов (multiplaylist) с YouTube.com;
	+ Открытие и сохранение ссылок с Vimeo.com;
	+ Возможность задавать пути (шаблоны) для автозагрузки аудиодорожек;
	+ Поддержка проигрывания AAC потока в ShoutCastSource;
	+ Получение описания (Description) в ShoutCastSource;
	+ Поддержка DVB субтитров в .wtv (Windows Media Center TV File);
	+ MPEG-1/MPEG-2 программные декодеры на основе ffmpeg;
	+ Полная поддержка MPEG2 от Apple в MP4/MOV Splitter ;
	+ Парсинг TrueHD в MPEGSplitter;
	+ Декодирование VC1-I в режиме без DXVA;
	+ Возможность из плейлиста вызывать диалог для добавления файлов;
	+ Принудительный однооконный режим;
	+ Система управления приоритетами фильтрами - выбор фильтров для определенных форматов файлов;
	+ Альтернативный механизм работы с Youtube: поток скачивается во временный файл, с размешением в TMP папке профиля пользователя, с дальнейшим воспроизведением в плеере, после завершения воспроизведения временный файл удаляется;
	+ Возможность выбора предпочитаемого формата для просмотра роликов Youtube;
	+ Поддержка битсриминга DTS-HD/E-AC3 (DDPlus)/TrueHD через HDMI;
	+ Поддержка Tag Specifications. Считывание и отображаются данные о авторе, названии трека и т.д.;
	+ Поддержка считывания/отображения данных об Альбоме для FLAC, WavPack и MusePack;
	+ Поддержка Unsychronised lyrics;
	+ Поддержка V210 в MP4/MOV Splitter;
	+ Декодер для видео v210;
	+ Возможность задавать качество изображения, при сохранение изображения (кадра) и миниатюр;
	+ Поддержка Speex в OggSplitter;
	+ Поддержка MPEG1 в AviSplitter;
	+ Поддержка .avi, созданных с помощью Matrox's MPEG-2 в AviSplitter;
	+ Поддержка OPUS в MatroskaSplitter;
	+ Поддержка ALAC в MatroskaSplitter;
	+ Поддержка MEDIASUBTYPE_Divx ('Divx');
	+ Поддержка чтения информации EDID для монитора/TV;
	+ Поддержка файлов с ID3 Tag в начале файла в MusePackSplitter;
	+ Регистрация ShellExt автоматически из MPC-BE;
	 ... и многое другое.

Изменения (*):
	* MpaDecFilter - не используем A/V синхронизацию (корректировку TimeStamp) при проигрывании аудио файлов и только аудио-потоков.
	* Улучшен механизм определения Interlaced кадров в H.264 DXVA декодере;
	* Для VP5 видеокарт обновлены ограничения на размер кадра;
	* Улучшена поддержка H.264 в AVISplitter;
	* Добавлена поддержка AVC1-style видео внутри .avi;
	* Добавлена проверка на валидный PTS;
	* Улучшено определение .avi файлов в MPCVideoDecFilter, определение только по заголовку, убрана проверка по расширению;
	* Парсер Youtube, определение формата видео на основе itag значения;
	* Перед открытием http/https/www ссылок, производится проверка на валидность ссылки;
	* Улучшен механизм работы с ShoutCast, это улучшает работу с ссылками ведущими на плейлисты;
	* На SeekBar визуально отображается прогресс подгруздки данных (Buffering), и так же меняется курсор мышки;
	* Обновлен парсер для обработки .M3U плейлистов. Значительно улучшен механизм чтения .M3U плейлистов;
	* В диалоге открытия файлов, сделана оптимизация категорий для разных форматов файлов;
	* Кнопка "Сохранить миниатюры" недоступна для потокового видео, и также для видео, которое еще подгружается (Buffering ...);
	* При сохранении скриншота, или миниатюр с экрана, для Youtube берётся правильное название;
	* Доработан механизм работы ShoutcastSource с ссылками, которые открываются с http 1.1 серверов;
	* Доработан механизм работы с потоковым аудио в OggSplitter;
	* Улучшен механизм выбора аудиодорожек. Теперь он корректно работает с внешними сплиттерами. Доступно получение информации от внешнего сплиттера о наличии флага Forced/Default;
	* В MatroskaSplitter - добавление в название "Default", даже если у дорожки стоит флаг Forced;
	* В OggSplitter - улучшена поддержка ogg + vorbis, теперь проигрываются локальные файлы, или потоковое вещание с изменяемыми "страницами" (page);
	* В FLVSplitter - добавлено считывание длительности файла из заголовка;
	* В MatroskaSplitter - изменил способ и принцип перемотки, теперь намного лучше перематываются "битые" файлы, и файлы где либо мало, либо отсутствуют ключевые кадры (MetaSeek/Cues info); 
	* Улучшена работа FLV/MP4 сплиттеров при работе с докачивающимися файлами;
	* Улучшено чтение данных (ID и язык) по дорожкам аудио и субтитров из .IFO файла;
	* В MPEGSplitter улучшен парсинг (поиск) дорожек внутри MPEG потока;
	* В MP4Splitter улучшено создание выходного MediaType для Apple MPEG2 (HDV/XDV);
	* В MP4Splitter улучшен механизм поиска на некоторых файлах;
	* В OGGSplitter улучшен механизм перемотки файлов с Theora Video внутри;
	* В MatroskaSplitter - улучшен парсинг ключевых кадров (MATROSKA_ID_CUES) и глав (MATROSKA_ID_CHAPTERS);
	* В MPEGSplitter улучшен парсинг HDMV LPCM;
	* В FLVSplitter улучшен механизм работы с потоковыми данными;
	* Улучшен механизм выбора приоритетной звуковой дорожки на основе пользовательских данных, теперь можно для выбора перечислить несколько условий с разделителем |;
	* Убран выбор перечеркнутого и подчеркнутого шрифта для "стиля по умолчанию" субтитров;
	* Убран выбор цвета в диалоге настройки субтитров;
	* Принудительная отрисовка toolbar при перемещении окна;
	* Диалог открытия файла - теперь корректно берет путь либо с последнего открытого файла, либо из выбранного файла в диалоге открытия;
	* Улучшена работа FlyBar вместе с madVR;
	* Для диалогов загрузки внешнего DirectShow фильтра из файла, загрузки внешних субтитров, открытия DVD/BD - сделано запоминание последнего пути;
	* Изменение логики отображения элементов в меню настроек субтитров;
	* MpaDecFilter, декодирование Real Audio - при отсутствии первоначальных данных в extradata, полученных от сплиттера, просто пытаемся декодировать данные как есть;
	* Улучшен механизм сохранение плейлиста в .M3U формат, добавлено сохранение информации о названии (label);
	* Улучшен механизм работы WavPack Parser, теперь корректно рассчитывается продолжительность проигрывания файла;
	* При добавлении фильтра в граф - немного изменен поиск дублей;
	* Улучшена поддержка обложек с расширениями ".jpeg" и ".png". Добавлен шаблон "%имя_файла%.jpg";
	* Убрано ограничение по Level & ReFrames для видеокарт от Intel;
	* Управление плейлистами для BD отключается, если в настройках не выбран встроенный MPEGSplitter;
	* Увеличен размер буфера для скачивания плейлиста;
	* Улучшена поддержка проигрывания потокового MPEG-TS (IPTV);
	* Закладка MediaInfo теперь не отображается для ссылок;
	* Добавлен запуск по нажатию Enter из плейлиста. Поддержка выделения нескольких элементов, выделить всё Ctrl+A, инверсия выделенного - Ctrl+I;
	* Убрано удаление по нажатию BackSpace в избранном;
	* Улучшен механизм проверки MediaType для субтитров;
	* В MPEGSplitter оптимизирована работу с потоковым MPEG-TS;
	* Возможность изменять размер диалогового окна "Properties" файла, с запоминанием размера окна;
	* Включили отображение меню с аудиодорожками на тулбаре для файлов без видео;
	* Для аудио даже не пытаемся строить граф для превью;
	* В MPEGSplitter добавлена опция для вкл/выкл создания "пустышки" вывода субтитров;
	* Улучшены режимы работы с madVR при использовании нескольких экранов;
	* В OGGSplitter улучшено проигрывание Opus, теперь правильно рассчитывается длительность пакета;
	* В EVR Custom в режиме паузы не используем VSync;
	* MPC-BE плейлист, добавлена возможность сохранять/считывать продолжительность элемента;
	* MPC-BE плейлист, проверка на "валидность", не загружаем файлы размером более 1MB;
	* MPC-BE плейлист, текущий активный элемент выделяется в соответствии с настройками цветовой гаммы текущей темы плеера;
	* В MPEGSplitter улучшена обработка пакетов с "кривым" pts внутри MPEG-TS;
	* Улучшен механизм переключение в режим окна MAXIMIZED при стилях окна "без заголовка";
	* Выводим seek preview окно под seekbar с учетом мультимониторности;
	* Управление приоритетами, теперь для разных форматов отображаются только те Splitters, который подходят по MediaType;
	* В MPEGSplitter увеличено количество пакетов в очереди для аудио и субтитровых дорожек;
	* Более плавное перемещение превью-окна. Добавлены события на клик средней кнопки мыши (вкл/выкл превью) и на скроллинг колеса мыши (перемещение курсора/окна-превью (на 5 пикселей, с Ctrl на 1, с Shft на 10)) когда курсор над seekbar;
	* Код шейдеров перенесен в папку Shaders, которая будет находиться либо в профиле, если настройки сохраняются в реестре, либо рядом с .ЕХЕ плеера, если настройки сохраняются в ini файле;
	* Диалог открытия файлов теперь следит за буфером обмена и автоматически подставляет, если там ссылка на Youtube, или Vimeo;
	* MPCVideoDecFilter, изменение в "Output formats" на горячую теперь работает и для VMR рендереров;
	* EVR Custom теперь на лету применяет изменение AR, так же на лету изменяет FPS - если таковые изменились во входящем MediaType;
	* Статистика, добавлены данные о входящем MediaType, так же теперь и на VMR9 отображаются данные о декодере и входящем MediaType;
	* В статистике видеорендерера, добавлено масштабирование;
	* В MPCVideoDecFilter удалены опции "Error resilience" и "IDCT Algorithm";
	* Убрали повторный парсинг ссылок с youtube.com и vimeo.com при сохранении файла;
	* При открытие BD исключаем дублирование плейлистов;
	* В построение графа, при подключении Source указываем реальное имя фильтра, вместо имени файла;
	* Автоматически выбираем максимальную поддерживаемую версию шейдеров;
	* H.264 DXVA декодер улучшена работа с Interlaced контентом;
	* В MPCVideoDecFilter, подкорректирована работа с VC-1, избавились от дрожания (Jitter) в DXVA режиме;
	* OSD работает без привязки к рендереру;
	* улучшена работа DXVA H.264 декодера - на "старых" видеокартах ATI UVD/UVD+;
	* Убрали автоматический Mute громкости при выставлении значения в 0;
	* Улучшено определение DXVA2 режима, для некоторых декодеров (AcrSoft и Cyberlink);
	* Удалено расширение .smi из группы Real Script;
	* Вывод активности DXVA1 режима для любого рендерера;
	* OSD: Для Windows Vistа и новее по умолчанию теперь используется шрифт "Segoe UI" вместо "Calibri";
	* При добавлении файлов в плейлист делаем активным и выделяем ПЕРВЫЙ добавленный элемент;
	* MPC-BE плейлист, улучшена поддержка Drag'n'Drop DVD/BD;
	* Поддержка регистрации ShellExt при запуске из командной строки с ключами для регистрации/удаления файловых ассоциаций. Теперь ShellExt регистрируется при установке/удалении программы;
	* VTSReader + MpegSplitter - при открытии .IFO теперь считывает Aspect Ratio данные из самого .IFO файла и использует именно эти данные далее в MpegSplitter;
	* AviSplitter: улучшено воспроизведение плохо чередующихся AVI-файлов, уменьшено потребление памяти;
	* В AviSplitter изменен механизм перестройки индексов, в случае отсутствия;
	* В AviSplitter улучшено отображение DivX Subtitle;
	* В MatroskaSplitter полностью переделал механизм расчета AvgTimePerFrame, в случае его отсутствия в заголовке.;
	* В MatroskaSplitter для битых/недокачанных/обрезанных файлов теперь при перестроении индекса вычисляется и длительность;
	* В FLVSplitter улучшен механизм работы парсера Метаданных;
	* В FLVSplitter улучшен механизм определения длительности;
	* В AudioSwitcher удалена опция "Down-sample to 44100 Hz";
	* В MPCVideoDec, для NVIDIA установлено ограничение на ref frames = 16, как для HD, так и для SD видео;
	* DXVA decoder, улучшена работа с WMV9/VC-1;
	* В BaseVideoFilter и MPCVideoDec улучшен способ получения информации о статусе декодера (SOFT/DXVA1/DXVA2);
	* Обновлен русский перевод;
	* Обновлен итальянский перевод (автор Lord Maius);
	* Обновлен Китайский (Simplified) перевод (автор insolo);
	* Обновлен корейский перевод, автор - kuh3h3;
	* Обновлен украинский перевод, автор - arestarh1986;
	* ffmpeg 1.2.1 git-8aea2f05;
	* libopus 1.0.1 git-b518b56f;
	* Little-CMS 2.5 rc1 git-e5ce1294;
	* libwebp 0.3.0 git-3fa595a5;
	* libopenjpeg 2.0.0 svn rev.2343;
	* MediaInfo 0.7.63+ svn rev.5690;
	* libpng 1.7.0 b15 git-1bc57477;
	* ZenLib 0.4.29+ svn rev.443;
	* VirtualDub 1.10.4 Test 6;
	* utfcpp 2.3.2 svn 1394
	* zlib 1.2.8;
	 ... и многое другое.

Исправления (!):
	! Подключение программного видеодекодера, изменен способ передачи списка активных кодеков в декодер;
	! Отслеживание изменение AR, не только в потоке, но и по размеру видеокадра;
	! Не корректно определялся размер для видео 1920х1080;
	! Youtube, в диалоге сохранения файла теперь время ожидания отображается в нормальном виде hh:mm:ss;
	! Парсер Youtube, - устранены ложные срабатывания и ошибки при открытия ссылки;
	! В MpaDecFilter, при ошибке декодирования и попытке пересоздать ffmpeg декодер, полностью пропадал звук;
	! Для роликов с Youtube в плейлисте корректно отображается название ролика;
	! В OGGSplitter, исправлено воспроизведение некоторых OGG файлов, у которых в начале содержаться пакеты с некорректным pts;
	! В OggSplitter, при построении списка дорог и обнаружении пустой "страницы" не выходим, а просто пропускаем;
	! В RealMediaSplitter, при построении индексов для подсчета длительности обрабатываем только "валидные" пакеты с Data Packet Header;
	! При перемотке с помощью клавиатуры, если длина файла не определена, то перемотка не выполняется; 
	! Исправлено падение при кодировании в AC3 для HDMV LPCM;
	! Исправлена работа таймера в OSD;
	! MPEGSplitter - исправлена работа с потоковым MPEG-TS, теперь не должен вставать на паузу/останавливаться во время воспроизведения при нехватке входных данных;
	! Исправлено подключение своих же внешних фильтров, когда встроенные заблокированы;
	! Исправлено подключение Low Merit видеодекодера;
	! Исправлено зависание на WinXP, при попытке изменения размера/перемещении плейлиста;
	! Черный экран на OGG+Theora;
	! Не работала назначенная команда на ЛКМ при пресете Minimal;
	! Исправлено смещение значка MUTE на toolbar при вкл/откл;
	! На Windows XP не показывались некоторые диалоги открытия файлов;
	! Открытие BD не работало при использовании внешнего фильтра;
	! Исправили рассинхрон на RealVideo 3/4 при использовании встроенного видеодекодера с включенной многопоточностью;
	! Исправлено воспроизведение Real Audio в связке со встроенным сплиттером;
	! Исправлено воспроизведение рывками некоторых MPEG-TS/PS с сетевых ресурсов;
	! Исправлена невозможность проигрывания недокачанных MKV/WebM;
	! MatroskaSplitter - не показывал длительность для потокового (скачиваемого) видео;
	! Исправлено падение микшера в 64-битной версии;
	! Исправлено отображение VobSub субтитров из MKV, при условии что у субтитров выставлено свойство "custom colors: ON";
	! Не скрывался flybar, когда главному окну посылалась системная команда SC_MINIMIZE (например при OnBossKey());
	! Исправлен парсинг .M3U плейлистов с сети;
	! Исправлено воспроизведение/перемотка больших FLAC файлов;
	! Исправлено воспроизведение видео с флагом Rotate;
	! В MatroskaSplitter исправили работу с VC1 + Cyberlink Video Decoder;
	! В WVSplitter исправлено открытие многоканальных .wv;
	! Исправлено случайное срабатывание команды на ЛКМ при двойном клике по заголовку окна;
	! Исправлено падение при переключении DVB субтитров с меньшего разрешения на большее;
	! При выводе VMR7-Renderless не отображались HD (PGS/DVB) субтитры;
	! Исправлено подключение внешних звуковых дорожек;
	! В FLVSplitter исправлено воспроизведение файлов с AAC дорожкой;
	! В MP4Splitter, исправлено воспроизведение файлов .m4v;
	! Исправлены проблемы при регистрации в системе некоторых внешних фильтров (AMR/TTA/WV/MusePack);
	! Исправлено переключение видеопотоков;
	! Исправлена автозагрузка субтитров, расположенных на сетевых ресурсах;
	! Исправлено воспроизведение DVD при использовании VMR7/VMR9 рендереров;
	! В MP4Splitter исправлено воспроизведение некоторых 3gp-файлов с AMR-звуком;
	! Исправлено переключение тем в горячем режиме во время воспроизведения, неправильно ставился знак воспроизведения/паузы;
	! Файловые ассоциации (форматы) - не работало добавление и удаление ассоциаций для пользовательских расширений;
	! Исправлено создание нового шейдера в редакторе шейдеров;
	! Исправлено отображение кнопок play/pause при удалении файла из плейлиста;
	! В FLVSplitter исправлено чтение и обработка тэгов;
	! Убрали установку на паузу при переходе до ближайших субтитров;
	! Исправлено некорректное выставление соотношения сторон при проигрывании WMV в софтовом режиме на VMR9/VMR7 рендерерах;
	! Исправлено ложное определение AAC потоков как MP3;
	! В MpaDecFilter исправлен Bitstream DTSWAV;
	! В MPASplitter исправлен парсинг MPEGAudio;
	 ... и многое другое.


1.1.3.0 - 2012-12-27
============================
Всего, в этой версии было выполнено около 450 изменений, подробнее:

Добавлено (+):
	+ MPEGSplitter - добавлена опция "быстрой перемотки";
	+ Выбор форматов - кнопка для удаления выделения всех форматов;
	+ AVISplitter - добавлена поддержка парсинга MPEG Audio дорожек, т.к. есть файлы где "нельзя доверять" заголовку;
	+ MP4/MOV Splitter - добавлена поддержка AMR Wide band аудиодорожек, поддержка тэга Rotate;
	+ Поддержка считывание из файлов QuickTime тэга Rotate (используя встроенный сплиттер) и разворот видео (если поддерживает видеорендерер);
	+ Получения статуса DXVA для ЛЮБОГО совместимого рендера, а не только встроенного (работает на EVR, madVR). Поддерживается только DXVA 2.0;
	+ Поддержка custom Pixel Shader в madVR;
	+ Добавлены команды в контекстное меню на правой кнопки мыши для кнопок тулбара SUB / AUD (Load Ext Subtitle... / Laod Ext Audio...);
	+ WVSource/MusePackSource - добавлена поддержка APE Tag, считываем cuesheet (инфа для чаптеров);
	+ FLACSource - поддержка чтения информации о главах (чаптерах), а так же используя вшитый CUE файл в тэг самого Flac - CUESHEET;;
	+ Поддержка субтитров в формате XSUB (DiVX subtitles);
	+ Включена возможность использования иконок по типу (видео и аудио), а не по расширению;
	+ MPEG2 DXVA декодер - определение 2:3 Pulldown и корректное выставление продолжительности фрейма;
	+ Добавлены два хоткея: вывод в OSD "Системное время" и "Имя файла";
	+ Добавлена начальная поддержка VSFilter для работы с субтитрами - полная поддержка управлением списком субтитров, вкл/выкл, переключение, загрузка внешних субтитров через меню и через Drag'n'Drop;
	+ MPCVideoDec - поддержка управлением Deintelacing;
	+ Поддержка внешних субтитров в формате UTF-8 без BOM заголовка;
	+ MPEGSplitter - поддержка считывания палитры для VobSub субтитров при открытии через .IFO;
	+ Поддержка DVD_Subpicture;
	+ Возможность открытия внешних логотипов формата: *.bmp; *.jpg; *.jpeg; *.png; *.psd, *.gif; *.tif; *.tiff; *.tga, *.emf; *.ico; *.webp; *.webpll;
	+ Добавлена панель (Flybar);
	+ Добавлены кнопки для Flybar в D3D эксклюзивном режиме (закрытие файла и выход из программы);
	+ Ссылка на "Download Toolbar Images";
	+ Возможность открытия изображений: bmp, jpeg, gif, png, psd, tiff, emf, ico, webp и webpll;
	+ Название ролика с youtube, теперь выводится в заголовке главного окна, seekbar и OSD;
	+ utfcpp 2.3.2
	 ... и многое другое.

Изменения (*):
	* Улучшена работа парсера Vorbis;
	* OggSplitter - добавлена проверка заголовка;
	* Изменее способ определения UTF-8 в файле без BOM;
	* MP4Splitter - улучшена поддержка Глав (Chapter);
	* FLVSplitter - улучшена поддержка потокового видео;
	* Улучшена перемотка на MPEG-TS - теперь она более точная и выполняется в 99.99% именно по PTS потока;
	* Улучшена работа с внешними/системными фильтрами, теперь "Предпочесть" работает так же и для внешних Source/Splitter, а не только Transform фильтров. Так же исправлена выставление приоритетов для встроенных WavPack/MusePack/TTA/AMR Splitter (т.к. они не имеют собственного Source);
	* Более жесткий фильтр для загрузки музыкальных логотипов;
	* WVSource: косметика кода;
	* VSFilter - XSUB, если размер субтитров больше чем размер видео, то пытаемся вписать в размер кадра;
	* MpaDecFilter -> Mixer: изменил коэффициенты для апмикса стерео;
	* MusePack/WavPack - поддержку APETAG, теперь получаем и отображаем в проигрывателе полную информацию о исполнителе, названии, годе выпуска, альбоме и т.д.;
	* Небольшая косметика для статистики EVR/VMR9;
	* Улучшен механизм обработки утечек памяти;
	* Включена оптимизация даунмикса 8 каналов в стерео;
	* DXVA декодер - доработана обработка EndOfStream сигнала от нижестоящего фильтра;
	* Косметика настроек OSD;
	* При очистке списка последних открытых файлов - очищаем "Recent" jump list в Windows 7 таскбаре;
	* Файловые ассоциации - если пользователь нажал кнопку "Применить" и после этого ничего не менял и нажал на "Ок" - то перерегистрация типов не запускается еще раз, а так же в Win8 не показывается окно выбора ассоциированных расширений/типов
	* Обновление языковых файлов MediaInfo;
	* MpaDecFilter: обновлен CMixer, оптимизация;
	* MPEG2 DXVA декодер - изменили механизм работы с 2:3 Pulldown фреймами, нельзя выставлять продолжительность фрейма постоянной, т.к. встречается смешанный контент (интерлейс кадры перемешаны с 2:3 Pulldown);
	* XSUB субтитры - корректное позиционирование и масштаб при изменении размера окна;
	* MpaDecFilter: использование сэмпл-форматов из ffmpeg для внутренней обработки;
	* MpaDecFilter: оптимизация декодирования PS2PCM и PS2ADPCM;
	* WebServer: оптимизация;
	* Шейдеры сохраняются только тогда, когда это может быть необходимо;
	* Показ сообщения в OSD при изменении задержек субтитров при использовании VSFilter;
	* Более корректное отображение и поведение меню "Субтитры" при использовании VSFilter;
	* Улучшена работа с субтитрами + VSFilter, а так же добавлена возможность управлением задержками (F1/F2) для VSFilter;
	* Оптимизация настройки шага уровня громкости;
	* Для механизма парсинга и обработки HDMV (PGS) субтитров, теперь не нужен механизм вывода как для анимации;
	* Обработчик очереди субтитров - изменение приоритета потока не только в зависимости от настроек, но и от типа субтитров: для растровых субтитров ВСЕГДА низкий приоритет;
	* Сообщение с ошибкой или предупреждением при создании видеорендерера показывается только один раз;
	* FLACSource - изменил механизм извлечения тэгов, так же теперь из них корректно считываются UTF8;
	* SaveAs - для локальных файлов берем только имя файла, без пути;
	* Видеорендер, статистика - получение и показ типа фрейма (прогрессив/интерлейс) не зависимо от декодера;
	* Корректное выставление курсора мыши для настроек фильтров, теперь курсор в виде руки (IDC_HAND) выставляется только для нужных элементов;
	* Переделан механизм определения UTF-8;
	* Улучшена отрисовка фона у VolumeCtrl;
	* Проверку на правильность размеров toolbar и flybar;
	* Добавлена возможность нормального отображения прозрачности для логотипов и внешних изображений;
	* DXVA H.264 - улучшена проверка на поддерживаемое видео для DXVA декодирования;
	* Увеличено ограничение размера кадра для Nvidia GTX 660Ti;
	* Убрано переключение режима (вида) плеера по Esc;
	* MPEGSplitter - при открытии .vob/.mpg файла ищем соответствующий ему по структуре DVD .ifo файл, и если такой есть - считываем палитру для отображения VobSub субтитров из него;
	* Субтитры - улучшена работа TextPassThruFilter фильтра;
	* Оптимизация работы FlyBar;
	* Переработан механизм декодера H.264 DXVA, улучшена работа с H.264 Interlaced;
	* Youtube parser, добавили в исключение stereo3d формат;
	* Для MadVR убрали исключения для снятия скриншотов, для версии 0.84.0 и выше;
	* В компактном режиме добавлен SeekBar;
	* Сохранения скриншотов в JPG и TIFF, теперь выполняется через GDI+;
	* MPEG2 DXVA Decoder - оптимизация;
	* DVD, при отсутствии команды FirstPlay, пытаемся открыть DVD Menu Title;
	* Убрано автоматическое вкл/выкл звука при изменение громкости;
	* Оптимизация AsyncReader;
	* Оптимизация открытия и сохранения изображений;
	* Оптимизация открытия ссылок с youtu.be;
	* Добавлена возможность отключать встроенную логику выбора аудио дорожек и субтитров;
	* Обновлен корейский перевод, автор - kuh3h3;
	* Обновлен украинский перевод, автор - arestarh1986;
	* Обновлен немецкий перевод, автор - Markus Gaugg;
	* libwebp 0.2.1 git-6bf20874;
	* libpng 1.5.13 git-753fd3f;
	* libopus 1.0.1 git-5367dac3;
	* Virtualdub 1.10.3 Test 7;
	* ffmpeg git-ceee4407;
	* MediaInfo 0.7.61+ svn rev.5314;
	* ZenLibs v0.4.28+ svn rev.411;
	* Little-CMS git-e4624c8d;
	* SoundTouch svn rev.160;
	 ... и многое другое.

Исправления (!):
	! HDMV(PGS) субтитры - истранен ряд проблем, приводящий к ошибкам в работе;
	! Исправлен механизм обработки субтитров;
	! Парсер DVB субтитров, не совсем корректно обрабатывалась информация при парсинге PAGE;
	! AudioSwitcher: исключено переполнение (могло вызвать заикание и падение на некоторых WavPack);
	! Немного подкорректирована работа с растровыми субтитрами, исправлены проблемы приводящие к ошибкам в работе;
	! При открытии ссылки с Youtube, в OSD теперь корректно отображается название клипа;
	! DirectVobSub (VSFilter) - исправлена работа с видео P010/P016;
	! Команда "перезагрузить субтитры" была перепутана с диалогом стиля субтитров;
	! DirectVobSub - падал при попытке воспроизвести PGS/DVB субтитры, когда разрешение субтитров больше чем разрешение видеопотока;
	! DirectVobSub (auto-loading version) - не подключался автоматически в Win7;
	! DXVA декодирование VC1-I;
	! Отображение времени на полосе прокрутке, когда включена "Синхронизация субтитров";
	! MpaDecFilter: исправлено падение на DTS файлах;
	! AviSplitter: нормализация воспроизведения файлов с битыми фрагментами в заголовке;
	! Парсер PGS субтитров;
	! Возможность переключения дорожек с субтитрами через меню фильтра не должно зависеть от обработки субтитров в самом проигрывателе;
	! Не правильно прорисовывалась кнопка Lock/Unlock на flybar;
	! Playlist закрывался при открытии файла;
	! Большая нагрузка на процессор в режиме DXVA при декодировании H.264;
	! Seekbar и statusbar при загрузке изображений теперь не выводит таймер времени;
	! Playlistbar исправлена отрисовка фона при переключении темы;
	! Встроенный FLACSource не играл файлы, у которых в заголовке отсутствовала информация о минимальном и максимальном размере фрейма;
	! Не работало отображение субтитров при использовании ffdshow video decoder & subtitle filter;
	! FLACSource - проблема с открытием "битых" файлов;
	! SaveAs - убираем "некорректные" символы - только для файлов с youtube;
	! При отключенной встроенной логике выбора дорожек, для субтитров не работала опция "Всегда использовать внешние субтитры как основные";
	! Открытие некоторых ANSI/ASCII файлов;
	! MPEGSplitter - при чтении Packetized Elementary Stream (PES) header иногда считывались не все данные;
	! При переключении языка - не менялся язык подсказок кнопок на Win 7 превью в таскбаре;
	! Не регистрировались в системе некоторые внешние фильтры;
	! Отображение субтитров с YUY2 выводом;
	! MPEGSplitter - некоторые MPEG-TS не открывались;
	! Исправлена проблема с отображением png;
	! MPCVideoDec, внешний фильтр - некорректно сохранялись/считывались выбранные кодеки;
	! Внешние фильтры, отсутствовал текст в заголовке настроек (Settings);
	! VP3, THEORA, MPEG4 - убраны артефакты и рассыпания картинки после перемотки;
	! H264 DXVA декодер, для некоторых специфичных Interlaced потоков некорректно передавались данные slice control в декодер;
	! FLV сплиттер - некорректно обрабатывал PCM аудиодорожки;
	! VolumeCtrl при некоторых моментах приводило к неправильной работе;
	! Исправление отрисовки ползунка громкости;
	! Утечка памяти в MPADecFilter при использовании микшера;
	! WebServer, многочисленные исправления и оптимизация;
	! Некорректно формировался заголовок главного окна;
	! Инсталлятор, исправлена ошибка при удалении программы;
	! Зависания при определенных ситуациях при включенном Превью;
	 ... и многое другое.


1.0.3.1 - 2012-09-26
============================
Добавлено (+):
	+ Добавлена опция в настройках "Шаг изменения скорости воспроизведения / Speed Step";
	+ Индикатор DXVA (GPU) на тулбаре (Управление);
	+ Поддержка JPEG 2000 в MP4/MOV сплиттере и декодере, для декодирования используется ffmpeg + OpenJPEG library (http://www.openjpeg.org);
	+ Полноценная поддержка Opus, сплиттер + декодер, для декодирования используется ffmpeg + libopus;

Изменения (*):
	* FLVSplitter, потоковое видео (youtube или любой другой http источник) - ускорение открытия, определение продолжительности файла во время воспроизведения;
	* Поддержка коротких ссылок - youtu.be;
	* Переработан механизм парсинга/обработки PGS субтитров - теперь нормально отображаются одновременно несколько субтитров;
	* Отрисовка PGS/DVB субтитров - оптимизация;
	* Оптимизация парсера YouTube;
	* Обновление украинской локализации;
	* Блокировка DVR-MS Caption;
	* ShellExt - улучшение работы модуля, оптимизация;
	* MediaInfo 0.7.60+ svn rev.5104;
	* libpng 1.5.13 git-11c1e0d;
	* ffmpeg git-f75c5f0;
	* openjpeg 1.5;
	* libopus (версия git 2c3b5ee от 20120921);

Исправления (!):
	! Исправлена проблема с некорректным выделением и подсветкой объектов DVD (происходило смещение координат);
	! Исправлена проблема с запоминанием состояние окна по выходу из программы (SIZE_MAXIMIZED/SIZE_MINIMIZED);
	! Исправлена проблема при запуске плеера в режиме "Один процесс для каждого файла, при многократном клике открывалось несколько окон, ticket #29;


1.0.3.0 - 2012-09-17
============================
Добавлено (+):
	+ Установка/удаление файловых ассоциаций под Windows 8 из самого проигрывателя;
	+ добавлена поддержка AVC Level 5.1 для Intel HD Graphics 2500;
	+ Сохранение видео с youtube.com;
	+ Выставление иконок при ассоциации из командной строки;
	+ При выставлении/удалении ассоциации из командной строки без прав администратора - запрос таковых и только тогда корректная ассоциация (Windows Vista и выше.);

Изменения (*):
	* Обновлен немецкий перевод, автор - Markus Gaugg;
	* Отключен SmartSeek (превью) для потокового видео;
	* Улучшено/оптимизированно открытие роликов с youtube.com;
	* Убрано запоминание позиции для потокового контента;
	* ffmpeg git-e80cbdb;

Исправления (!):
	! Инсталлятор - корректно закрепляет ярлык на панели задач в 64 битной системе при условии установки в папку {Program Files};
	! Невозможно было перемещать окно левой кнопкой мышкой за область вывода, когда на нее ничего не было назначено;
	! Исправлена работа ShoutcastSource;
	! DVB субтитры - парсинг и обработка Clut (палитра), корректно показываются субтитры, состоящие из нескольких регионов (многострочные);
	! В WebServer не отображался логотип;
	! Устранено падение плеера при загрузке, если используется хоткей;
	! Устранено падение при открытии роликов с youtube.com
	! Pan&Scan - Scale to 16:9 TV;


1.0.1.0 (Beta) - 2012-09-12
============================
Добавлено (+):
	+ Декодер CSCD (CamStudio Screen Codec);
	+ Декодер QTRLe (Quicktime Animation (RLE) Video);
	+ Декодер DV формата:
		- DV - SD-DVCR (525-60 or 625-50);
		- DV - SDL-DVCR (525-60 or 625-50);
		- DVHD - HD-DVCR (1125-60 or 1250-50);
		- DV25 - DVCPRO 25 (525-60 or 625-50);
		- DV50 - DVCPRO 50 (525-60 or 625-50);
		- DVH1 - DVCPRO 100 (1080/60i, 1080/50i, or 720/60P);
	+ Декодер QDM2;
	+ Декодер UtVideo (RGB, RGBA, 4:2:0, 4:2:2);
	+ Декодер WavPack 4;
	+ Декодер Canopus Lossless video;
	+ Декодер Dirac;
	+ Декодер Lagarith lossless video;
	+ Декодер APE (Monkey's Audio);
	+ Декодер Apple ProRes;
	+ Декодер DSP Group TrueSpeech;
	+ Декодеры "Windows Media Audio 1" и "Windows Media Audio 2";
	+ Декодер "Windows Media Audio 9 Professional";
	+ Декодер "Windows Media Audio Lossless";
	+ Декодер "Windows Media Audio Voice"
	+ Декодер "Flash Screen Video 1";
	+ Декодер Cinepak;
	+ Декодер FPS1 (Fraps);
	+ Декодер Bink Video (BIKI, BIKB);
	+ Декодер Bink Audio (RDFT, DCT);
	+ Декодер PNG;
	+ Декодер TTA;
	+ Декодер TechSmith Screen Codec 2;
	+ Декодер MS Screen 1 (Windows Media Video V7 Screen);
	+ Декодер Microsoft Screen 3 (Microsoft ATC Screen);
	+ Декодер Microsoft Screen 4 (MS Expression Encoder Screen);
	+ Декодер RealAudio Lossless;
	+ Декодер Indeo Audio (IAC);
	+ Декодер MusePack SV7/SV8;
	+ Расширение оболочки MPCBEShellExt;
	+ Поддержка MPEG1 в Matroska, автор идеи и начального патча Vortex (автор Light Alloy);
	+ В EVR статистике со встроенным видеодекодером теперь отображается реальный тип кадра - интерлейс или прогрессив;
	+ Добавлена возможность настройки "Темная темы";
	+ MPCVideoDec - настройки "Output formats" включаются/выключаются без перезапуска плеера;
	+ Настройка яркости и цветовой гаммы RGB для "Темная темы";
	+ Регулировка цветовой гаммы RGB для "Темная темы" без перезапуска плеера;
	+ Использование toolbar.png по умолчанию;
	+ Добавлены имена для фильтров - Reader;
	+ MP4Splitter - поддержка Apple Quicktime HDV 720p/HDV 1080i (MPEG2);
	+ Опция "Выход из полноэкранного режима при перехвате фокуса";
	+ Отображение версии libavcodec в окне "О программе";
	+ WavPack сплиттер;
	+ Поддержка DIRAC в MPEG/OGG;
	+ Вернули обратно RoQSplitter вырезанный в MPC-HC rev.2760;
	+ Кнопки для настроек внутренних фильтров, закладка "Встроенные фильтры";
	+ Поддержка AAC Latm в MPEGSplitter;
	+ FGManager: добавлен subtype для PS2 ADPCM;
	+ Поддержка P010/P016 вывода для ISR и VSFilter'а;
	+ MusePackSplitter - спасибо автору Light Alloy за оригинальный сплиттер;
	+ Поддержка Apple ProRes видео во встроенном MP4 сплиттере;
	+ Поддержка AMV IMA ADPCM;
	+ Общее меню для Аудио дорожек;
	+ Добавлен пункт "Опции" в "Общее меню" выбора аудиодорожек;
	+ MatroskaSplitter - добавлена поддержка DVB субтитров;
	+ AudioParser: добавлена поддержка для MLP;
	+ DTSAC3Source: added support for MLP;
	+ MPADecFilter: added support for MLP;
	+ Добавлена поддержка FLAC Tag (Vorbis comment);
	+ К SeekBar добавил указатель текущей позиции;
	+ MpegSplitter - поддержка MLP в MPEG-PS, поддержка проигрывания файлов формата DVD-Audio (*.aob);
	+ DTSSplitter для проигрывания DTS AudioCD с помощью CDDAReader;
	+ поддержка Mixed AudioCD;
	+ Загрузка logo.png по аналогии с toolbar.png;
	+ Добавлена поддержка .sup субтитров (PGS/HDMV извлеченные из контейнера в отдельный файл);
	+ Ассоциаций с DVD-Audio (*.aob);
	+ AMR Source;
	+ libwebp;
	+ Общее меню для субтитров;
	+ TTA Splitter;
	+ Добавлен альтернативный режим автосмены режима экрана;
	+ При скрытии StatusBar время (таймер) теперь появляется на SeekBar;
	+ Infobar/Statsbar адаптирован под "темную тему";
	+ WebP-lossless;
	+ Вкладка MediaInfo - перевод;
	+ Включение/выключение Logitech LCD в Options->Tweaks;
	+ Превью на SeekBar, включая DVD режим;
	+ DTSAC3Source: added support for DTS-WAVE 48kHz 16LE;
	+ Вывод чаптеров в виде маркеров на таймлайне;
	+ Добавлена возможность задавать пользовательские иконки для разных форматов (расширений) файлов - для этого надо в подпапку Icons положить иконку в виде <ext>.ico, например avi.ico/mkv.ico и т.д.
	+ Добавлена возможность показывать только форсированные (forced) субтитры, применимо к форматам PGS (HDMV) и VOBSUB;
	+ Поддержка показа зашитого изображение из MP3/M4A/FLAC, только в связке с внутренними сплиттерами. Так же, при проигрывании аудио файлов - будет показываться изображение из текущей папки;

Исправления (!):
	! Small fix H.264 DXVA decoder to improve detect broken interlaced frame;
	! MPEG2 DXVA декодер, теперь играет специфические MPEG2 потоки, с флагом SecondField;
	! При открытии, закрытии файла или ошибке не отображалось сообщение в статусной строке при включенной "Темной" теме;
	! Исправлена проблема при запуске плеера - в полосе прокрутки могло остаться имя предыдущего файла;
	! Исправлена работа VolumeCtrl + его цветовая палитра;
	! Исправил работа кнопки Play и Pause;
	! Исправлена утечка памяти при интенсивном использовании SeekBar;
	! MPEGSplitter - увеличено кол-во пакетов в очереди для аудио пакетов и субтитров;
	! MPEGSplitter - исправлен AAC парсер;
	! MatroskaSplitter - некорректное определение AVC1/H264 потока (определялся как MP4V) при отсутствии SPS/PPS (отсутствие данных CodecPrivate) данных в пакете;
	! DVB субтитры отображались с некорректными цветами (считывался некорректный индекс), а так же были проблемы с прозрачностью, автор патча s4e (форум forum.doom9.org);
	! MPADecFilter - при окончании воспроизведения необходимо декодировать и передать дальше оставшиеся данные от парсера;
	! Исправлен OGG/OGV сплиттер, теперь нормально играет Theora с многопоточностью;
	! Исправлена перемотка на встроенном MPEG-1 декодере;
	! Исправлена проблема с невозможностью переключения с внешней дорожки на внутреннюю при использовании MPEGSplitter/AV и похожих сплиттеров, выдающих SinglePinOut;
	! Скорректирована проверка MPEG2 на DXVA совместимость;
	! AVISplitter, на некоторых файлах с MJPG кодеком наблюдались пропуски кадров;
	! Исправлено зависание на H.264 (I) на DXVA декодере при активной перемотке;
	! Не работал поиск субтитров на "www.opensubtitles.org";
	! Исправлено проигрывание FLV, когда в файле заданы некорректные временные метки у пакетов с самого начала;
	! MP4Splitter: fixing empty QtV1 values for some (broken?) movs;
	! Иногда MPASplitter пытался проиграть AMV файлы как MP3, когда MP3 дорожка присутствовала внутри файла;
	! MatroskaSplitter - подкорректировано выводимое название дорожек, когда язык не был задан;
	! Исправлена проблема с работой аудио меню при открытии DVD;
	! Исправлена проблема: если имя файла содержало '&', то такой файл (если он подключался как дополнительный) не определялся как внешняя дорожка, и соответственно в меню аудиодорожек не было разделителя;
	! Исправлен переход в горячем режиме с простой темы на BE, не прорисовывался StatusBar;
	! На вкладке Tweaks для BE исправили градацию RGB с 0-256 на 0-255;
	! MpaDecFilter: fixed cracking sound for PCM 32-bit output;
	! Исправлена работа VolumeCtrl и немного улучшен его внешний вид;
	! HDMV/DVB субтитры пропадали после изменения размеров окна;
	! При переходе на HDMV/DVB субтитры с любых других (текстовых) - субтитры не отображались;
	! При переходе с HDMV/DVB субтитров на любые другие (текстовые) - субтитры отображались некорректно (неверные позиция и размер);
	! Неправильно отображалась кнопка воспроизведения/паузы после просмотра всего файла, при нажатии на повторное воспроизведение, кнопка не меняла состояние;
	! AudioParser: fixed and updated support for MLP;
	! StatusBar на BE теме больше не моргает;
	! При только что загруженном плеере, наводя на активный элемент ToolBar кнопку воспроизведение, отображался курсор не в виде "руки";
	! Fixed work of CMainFrame::SetColorControl with ProcAmp_All flag;
	! VolumeCtrl неправильно отображался цвет заливки, при некоторых значениях RGB;
	! Неверное позиционирование, размеры и соотношение сторон при выводе растровых субтитров (VOBSUB/PGS/DVB);
	! Не всегда скрывались разделители;
	! Recent Files: "Clear List" did not remove all files from the list;
	! Теперь встроенный видеодекодер поддерживает проигрывание видео с изменяющимся Pixel Format;
	! ToolBar при определенных значениях RGB становился полностью черным;
	! PGS/DVB субтитры не отображались, когда не использовалась очередь (буфер) для субтитров (Опция в настройках "Число фрагментов в буфере" выставлена в 0;
	! MP4Splitter - подкорректировано считывание данных о Частоте дискретизации (sample rate) для некоторых старых MOV/3GP файлов;
	! MP4Splitter - небольшое уточнение по количеству каналов для AAC;
	! При отключенной громкости ToolTip показывал не 0;
	! Небольшое исправление MPEGSplitter и MpaDecFilter для более корректного воспроизведения пакетов без TimeStamp;
	! MPEGSplitter, теперь после перемотки стало еще меньше артефактов (квадратов и пикселизации) на H.264 и особенно VC-1;
	! Fixed crash on some ogg's;
	! OggSplitter: fixed crash on broken ogg's;
	! MPEGSplitter - исправлена работа с AC3 дорожками;
	! Исправлено декодирование VC-1 I в режиме DXVA, в PictureStore должен передаваться параметр первой части кадра, иногда это приводило к остановке картинки и лечилось перемоткой;
	! Исправлено, появление/скрытие таймера на seekbar (fix r587);
	! MPCVideoDec: fixed playback problem for some wmv3 (most are older files);
	! DXVA VC-1 декодер - убран пропуск кадров, это исправит ситуацию с зеленым экраном при начале проигрывания некоторых файлов;
	! Подкорректирована работа WMV3 DXVA декодера с WM ASF Reader (скорректирован TimeStamp) - на некоторых файлах с включенным VSync наблюдали дикие тормоза и повторы кадров;
	! Фон VolumeCtrl не прорисовывался, если плеер был запущен без фокуса, и поверх находилось другое окно;
	! MPCVideoDec: fixes color problem for some wmv files (profile <= MP@ML);
	! На многомониторной конфигурации при полноэкранном проигрывании если увести курсор мыши на другой экран - то элементы управления (SeekBar, StatusBar и т.д.) не скрывались;
	! DXVA декодер требует, чтобы значение высоты, поделенное на 16, было четным числом;
	! Растровые субтитры иногда не отображались, или отображались некорректно, если опция "Число фрагментов в буфере" выставлена в 0 (не использовалась очередь для хранения считанных субтитров;
	! После 641 ревизии в полноэкранном режиме не отображались подсказки на SeekBar;
	! FLVSplitter - поддержка AAC дорожек без extradata;
	! MPEGSplitter - на китайском Windows не работали субтитры;
	! Fixed "AMR" in GetAudioCodecName function;
	! Если включен madVR, а пользователь пытается воспроизвести DVD - тихо переключаемся на EVR (если Виста и выше) или на VMR-7 WL (если ХР);
	! MPEG2 DXVA декодер - вычисляем продолжительность фрейма для потока, у которого частично отсутствует TimeStamp у пакетов. Это исправляет дерганое воспроизведение некоторых файлов с MPEG2;
	! Показ окна Превью зависел от настройки показа времени над/под таймлайном;
	! Исправлен вывод окна превью на мультимониторных конфигурациях;
	! Исправлена ошибка, приводящая к высокой нагрузке при показе превью на одном месте;
	! IPinHook - исправлен перехват DirectShow функции NewSegment() который нужен для определения времени вывода субтитров;
	! Перед закрытием графа некоторые фильтры, как например Microsoft StreamBufferSource, требуют выполнение IMediaControl::Stop(), иначе получаем ситуацию, когда проигрыватель думает что закрыл файл, а он продолжал играть;
	! Не получали строку с полным путем к файлу по сети (для MediaInfo), из-за чего не срабатывала автопереключалка частот;
	! Под Windows XP галка "Использовать возможности панели задач Windows 7" теперь недоступна;
	! Исправлена проблема с некорректным отображением меню субтитров, когда был выбран рендер не совместимый с внутренним механизмом отображения субтитров;
	! Исправлена проблема, когда время на таймлайне не отображалось, если был отключен показ имени файла;
	! Теперь строка имя файла на сикбаре не зависит от опций Player->Title Bar. Выводим короткое имя файла;
	! Изменили передачу сообщений (Message) из полноэкранного D3D окна в основное, при передаче, например нажатия средней кнопки мыши, проигрыватель благополучно падал;
	! Иконки, исправлено соответствие с типом файла;
	 ... и многое другое.

Изменения (*):
	* В MPCVideoDec убраны раздельные параметры для RGB32/YUY2;
	* Убрали опцию "Use the WM ASF Reader for Windows Media files";
	* MPCVideoDec - перевод значения Auto для кол-ва потоков;
	* Убран двойной бордер у вкладки MediaInfo;
	* Исправлено превью в панели задач Windows 7 при режимах "Минимальный" и "Компактный";
	* Переработано окно опций "Встроенные фильтры", сделано разделение на основе Tab;
	* Небольшая корректировка для H.264 DXVA параметров (флаг IntraPicFlag);
	* Сброс статистики рендера перед первоначальном показом, автор патча - Vortex (автор Light Alloy);
	* Сделан для VolumeCtrl плавный переход градиентом;
	* В свойствах MPCVideoDec часть новых опций (Resize, Chroma, Colorspace, Input & Output levels) доступны только для соответствующего режима вывода во время воспроизведения;
	* ShellExt - теперь при присутствии в реестре записи, о пути к запускаемому файлу, окно диалога на x64 версии при установке в системе не выводиться;
	* Теперь для файла отображается именно ассоциируемый значок, тот который мы видим в проводнике;
	* Увеличено кол-во пакетов в очереди для RealSplitter;
	* Обновлен скрипт инсталлятора mpc-be_setup.iss, добавлена ассоциация с видеофайлами, аудиофайлами и плейлистами;
	* Изменены цвета по умолчанию на вкладке Tweaks;
	* Теперь SeekBar имеет плавный градиент и более правильно отображается при изменениях RGB, яркости;
	* Теперь кнопки Play и Pause объединены в одну;
	* Удален ReportWnd из AviSplitter;
	* На закладке "Полный Экран", добавлены новой опции;
	* Удалена поддержка для MEDIASUBTYPE_PCM_IN24_le, MEDIASUBTYPE_PCM_IN32_le, MEDIASUBTYPE_PCM_FL32_le and MEDIASUBTYPE_PCM_FL64_le;
	* MpaDecFilter: декодировать только 64-bit float PCM, т.к. для 32-bit float PCM декодер не требуется;
	* Добавлена возможность изменение цвета кнопок ToolBar;
	* Использование безопасной версии *fopen в CPngImage;
	* DXVA H.264/AVC декодер - временно отключен код по определению "плохих" Interlaced кадров;
	* Градиент для ToolBar применяется только для встроенного toolbar.png;
	* MPEGSplitter - заполнение extradata для AAC Latm;
	* Теперь MPEGSplitter не нуждается в переключалке совместимости VC1 потока для Cyberlink и ArcSoft, все делается автоматом;
	* Убран двойной разделитель у ToolBar;
	* Намного улучшена скорость перемотки OGG+Theora;
	* Переход VolumeCtrl с BE на обычную и наоборот теперь проходит нормально;
	* Полностью скрыты разделители ToolBar во всех темах;
	* Теперь переход с простой темы на BE осуществляется в горячем режиме, без перезапуска плеера;
	* Оптимизация в коде при построении меню аудиодорожек;
	* Переключение аудио дорог теперь работает со всем общим списком дорог, автор патча judelaw;
	* Убрано выделение с кнопки после нажатия;
	* Улучшена поддержка ID Tag в MP3 файлах, добавлена поддержка ID Tag старого (первого релиза) ID3v2.2;
	* В настройках, на закладке "Дополнительно" переименованы "цвет кнопок" и "цвет линий", в "настройка цвета индикатора громкости" + "заливка" + "фон";
	* Добавлен в скрипт инсталлятора файл "Authors mpc-hc team.txt";
	* Уменьшена толщина индикатора текущей позиции SeekBar;
	* Оптимизация сохранения текстовых субтитров, патч от janwillem32;
	* Небольшая оптимизация в MPEGSplitter - для DVD LPCM обрезка 3 байт заголовка происходит перед DeliverPacket, а не в парсере;
	* убраны ограничения для х64 конфигурации для QuickTime, RealMedia и mp4 аудио;
	* MpegSplitter возвращает данные о языке для дорожки всегда, когда данные присутствуют в MPEG-TS;
	* В меню навигация изменен порядок полей: 1. Video; 2. Audio; 3. Subtitle;
	* DTSAC3Source: increased search depth for dts header in .wav+.cue;
	* Загрузка .SUP субтитров в отдельном потоке;
	* Оптимизация загрузки .sup субтитров;
	* Вернули нумерацию Audio устройств на странице "Вывод";
	* Небольшое уточнение в TrueHD парсере (размер пакета не может быть нулевым);
	* при проигрывании файла не совместимого с DXVA, а также при не поддерживающем железе - более корректная проверка и включение многопоточности в случае поддержки со стороны декодера;
	* MPEGSplitter - более удобочитаемые названия типов субтитров - PGS/DVB;
	* AudioParser: added GetVorbisChannelMask;
	* MpaDecFilter: changed working with audio channels;
	* MpaDecFilter: use ffmpeg instead of libflac for FLAC decoding;
	* Улучшена проверка в MPCVideoDec формата файлов AVI;
	* Улучшено определение совместимого железа и драйвера ATI для DXVA (только для Windows Vista и Win7);
	* MP4Splitter - для видеодорожек заполняет VIDEOINFOHEADER->AvgTimePerFrame - данные о FPS;
	* MPCVideoDec - унифицирована проверка на поддержку кодеком многопоточности;
	* Теперь скриншоты BMP создаются не в 32 бита, а 24 бита, то есть все: bmp, jpeg, png, webp - 24 бита;
	* Немного подкорректировано сохранение миниатюр, т.к. к примеру, со встроенным DXVA MPEG2 декодером иногда получали некорректные кадры;
	* Добавлен новый базовый тулбар, 24p.;
	* Переделана функция автосмены режима экрана. Привязка к DeviceID;
	* MPEG-TS/PS - теперь работу по обработке AC3 пакетов берет на себя MPEGSplitter;
	* DXVA2 - wrong interface is requested from the video renderer, патч от janwillem32;
	* EVR - переделана функция определения используемого видеоадаптера;
	* AutoZoom теперь по умолчанию выключен;
	* Полностью сделан переход тем в горячем режиме, во всех направлениях;
	* Немного улучшена работа H.264 DXVA декодера на Interlaced контенте;
	* Теперь надписи и линии на панелях тоже участвуют в регулировке RGB;
	* Теперь опция FastSeek (on keyFrame) включена по умолчанию;
	* MP4Splitter: better support for files with multiple video fourcc;
	* MPEGSplitter - увеличен размер поиска дорожек в файле до 20 мегабайт;
	* MPEGSplitter - дорожка "No subtitle" теперь добавляется в конец списка;
	* MPEG2 DXVA декодер - немного оптимизирован код;
	* Отключили DXVA для H.264 на Intel GMA500 на Windows XP;
	* MPEGSplitter обрабатывает пакеты AC3 потока только для MPEG-TS, т.к. для MPEG-PS это и не нужно, да и вызывает иногда проблемы в виде сбоя плавности проигрывания;
	* DSUtil: updated GetAudioCodecName? function;
	* Installer: update for Inno Setup 5.5.1;
	* Добавили инфо о SAMR кодеке в MediaTypeEx;
	* MP4Splitter: skip more extra characters from beginning of track name;
	* Обновлен AudioParser;
	* Обновил DTSAC3Source;
	* Use friendly name for StreamBufferSource (system) in the filter list;
	* Пропускаем пустые пакеты с нулевой длиной в декодерах;
	* FLVSplitter - добавлена поддержка определения FPS для видеопотока;
	* MPCVideoDec теперь более корректно и правильно получает списки кодеков из программы;
	* Теперь, при громкости 0, ставится соответствующие изображение;
	* Mute только на текущую позицию;
	* Перекомпоновка закладок "Проигрыватель/Player"  и "Дополнительно/Tweaks";
	* В настройках, добавлена опцию включения/отключения для превью;
	* Режим с превью и проигрывание музыки - теперь нормально показывается время при наведении на таймлайн;
	* Скорректирован VolumeCtrl;
	* Интегрированы файлы локализации MediaInfo в файлы ресурсов;
	* Превью работает на Windows XP, для Windows XP используем VMR9 рендер, для Windows Vista и выше - EVR;
	* Подкорректирован выходной тип E-AC3 в MatroskaSplitter;
	* Теперь возможно задавать шаг изменения громкости, от 1 до 10;
	* Новая закладка "Интерфейс", реорганизация вкладки "Дополнительно";
	* MPEGSplitter - немного переделал определение и добавление субтитров, теперь они всегда идут по порядку ID;
	* Вынесены все графические ресурсы из языковых .dll - как итог намного уменьшился размер;
	* Теперь можно перемещать окно плеера ЛКМ с назначенной командой на ЛКМ;
	* Сделана загрузка ресурса (кнопок) для Win7 TaskBar с помощью нашего класса MPCPngImage;
	* Диалог сохранения субтитров - переделан вид под стиль Windows Vista/7;
	* Диалог сохранения файла - переделан вид под стиль Windows Vista/7;
	* MPCVideoDec - когда сплиттер выдает не корректные данные по FPS, пытаемся подсчитывать их из информации ffmpeg (frame timestamps) по самому видеопотоку, применимо на H.264 и VC-1;
	* Окно превью теперь рисуется под стиль "темной темы";
	* MKVSplitter - доработал определение fps, когда значение, сохраненное в самом контейнере, было не корректно (считаю что если fps > 60, то это требует дополнительной проверки);
	* Переделка окна Превью, теперь и при отключено темной теме используется своя прорисовка, так же исправлены проблемы с прорисовкой при Упрощенной и Классической теме в Windows Vista/7;
	* Оптимизация кода PreView;
	* Удалили a52dec и libdca. Теперь для декодирования AC3 и DTS используется ffmpeg;
	* Добавлены проектные файлы для построения плеера в VS2012;
	* zlib до версии 1.2.7;
	* libpng 1.5.13 git-6e3b0c2;
	* Little-CMS git-728139a;
	* MediaInfoLib v0.7.60;
	* ZenLib v0.4.28;
	* SoundTouch svn rev.152;
	* Logitech SDK v3.01;
	* libwebp 0.2.0;
	* ffmpeg git-507c041;
	* Virtualdub 1.10.3;
	 ... и многое другое.

Частично использованы фрагменты исходного кода из MPC-HC из следующих ревизий:
	4442, 4454, 4453, 4456, 4458, 4459, 4460-4462, 4463-4465, 4486, 4488, 4489, 4495, 4496, 4504, 4506, 4510, 4516, 4520, 4526, 4529, 4538, 4539, 4541, 4544, 4545, 4552, 4553, 4555, 4556, 4559, 4560-4568, 4575, 4584, 4585, 4587, 4614, 4616-4618, 4628, 4632-4634, 4643, 4645, 4646-4650, 4652-4654, 4667-4675, 4677-4686, 4688, 4690-4695, 4697, 4698, 4699, 4701, 4712, 4718-4720, 4750, 4766, 4767, 4774, 4779, 4782, 4785, 4787, 4793, 4797, 4801-4803, 4809, 4810, 4811, 4815, 4821, 4826, 4837, 4838, 4916, 4921, 4922, 4936, 4946, 4948, 4949, 4959, 4963, 4966, 4971, 4982, 4983, 4988, 4996, 4998, 5000, 5007, 5021, 5025, 5028-5039, 5050, 5055, 5059, 5061, 5080-5083, 5086, 5087-5090, 5255, 5256, 5266, 5315, 5316, 5333, 5366, 5367, 5392, 5393, 5399, 5402, 5447, 5450, 5452, 5463-5466, 5472-5474, 5493, 5566, 5568-5570, 5576.


2011-02-17
============================
MPC-HC - Black Edition Mod
